commit a919700fbde28c29ccdb1d2a8bceba80ade19e73
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jun 10 20:37:03 2019 +0900

    Bump version to 2.13.91

 README                  | 106
 +++++++++++++++++++++++++++++++++++++++++++++++-
 configure.ac            |   2 +-
 fontconfig/fontconfig.h |   2 +-
 3 files changed, 106 insertions(+), 4 deletions(-)

commit 66b0af41b81c5f0db1a8f952beaaada95e221d14
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jun 10 10:57:05 2019 +0000

    Fix endianness on generating MD5 cache name

 src/fccache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f729bc63d83c8e9068ff1c031a363b624dea1bb7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jun 6 10:50:31 2019 +0000

    Fix a typo in the description of FcWeightFromOpenTypeDouble

 doc/fcweight.fncs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f40b203b3e28f253bfe4976ab571278cd19437d7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jun 3 07:08:44 2019 +0000

    Correct the comment for FC_LANG in fontconfig.h

 fontconfig/fontconfig.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c336b8471877371f0190ba06f7547c54e2b890ba
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu May 9 07:10:11 2019 +0000

    fc-validate: returns an error code when missing some glyphs

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/154

 fc-validate/fc-validate.c | 1 +
 1 file changed, 1 insertion(+)

commit a305e988b77b61398cd7806ec7b6f8de098f54c8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed May 8 05:18:43 2019 +0000

    Update CaseFolding.txt to Unicode 12.1

 fc-case/CaseFolding.txt | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit fd2e155665ea2c69cd8014962061349a0cc794e6
Author: Jon Turney <jon.turney@dronecode.org.uk>
Date:   Mon Apr 15 20:01:22 2019 +0100

    Only use test wrapper-script if host is MinGW

    Currently it fails if the executable extension is .exe, but wine isn't
    available (e.g. on Cygwin)

    Possibly the check to use this wrapper should be even more restrictive
    e.g. checking if cross-building and/or if wine is available.

 test/Makefile.am | 3 +++
 test/run-test.sh | 1 -
 2 files changed, 3 insertions(+), 1 deletion(-)

commit d28681af2ace90e80bed440d126e98f76cd086f3
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Apr 15 09:03:57 2019 +0000

    Distribute archive in xz instead of bz2

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/151

 .gitlab-ci.yml | 2 +-
 configure.ac   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit faa11fb642d046e9aecde6d1385b8e6c14ec6055
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Apr 4 12:14:20 2019 +0000

    Update the test case that is looking for uuid based on host

 test/run-test.sh | 56
 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 32 insertions(+), 24 deletions(-)

commit 76e899700bdc0443807f7e0170d3c1aa6da1b84b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Apr 4 11:57:13 2019 +0000

    No need to remap for uuid based

 src/fccache.c | 36 +++++++++++++++++-------------------
 1 file changed, 17 insertions(+), 19 deletions(-)

commit 7f61838435ed3e3f8c19c593e9e646d221128df8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Apr 4 10:59:47 2019 +0000

    Fallback uuid-based name to read a cache if no MD5-based cache
    available

 src/fccache.c    | 91
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 test/run-test.sh | 25 +++++++++++++++-
 2 files changed, 113 insertions(+), 3 deletions(-)

commit 13d2a47d79a4ec4d3bc48aeb89dd9c899468152e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Apr 4 06:47:34 2019 +0000

    Fix unexpected cache name by double-slash in path

 src/fccfg.c      | 16 +++++++++-------
 test/run-test.sh | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 7 deletions(-)

commit faec0b51db6ef935929a95b289524abac062be8c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Apr 4 05:04:17 2019 +0000

    Don't show salt in debugging message if salt is null

 src/fccfg.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 91114d18c3435e4bffe1812eb03ffe5efa8543d7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 3 04:48:42 2019 +0000

    Allow overriding salt with new one coming later

 src/fcint.h |  3 +++
 src/fcstr.c | 58
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

commit 791762d8b7108f692b8643a208825f5ba3aa7a72
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Apr 2 11:03:16 2019 +0000

    fc-cache: Show font directories to generate cache with -v

 fc-cache/fc-cache.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit d1acc73f23205e63be791c9f21eba917d292c541
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Apr 2 10:25:46 2019 +0000

    Oops, Terminate string

 src/fccache.c | 1 +
 1 file changed, 1 insertion(+)

commit fc9f706ecb71b2625487138e6f7424d8c2cee761
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Apr 2 10:00:17 2019 +0000

    Add some debugging output

 src/fccache.c | 18 ++++++++++++++----
 src/fccfg.c   | 15 +++++++++++++++
 2 files changed, 29 insertions(+), 4 deletions(-)

commit cb1df8cb28d6ae34726cf7c3fd0142847431c7bb
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Apr 2 09:37:49 2019 +0000

    Don't warn if path can't be converted with prefix

 src/fcxml.c | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit 34791c32f19a3abc6a3dd2000d28202b80a882f9
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Mar 26 05:07:34 2019 +0000

    Don't share fonts and cache dir for testing

    There seems a race condition on CI. so create an unique directory
    to avoid colision.

 test/run-test.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 0950f248e031865e0abe8dad4c974ea426e159b2
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 25 20:00:15 2019 +0900

    Add more data to artifacts for debugging purpose

 .gitlab-ci.yml | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit ad3f335ccfeceb8595ae9e30bde901a732b9dd51
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 25 10:58:15 2019 +0000

    Fix make check fail on MinGW again

 src/fcxml.c | 24 +++++++++++++++++-------
 1 file changed, 17 insertions(+), 7 deletions(-)

commit 8e2c85fe81020b3703e37a127ccc85625350a12d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 25 17:39:16 2019 +0900

    Use alternative function for realpath on Win32

 src/fccfg.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit b1bcc0cbb258d3b697147c80c410e8df6843f376
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 25 16:17:33 2019 +0900

    Fix build issues on MinGW

 src/fcxml.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9177cf2c3814f1f23fe207d4be3876111d272d60
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 25 15:52:02 2019 +0900

    Add back if !OS_WIN32 line

 test/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit a39f30738d6688888a6e19d08ddaaf8928d563e1
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Feb 1 06:41:51 2019 +0000

    trivial testcase update

 test/run-test-conf.sh | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 4ff52ffb52dc9eb9b12aee21c4b897206c28d457
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Feb 1 06:41:38 2019 +0000

    Update doc for salt

 doc/fontconfig-user.sgml | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 2e8ce63514b06590d36d9bf5c332ff83fb72791a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jan 31 10:17:47 2019 +0000

    Add salt attribute to dir and remap-dir elements

    'salt' attribute affects a cache filename to generate different name
    from directory name.
    This is useful when sharing caches with host on sandbox and/or give
    a filename differently:

        <dir salt="randomdata">/usr/share/fonts</dir>
        <remap-dir as-path="/usr/share/fonts" salt="salt for
        /usr/share/fonts on host">/run/host/fonts</remap-dir>

    Applications can read caches as-is for fonts on /run/host/fonts
    where is mounted from host.
    and write a cache for their own fonts on /usr/share/fonts with
    different name.

 src/fccache.c    | 15 ++++++++++++++-
 src/fccfg.c      | 29 +++++++++++++++++++++++++----
 src/fcint.h      | 18 +++++++++++++-----
 src/fcstr.c      | 32 ++++++++++++++++++++++++--------
 src/fcxml.c      | 10 ++++++----
 test/run-test.sh | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 129 insertions(+), 22 deletions(-)

commit def1d00036a4e828382027292a167203c6c7a0b4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jan 31 07:52:09 2019 +0000

    Add reset-dirs element

    This element removes all of fonts directories where added by
    dir elements. it is useful to override fonts dirs from system
    to their own dirs only.

 conf.d/05-reset-dirs-sample.conf |  9 +++++++++
 conf.d/Makefile.am               |  1 +
 doc/fontconfig-user.sgml         |  4 ++++
 fonts.dtd                        |  6 ++++++
 src/fccfg.c                      |  6 ++++++
 src/fcint.h                      |  6 ++++++
 src/fcstr.c                      | 16 ++++++++++++++++
 src/fcxml.c                      | 15 +++++++++++++++
 8 files changed, 63 insertions(+)

commit 5e46f1545100f12ee1daaa41bccc6c3914bd2d83
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jan 31 07:10:41 2019 +0000

    Fix a typo

 fonts.dtd | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit acc017e67210ee6d8fed7ffd41a1f55fe04d056b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 29 07:55:22 2019 +0000

    Drop unnecessary line to include uuid.h

 src/fchash.c | 3 ---
 1 file changed, 3 deletions(-)

commit 635921e64d074ce5c7b8ca4a6f535241a2b8c75f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 29 07:49:22 2019 +0000

    Update deps to run CI

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 916cf6caa3d754f4d267eb1fc3cede9c86aa4e15
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 29 07:03:58 2019 +0000

    Update testcase

 test/Makefile.am     |  2 +-
 test/fonts.conf.in   |  3 ++-
 test/run-test.sh     | 10 ++++++++--
 test/test-d1f48f11.c |  2 ++
 test/test-issue110.c |  2 ++
 5 files changed, 15 insertions(+), 4 deletions(-)

commit 2e09c62ba1ff3477b4c64d4721337b62024832c8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 29 07:02:37 2019 +0000

    Trim the last slash

    This fixes MD5 wrongly generated.

 src/fccfg.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit a563a1802ef930374f88e6c7198e1b5ffe7582dd
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jan 28 09:59:29 2019 +0000

    Add new element remap-dir instead of extending dir element

 doc/fontconfig-user.sgml |  15 +--
 fonts.dtd                |  11 +-
 src/fcxml.c              | 279
 ++++++++++++++++++++++++++++-------------------
 3 files changed, 184 insertions(+), 121 deletions(-)

commit 9d3fb5b38563300e0e31bf7f99f723309ec6316a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jan 28 09:40:21 2019 +0000

    Fix make check fail on run-test-conf.sh

 test/test-conf.c | 1 +
 1 file changed, 1 insertion(+)

commit 500e77a01d00471900755d96ba6ad236d916947a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jan 28 04:47:16 2019 +0000

    Drop a line to include uuid.h

 src/fccache.c | 2 --
 1 file changed, 2 deletions(-)

commit 04f75fce0bd060b780af6d05314852be6df27216
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jan 28 04:44:31 2019 +0000

    Add FcDirCacheCreateUUID doc back to pass make check

 doc/fccache.fncs | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit c4324f54ee16e648ba91f3e9c66af13ab3b1754c
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 29 16:39:05 2018 -0700

    Replace UUID file mechanism with per-directory 'map' attribute [v2]

    The UUID files would be placed in each font directory to provide the
    unique cache name, independent of path, for that directory. The UUID
    files are undesireable for a couple of reasons:

     1) They must be placed in the font directories to be useful. This
        requires modifying the font directories themselves, introducing
        potential visible timestamp changes when running multiple
        applications, and makes the cache processing inconsistent between
        applications with permission to write to the font directories and
        applications without such permission.

     2) The UUID contents were generated randomly, which makes the font
        cache not reproducible across multiple runs.

    One proposed fix for 2) is to make the UUID dependent on the font
    directory path, but once we do that, we can simply use the font
    directory path itself as the key as the original MD5-based font cache
    naming mechanism did.

    The goal of the UUID file mechanism was to fix startup time of
    flatpaks; as the font path names inside the flatpak did not match the
    font path names in the base system, the font cache would need to be
    reconstructed the first time the flatpak was launched.

    The new mechanism for doing this is to allow each '<dir>' element in
    the configuration include a 'map' attribute. When looking for a cache
    file for a particular directory, if the directory name starts with the
    contents of the <dir> element, that portion of the name will be
    replaced with the value of the 'map' attribute.

    Outside of the flatpak, nothing need change -- fontconfig will build
    cache files using real directory names.

    Inside the flatpak, the custom fonts.conf file will now include
    mappings such as this:

            <dir map="/usr/share/fonts">/run/host/fonts</dir>

    When scanning the directory /run/host/fonts/ttf, fontconfig will
    use the name /usr/share/fonts/ttf as the source for building the cache
    file name.

    The existing FC_FILE replacement code used for the UUID-based
    implementation continues to correctly adapt font path names seen by
    applications.

    v2:
            Leave FcDirCacheCreateUUID stub around to avoid removing
            public API function.

            Document 'map' attribute of <dir> element in
            fontconfig-user.sgml

            Suggested-by: Akira TAGOH <akira@tagoh.org>

    Signed-off-by: Keith Packard <keithp@keithp.com>

 configure.ac             |  33 --------
 doc/fccache.fncs         |  14 ----
 doc/fontconfig-user.sgml |   8 +-
 fc-cache/fc-cache.c      |   1 -
 fonts.dtd                |   1 +
 src/Makefile.am          |   3 +-
 src/fccache.c            | 210
 ++++-------------------------------------------
 src/fccfg.c              |  80 +++++++++++-------
 src/fcdir.c              |   1 -
 src/fchash.c             |  17 ----
 src/fcint.h              |  18 +++-
 src/fcstr.c              |  76 +++++++++++++++++
 src/fcxml.c              |   5 +-
 test/Makefile.am         |   2 +-
 test/fonts.conf.in       |   2 +-
 test/run-test-map.sh     | 107 ++++++++++++++++++++++++
 test/run-test.sh         |   2 +
 17 files changed, 280 insertions(+), 300 deletions(-)

commit 4cde12bfda1316e6d5464a2d9607d15322ef8024
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 29 16:25:13 2018 -0700

    Remove UUID-related tests

    Remove test-hash
    Remove UUID tests from run-test.sh

    Signed-off-by: Keith Packard <keithp@keithp.com>

 test/Makefile.am |   6 --
 test/run-test.sh |  80 ++----------------------
 test/test-hash.c | 186
 -------------------------------------------------------
 3 files changed, 5 insertions(+), 267 deletions(-)

commit a8c4fc5e1f2c4215544aff004d42f235d7e9d14f
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 29 16:36:11 2018 -0700

    Add delays to test-bz106632, check UptoDate separately

    On a file system with one-second time stamps, extra delays are needed
    between cache modification operations to ensure that fontconfig isn't
    fooled.

    And, when the timestamps are checked correctly, we need to make sure
    that FcConfigUptoDate returns false whenever we change a font
    directory, so separate that out from the call to reinitialize the core
    config.

    Signed-off-by: Keith Packard <keithp@keithp.com>

 test/test-bz106632.c | 24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

commit 2a81aa51f08085c81666f40f34068f2c6512e974
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 29 16:26:11 2018 -0700

    Remove '-u' option from run-test-conf.sh

    This causes a failure when evaluating $OSTYPE on systems which do not
    set that variable (everything but Msys/MinGW)

    Signed-off-by: Keith Packard <keithp@keithp.com>

 test/run-test-conf.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 67e9c12c5a85e4ee95eb8576d094988d1c765c44
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 29 17:00:28 2018 -0700

    Fetch FONTCONFIG_SYSROOT in FcConfigCreate

    This saves the value of FONTCONFIG_SYSROOT in the config instead of
    having to call getenv every time we need this value.

    This also uses 'realpath' to construct a canonical path to sysroot,
    eliminating symlinks and relative path names.

    Signed-off-by: Keith Packard <keithp@keithp.com>

 src/fccfg.c | 24 +++++++++++++++++-------
 1 file changed, 17 insertions(+), 7 deletions(-)

commit 97fa77d27facc6a31486fdca5b3b853c591f792c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 3 11:49:42 2019 +0000

    Reset errno to do error handling properly

    This fixes the weird behavior when running with SOURCE_DATE_EPOCH=0:

    Fontconfig: SOURCE_DATE_EPOCH: strtoull: No such file or directory: 0

 src/fccache.c | 1 +
 1 file changed, 1 insertion(+)

commit 809f040bc367763ceaec69568a867bbef2fee926
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Mar 23 07:19:08 2019 +0000

    Don't test bind-mount thing for MinGW

 test/run-test.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4cb490b0b9247b95e78470aa35657bc1ba0f457c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Mar 23 07:05:23 2019 +0000

    Install wine for CI on MinGW

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 73b300dc7c31dfbb6ec3638fde109033bb9785a4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Mar 23 06:57:19 2019 +0000

    Correct configure option to cross-compile

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 33b372e20f6f9fd7d41fbb6dded1c703bae22403
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Mar 23 06:49:32 2019 +0000

    Update requirement for gettext

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92caab9c769488cce3a720b85e38252f3dadd63c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Mar 23 06:27:39 2019 +0000

    Fix make distcheck error

 test/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 10e13fc748aa75a7ba7d67b1cf3baec47bd9cbc8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 22 07:58:04 2019 +0000

    Add build test for MinGW

 .gitlab-ci.yml | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit f6810ede6010da394f60e8425030901e235d2a77
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 22 07:45:09 2019 +0000

    Fix make check on cross-compiled env

 test/Makefile.am       |  5 +++++
 test/run-test.sh       | 10 ++++++++--
 test/test-d1f48f11.c   | 18 ++++++++++++++++++
 test/test-issue107.c   | 18 ++++++++++++++++++
 test/test-issue110.c   | 18 ++++++++++++++++++
 test/wrapper-script.sh | 13 +++++++++++++
 6 files changed, 80 insertions(+), 2 deletions(-)

commit 98099ffc9f1c3fd195075d5d48617ccb73940470
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 22 07:41:32 2019 +0000

    Ifdef'ed unnecessary code for Win32

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/147

 src/fccache.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 8a9435958ac709ca81ef0e517b9242958afcd6b2
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 22 07:40:24 2019 +0000

    autogen.sh: Make AUTORECONF_FLAGS overwritable

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9b0c093a6a925b71a099f8f4b489d83572c77afe
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Mar 19 17:57:09 2019 +0900

    Fix build issue on Win32.

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/148

 test/test-bz106632.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 3eca37c1e515c2967d8a637efa2a7a322842376f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 15 18:51:47 2019 +0900

    Fix misleading summary in docs for FcStrStrIgnoreCase

    Reported by Jonathan Kew

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/146

 doc/fcstring.fncs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dba84600e1485000f358d8259b92721cf7066034
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Sep 25 19:20:35 2018 +0900

    Add system-ui generic family

    The generic family of 'system-ui' name is being proposed in a draft
    of next CSS Fonts.
    This would be nice to support in fontconfig too.

    https://www.w3.org/TR/css-fonts-4/

 conf.d/40-nonlatin.conf | 100
 ++++++++++++++++++++++++++++++++++++++++++++++++
 conf.d/45-latin.conf    |  23 +++++++++++
 conf.d/60-latin.conf    |  13 +++++++
 conf.d/65-nonlatin.conf |  33 ++++++++++++++++
 fonts.conf.in           |  11 ++++++
 5 files changed, 180 insertions(+)

commit 40e27f5d989ef4e40d218624de0a51de3de43177
Author: Ben Wagner <bungeman@chromium.org>
Date:   Tue Feb 19 00:40:32 2019 +0000

    Better document sysroot.

    All non trivial users of FontConfig must use FcConfigGetSysRoot to
    resolve file properties in patterns. In order to support sysroot the
    filename in the file property must be relative to the sysroot, but the
    value of the file property in a pattern is directly exposed, making it
    impossible for FontConfig to resolve the filename itself
    transparently.

 doc/fcconfig.fncs         | 15 ++++++++++-----
 doc/fontconfig-devel.sgml |  1 +
 2 files changed, 11 insertions(+), 5 deletions(-)

commit 586e35450e9ca7c1dc647ceb9d75ac8ed08c5c16
Author: Robert Yang <liezhi.yang@windriver.com>
Date:   Fri Jan 25 10:15:36 2019 +0800

    src/fccache.c: Fix define for HAVE_POSIX_FADVISE

    Otherwise, there would be build errors in the following 2 cases:
    * define HAVE_POSIX_FADVISE
    Or:
    * undef HAVE_POSIX_FADVISE

    Signed-off-by: Robert Yang <liezhi.yang@windriver.com>

 src/fccache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 699d6e4d8415a5d94483ea81fdf277964a33b8f1
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jan 23 05:59:24 2019 +0000

    Fix a crash with invalid matrix element

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/140

 src/fcxml.c | 5 +++++
 1 file changed, 5 insertions(+)

commit b047e299546ac3abb79cf0bac3c67f5c2dfc7fb6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Nov 30 10:42:26 2018 +0000

    Fix a dereference of a null pointer

    When exiting from for loop by not satisfying the condition of `(s =
    next[i])` at FcCacheRemoveUnlocked()
    referring s->alloated will be invalid.

 src/fccache.c | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit 3a45b8ef6511aee22b48c2a54f59faf6172a5071
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Nov 30 07:27:39 2018 +0000

    covscan: fix compiler warnings

 test/test-bz106632.c | 26 +++++++++++++-------------
 test/test-hash.c     |  5 ++---
 2 files changed, 15 insertions(+), 16 deletions(-)

commit c44fda28e1dc0251f4451d1643f77e1455b80462
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Nov 30 07:12:21 2018 +0000

    Don't call unlink_dirs if basedir is null

 test/test-bz106632.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a57647e1556a67037176ff267a4ba4a2a4dfb59d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Nov 12 05:01:50 2018 +0000

    covscan fix: get rid of unnecessary condition check

 src/fcxml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65c7427c019c1cb7c621e6be87fb298564d45f51
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Nov 30 07:03:54 2018 +0000

    Warn when constant name is used for unexpected object

    This fixes the sort of weird things like `fc-match :size=rgb` done
    without any errors.
    This might be annoyed but the error messages should helps to fix an
    application bug or
    suggest more useful constant names to fontconfig.

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/137

 src/fcint.h  |  3 +++
 src/fcname.c | 30 ++++++++++++++++++++++++------
 2 files changed, 27 insertions(+), 6 deletions(-)

commit 71c9c7892ab7ddf8964737e80d0465e3e96ac36b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Nov 27 08:50:18 2018 +0000

    Add a test case for FcFontList

 test/Makefile.am          |   1 +
 test/run-test-conf.sh     |   1 +
 test/test-60-generic.json |  34 +++++++++
 test/test-conf.c          | 190
 +++++++++++++++++++++++++++++++++++++++++-----
 4 files changed, 209 insertions(+), 17 deletions(-)

commit 9d5149ac41e18ab67404ddba41d7ef7e71839ebc
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Nov 27 08:50:18 2018 +0000

    Fix FcFontList doesn't return a font with FC_COLOR=true

    "color" property has a value more than 1 because the value of
    FT_HAS_COLOR
    is directly set to it. this seems breaking the behavior of FcFontList
    with FC_COLOR=true
    because it is more than FcDontCare.

    So changing comparison that way.

 src/fccfg.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 3c75a5a9358ae570230c324917a636947748eb1f
Author: Chris McDonald <cjmcdonald@chromium.org>
Date:   Mon Nov 26 11:46:21 2018 -0700

    Lowered temporary rooted_dir variable inside loop

 fc-cache/fc-cache.c | 31 ++++++++++++-------------------
 1 file changed, 12 insertions(+), 19 deletions(-)

commit d36f977c761ffbb75d5c76278bc14d1c0e74cc7a
Author: Chris McDonald <cjmcdonald@chromium.org>
Date:   Mon Nov 19 15:19:19 2018 -0700

    Respect sysroot option for file path passed to stat

 fc-cache/fc-cache.c | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 2bd559f75d76b514f789e32c5cc9643fd7c1e9a2
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Nov 15 20:55:08 2018 +0900

    Add doc for description element and update fonts.dtd

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/133

 doc/fontconfig-user.sgml |  5 +++++
 fonts.dtd                | 21 ++++++++++++++++-----
 2 files changed, 21 insertions(+), 5 deletions(-)

commit 13b4ba91353a4ead4623d0133f6eb0283e91b15a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Nov 13 06:34:11 2018 +0000

    Use Rachana instead of Meera for Malayalam

    Meera is a sans-serif font for Malayalam. that should be substituted
    for serif.

 conf.d/65-nonlatin.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 648e0cf3d5a53efeab93b24ae37490427d05229d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Nov 6 16:33:03 2018 +0900

    Use FC_PATH_MAX instead of PATH_MAX

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/131

 src/fccfg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6dde9b5be3751843ad81fd9c735fdf17362eb7a6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Nov 6 15:39:50 2018 +0900

    Enable bubblewrap test case

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9bb90101378961eea7ce7057b03acd582c8944cb
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Oct 29 12:25:03 2018 +0000

    Drop Mitra Mono from 65-nonlatin.conf

    This font seems totally broken.

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/128

 conf.d/65-nonlatin.conf | 1 -
 1 file changed, 1 deletion(-)

commit f7036d589bffe353c1982b881afae6ec0a2ef200
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Oct 24 14:30:24 2018 -0700

    Fix name-table language code mapping for Mongolian

 src/fcfreetype.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e9113a764a1001165711022aceb45aa2765feb8b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 25 07:16:32 2018 +0000

    Do not run a test case for .uuid deletion

 test/run-test.sh | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 5f12f564f8748deaa603adb7a4b8f616b6390ad4
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Oct 17 21:15:47 2018 -0700

    Do not remove UUID file when a scanned directory is empty

    Because FcDirCacheDeleteUUID does not reset the modification time on
    the directory, and because FcDirCacheRead unconditionally creates the
    UUID file each time it is run, any empty directory in the cache will
    get its timestamp changed each time the cache for that directory is
    read.

    Instead, just leave the UUID file around as it is harmless.

    The alternative would be to only create the UUID file after the cache
    has been created and the directory has been discovered to be
    non-empty, but that would delay the creation of the UUID file.

    Signed-off-by: Keith Packard <keithp@keithp.com>

 src/fcdir.c | 7 -------
 1 file changed, 7 deletions(-)

commit 5f5ec5676c61b9773026a9335c9b0dfa73a73353
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Oct 1 07:01:26 2018 +0000

    Do not try updating mtime when unlink was failed

 src/fccache.c | 23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

commit ff5b49be2be0922f0fb6b9daf08f64a88d2fae6b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Sep 28 09:08:52 2018 +0000

    Do not update mtime when removing .uuid file

    This avoids a situation triggers updating caches on a directory
    where .uuid file was removed.

    Resolves:
    https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/107

 src/fccache.c        |  32 +++++--
 test/Makefile.am     |   6 ++
 test/test-issue107.c | 248
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 281 insertions(+), 5 deletions(-)

commit 8badaae15b1225bbf200c46533b1761002c760de
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 4 08:30:33 2018 +0000

    CI: Add more logs

 .gitlab-ci.yml | 2 ++
 1 file changed, 2 insertions(+)

commit 5771c48863299c10a253cd4d885f41cae17377fb
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 4 08:20:45 2018 +0000

    Fix test case

 test/test-bz106632.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e4788c5a96e0f384ad5702ad8096b0e144613895
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 4 08:03:20 2018 +0000

    add missing the case of prefix="default" as documented

 src/fcxml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 942db25fbcee66cb8dded5cb06407cf556dc4eff
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 4 08:02:48 2018 +0000

    Update docs for 1aa8b700

 doc/fontconfig-user.sgml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 67b4090321c0ec3cf3dc96f6d3cd7b9d03af0f25
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 4 08:02:18 2018 +0000

    Update fonts.dtd for last commit

 fonts.dtd | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 1aa8b700c3f09a31c78e7834e0db373f80b5e226
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Oct 2 09:32:03 2018 +0000

    Add more prefix support in <dir> element

    Added two prefix modes:
      "relative" that makes the relative path be relative to current file
      "cwd" for relative to current working directory which implies
      current behavior.

    Resolves:
    https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/15

 src/fcxml.c | 41 +++++++++++++++++++++++++++++++++--------
 1 file changed, 33 insertions(+), 8 deletions(-)

commit f0aae4455ed43ac323821f8c8aa2fa9ffe274977
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Sep 28 09:17:37 2018 +0000

    Fix CI

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba206df9b9a7ca300265f650842c1459ff7c634a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Sep 5 12:08:52 2018 +0000

    Add a test case for d1f48f11

 test/Makefile.am     |  14 +++
 test/test-d1f48f11.c | 283
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 297 insertions(+)

commit 806fd4c2c5164d66d978b0a4c579c157e5cbe766
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Sep 4 09:08:37 2018 +0000

    Fix the issue that '~' wasn't extracted to the proper homedir

    '~' in the filename was extracted to the home directory name in
    FcConfigFilename() though,
    this behavior was broken by d1f48f11. this change fixes it back to
    the correct behavior.

    https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/110

 .gitlab-ci.yml       |  23 ++++-
 src/fccfg.c          |  20 +++--
 test/Makefile.am     |  16 ++++
 test/test-issue110.c | 245
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 293 insertions(+), 11 deletions(-)

commit 8208f99fa1676c42bfd8d74de3e9dac5366c150c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Sep 3 04:56:16 2018 +0000

    Fix the build issue with --enable-static

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/109

 doc/fcstring.fncs       | 12 ++++++++++++
 fontconfig/fontconfig.h |  4 ++++
 src/fcint.h             |  4 ----
 test/test-bz106632.c    | 35 ++++++++++++-----------------------
 4 files changed, 28 insertions(+), 27 deletions(-)

commit 844d8709a1f3ecab45015b24b72dd775c13b2421
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Aug 30 17:20:15 2018 +0900

    Bump version to 2.13.1

 README                  | 82
 +++++++++++++++++++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 82 insertions(+), 4 deletions(-)

commit e62b92231874c1a6c3e2ab9e1019a95db22ea08f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Aug 30 07:04:08 2018 +0000

    Bump the libtool revision

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a059ce315d327ff0465435d446d4e02a6f97614f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Aug 29 07:18:14 2018 +0000

    Add .gitlab-ci.yml

 .gitlab-ci.yml | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit a887659706ff5bce6e4ef570dc8447ae75cc9534
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Aug 29 10:01:45 2018 +0000

    Fix distcheck fail

 test/Makefile.am     | 2 +-
 test/run-test.sh     | 6 +++---
 test/test-bz106632.c | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 0ce32973c862c3720cd1268cc11dd011b301cc43
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Aug 28 19:22:11 2018 +0900

    Update the issue tracker URL

 README       | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ddeec818cc6cbf4b09594bc05d2b6e589388753c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Aug 21 03:08:58 2018 +0000

    Fix missing closing bracket in FcStrIsAbsoluteFilename()

    Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/96

 src/fcstr.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a1efb5ea8c76622c7587cb5362e821bff8dcd7c4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Aug 1 08:10:35 2018 +0000

    Fix the build issue with gperf

    GPerf seems not allowing the empty lines though, current recipes
    are supposed to drop them.
    but seems not working on some env.
    So taking the proper way to do that instead of incompatible things
    against platforms.

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1451f829e750926cec27855eded71c24ac7ac7c6
Author: Tom Anderson <thomasanderson@chromium.org>
Date:   Wed Jul 25 16:35:54 2018 -0700

    Fix build with CFLAGS="-std=c11 -D_GNU_SOURCE"

 src/fcxml.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 9f1b92f27f9259aa69e5387656cb7d4c1b305a98
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jul 25 13:41:47 2018 +0900

    Fix memory leak

 src/fcxml.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5b277806df6d8776c68b275c227a82dd8433eeae
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jul 25 12:44:38 2018 +0900

    Drop the redundant code

    "value == FcTypeInteger" won't be true because it was converted to
    FcTypeDouble earlier

 src/fcxml.c | 1 -
 1 file changed, 1 deletion(-)

commit a1ad5fe2ba3d742f79d601a1149e1456e57ff51e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jul 25 12:40:17 2018 +0900

    Allocate sufficient memory to terminate with null

 src/fcstr.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5ea2ab6a3857855dd676388d81d2b4f6f327ae2a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jul 25 12:39:53 2018 +0900

    Make a call fail on ENOMEM

 src/fcptrlist.c | 2 ++
 1 file changed, 2 insertions(+)

commit 38569f2f2e2abc0f2a543f48a286e464d5052546
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 08:31:59 2018 +0000

    Fix allocating insufficient memory for terminating null of the string

 src/fcname.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b1762935c3db2bc611750c61ce9cb38b9008db6b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 08:31:14 2018 +0000

    Fix possibly dereferencing a null pointer

 src/fcmatch.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 8e97d745cc21cd2e1459840a63ed13595fcf2acd
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 08:21:33 2018 +0000

    Fix a typo

 src/fcfreetype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit efac784b0108d3140d7ec51cf22cb8a4453bd566
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 07:55:40 2018 +0000

    Fix dereferencing null pointer

 src/fccfg.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 1ac2218467260cc2f96f202910ba2e1a97291744
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 07:50:20 2018 +0000

    do not pass null pointer to memcpy

 src/fccfg.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit f3981a8bcd97a0388bf150ea7c1b4a1015e5e358
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 16:44:03 2018 +0900

    Fix access in a null pointer dereference

 src/fccfg.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 586ac3b6c0a324ae8545e2e6437f62e851daa203
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 07:09:14 2018 +0000

    Fix array access in a null pointer dereference

    FcFontSetFont() accesses fs->fonts in that macro though, there was
    no error checks
    if it is null or not.
    As a result, there was a code path that it could be a null.
    Even though this is unlikely to see in usual use, it might be
    intentionally created
    in a cache.

    So if fs->fonts is a null, we should consider a cache is invalid.

 src/fccache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 51afd09d62c163ae6a13b856ba46b8e851015f26
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 05:51:02 2018 +0000

    Fix unterminated string issue

 src/fccache.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 37c9c16dadd02edc3d8211a16a940d6fd2356e3b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 04:29:01 2018 +0000

    Fix memory leak

 src/fcxml.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 433718fb77f527a7f8909ea88f03ed2054f88a7d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 04:17:21 2018 +0000

    Fix memory leak

 src/fcstat.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit eafa931ff984d13a93343216d3f0fd490270599b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 12:12:17 2018 +0900

    Fix memory leak

 src/fclist.c | 3 +++
 1 file changed, 3 insertions(+)

commit 12be7973871371c64df3d38f788fe68766503f64
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 12:08:34 2018 +0900

    Fix memory leaks

 src/fccfg.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4b1276e24058a2e8b283767fb11dd2d16de7e547
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 11:40:31 2018 +0900

    Fix memory leak

 src/fccache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e9d317755727c6e71fc0a8bff3ad38197f773b89
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jul 19 11:32:50 2018 +0900

    Fix the leak of file handle

 src/fccache.c | 1 +
 1 file changed, 1 insertion(+)

commit d1f48f11d5dffa1d954a1b0abe44ce9e4bfc3709
Author: Tom Anderson <thomasanderson@chromium.org>
Date:   Wed Jul 11 15:50:26 2018 -0700

    Return canonicalized paths from FcConfigRealFilename

    FcConfigRealFilename() follows symlinks, but the link may be relative
    to the
    directory containing the link.  For example, on my system, I have
    this file:

    /etc/fonts/conf.d/99-language-selector-zh.conf ->
        ../conf.avail/99-language-selector-zh.conf

    Since /etc/fonts/conf.d is probably not in PATH, open()ing the file
    would fail.
    This change makes FcConfigRealFilename() return the canonicalized
    filename
    instead.  So for the example above, it would return:

    /etc/fonts/conf.avail/99-language-selector-zh.conf

    This was causing bad font rendering in Chromium [1] after the
    regression I
    introduced in 7ad010e80bdf8e41303e322882ece908f5e04c74.

    [1] https://bugs.chromium.org/p/chromium/issues/detail?id=857511

 src/fccfg.c | 65
 +++++++++++++++++++++++++++++++++----------------------------
 src/fcint.h |  3 +++
 src/fcstr.c | 11 +++++++++++
 3 files changed, 49 insertions(+), 30 deletions(-)

commit 48e9e5f4f0e97b12f7923662e06820c7077ae8af
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 16 17:59:45 2018 +0200

    Use FT_HAS_COLOR

 src/fcfreetype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5a46d572c06f1904ea45b4a24a75fb508c8c9f07
Author: Matthieu Herrb <matthieu@herrb.eu>
Date:   Mon Jul 9 19:07:12 2018 +0200

    FcCacheFindByStat(): fix checking of nanoseconds field.

 src/fccache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6cc99d6a82ad67d2f5eac887b28bca13c0dfddde
Author: Tom Anderson <thomasanderson@chromium.org>
Date:   Mon Jun 11 23:16:42 2018 -0700

    Fix heap use-after-free

 src/fccache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f5dd8512bdf9fd8e01c30ae36f593758b29385cf
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jun 11 17:03:17 2018 +0900

    Remove .uuid when no font files exists on a directory

    https://bugs.freedesktop.org/show_bug.cgi?id=106632

 doc/fccache.fncs        |  12 +-
 fontconfig/fontconfig.h |   4 +
 src/fccache.c           |  22 ++++
 src/fcdir.c             |   7 ++
 src/fchash.c            |  29 +++++
 src/fcint.h             |   4 +
 test/Makefile.am        |  17 +++
 test/run-test.sh        |  15 +++
 test/test-bz106632.c    | 316
 ++++++++++++++++++++++++++++++++++++++++++++++++
 test/test-hash.c        | 187 ++++++++++++++++++++++++++++
 10 files changed, 612 insertions(+), 1 deletion(-)

commit 096e8019be595c2224aaabf98da630ee917ee51c
Author: Tom Anderson <thomasanderson@chromium.org>
Date:   Fri Jun 8 12:31:15 2018 -0700

    Fix CFI builds

    CFI [1] is a dynamic analysis tool that checks types at runtime.
    It reports an
    error when using a function with signature eg. (void (*)(char*)) as
    (void (*)(void*)).  This change adds some wrapper functions to avoid
    this issue.
    In optimized builds, the functions should get optimized away.

    [1] https://clang.llvm.org/docs/ControlFlowIntegrity.html

 src/fccfg.c | 42 ++++++++++++++++++++++++++++++++++++------
 1 file changed, 36 insertions(+), 6 deletions(-)

commit d1771cfbd1ca5e5e2c8dcd509e3f8da27cb94c11
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jun 8 21:16:15 2018 +0900

    Update CaseFolding.txt to Unicode 11

 fc-case/CaseFolding.txt | 87
 ++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 83 insertions(+), 4 deletions(-)

commit 3fa83813360bd414f877bac90788ce0348564c9e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 25 15:24:44 2018 +0900

    Add a test case for bz#106618

 test/Makefile.am     |  3 +++
 test/run-test.sh     | 15 +++++++++++++--
 test/test-bz106618.c | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 63 insertions(+), 2 deletions(-)

commit 14c23a5715c529be175d8d6152cabd4ddad4e981
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 25 15:20:10 2018 +0900

    Fix double-free

 src/fcxml.c | 3 +++
 1 file changed, 3 insertions(+)

commit 3ea70f936832932fcd9502b0906ee9908bd04978
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed May 23 16:00:01 2018 +0200

    Cache: Remove alias_table

    There is really no need for this anymore

    https://bugs.freedesktop.org/show_bug.cgi?id=106618

 src/fccache.c | 15 +++------------
 src/fccfg.c   | 15 ++-------------
 src/fcint.h   |  1 -
 3 files changed, 5 insertions(+), 26 deletions(-)

commit c42402d0b8ada2472924619fc197a0394fbcd62c
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed May 23 15:15:33 2018 +0200

    Cache: Rewrite relocated paths in earlier

    This changes the rewriting of the FC_FILE values for relocated caches
    to an earlier stage
    while reading the cache. This is better, because it means all APIs
    will report the
    rewritten paths, not just the once that use the list apis.

    We do this by detecting the relocated case and duplicating the
    FcPattern and FcPatternElm
    in an cache allocation (which will die with the cache) and then
    reusing the FcValueLists
    from the cache.

    This means that in the rewritten case we will use some more memory,
    but not the full
    size of the cache. In a test here I had 800k of relocated caches,
    but ~200k of wasted
    on duplicating the objects.

    This should fix https://bugs.freedesktop.org/show_bug.cgi?id=106618

 src/fccfg.c   | 44 +++++++++++++++++++++++++++---------
 src/fcint.h   |  5 ++++-
 src/fclist.c  | 36 ------------------------------
 src/fcmatch.c | 34 ----------------------------
 src/fcpat.c   | 71
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 5 files changed, 106 insertions(+), 84 deletions(-)

commit a63b9c622e240ec0d8f9d83d286db1b55849f374
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed May 23 15:08:12 2018 +0200

    Add FcCacheAllocate() helper

    This lets you allocate a chunk of memory that will be freed when
    the cache
    is freed.

    https://bugs.freedesktop.org/show_bug.cgi?id=106618

 src/fccache.c | 36 ++++++++++++++++++++++++++++++++++++
 src/fcint.h   |  4 ++++
 2 files changed, 40 insertions(+)

commit 94080c3d48686117b83acddf516258647b571f03
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 25 14:02:58 2018 +0900

    Fix -Wstringop-truncation warning

 src/fcmatch.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 684c3ce6850c4168e127ea84432e7a9006296ff4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 25 13:51:10 2018 +0900

    Fix leaks

 src/fcxml.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit f098adac54ab86b75a38f2d23fa706a1348f55ba
Author: Chris Lamb <chris@chris-lamb.co.uk>
Date:   Tue May 15 22:11:24 2018 +0200

    Ensure cache checksums are deterministic

    Whilst working on the Reproducible Builds[0] effort, we noticed that
    fontconfig generates unreproducible cache files.

    This is due to fc-cache uses the modification timestamps of each
    directory in the "checksum" and "checksum_nano" members of the
    _FcCache
    struct. This is so that it can identify which cache files are valid
    and/or require regeneration.

    This patch changes the behaviour of the checksum calculations
    to prefer
    the value of the SOURCE_DATE_EPOCH[1] environment variable over the
    directory's own mtime. This variable can then be exported by build
    systems to ensure reproducible output.

    If SOURCE_DATE_EPOCH is not set or is newer than the mtime of the
    directory, the existing behaviour is unchanged.

    This work was sponsored by Tails[2].

     [0] https://reproducible-builds.org/
     [1] https://reproducible-builds.org/specs/source-date-epoch/
     [2] https://tails.boum.org/

 doc/fontconfig-user.sgml |  6 ++++-
 src/fccache.c            | 59
 +++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 58 insertions(+), 7 deletions(-)

commit 0b85e77ede3497b8533b8fcb67d03d8ad174998d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sun May 13 16:21:58 2018 +0900

    Bug 106459 - fc-cache doesn't use -y option for .uuid files

    https://bugs.freedesktop.org/show_bug.cgi?id=106459

 src/fccache.c    | 48 +++++++++++++++++++++++++++++++++++++-----------
 test/run-test.sh | 25 +++++++++++++++++++++++++
 2 files changed, 62 insertions(+), 11 deletions(-)

commit cfb21c7d85d2b1fc457dcd644e6b850b5cccf26a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sun May 13 14:48:10 2018 +0900

    Bug 106497 - better error description when problem reading font
    configuration

    https://bugs.freedesktop.org/show_bug.cgi?id=106497

 configure.ac |  2 +-
 src/fcxml.c  | 20 +++++++++++++++++++-
 2 files changed, 20 insertions(+), 2 deletions(-)

commit af964f789762df0b023c8cfd7ea622045892cb54
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 11 22:15:39 2018 +0900

    Add a test case for 90-synthetic.conf

 test/Makefile.am            | 11 ++++++--
 test/run-test-conf.sh       | 36 ++++++++++++++++++++++++
 test/test-90-synthetic.json | 68
 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 112 insertions(+), 3 deletions(-)

commit f665852df90cd5a28c3040af8f484999ca3dfa4e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 11 21:39:50 2018 +0900

    Add a testrunner for conf

 configure.ac     |   9 ++
 test/Makefile.am |   7 ++
 test/test-conf.c | 328
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 344 insertions(+)

commit 307639cff143341cb10273db1a19264ba28b247e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 11 20:48:30 2018 +0900

    Bug 43367 - RFE: iterator to peek objects in FcPattern

    Add various APIs to obtain things in FcPattern through the iterator

    https://bugs.freedesktop.org/show_bug.cgi?id=43367

 doc/fcpattern.fncs      | 111 ++++++++++++++++++++++-
 fontconfig/fontconfig.h |  33 +++++++
 src/fcdbg.c             |  15 ++--
 src/fcdefault.c         |  32 ++++---
 src/fcformat.c          |  22 ++---
 src/fcint.h             |   9 ++
 src/fcpat.c             | 233
 +++++++++++++++++++++++++++++++++++++++---------
 7 files changed, 372 insertions(+), 83 deletions(-)

commit 454923709a1a1e480554c400e053aea9a1ba951a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu May 10 22:01:29 2018 +0900

    Change the emboldening logic again

    enable emboldening when request was >= bold and font was <= medium

    https://bugs.freedesktop.org/show_bug.cgi?id=106460

 conf.d/90-synthetic.conf | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 730deada8cf609157d07b7c2bf2985672614c4c0
Author: Tom Anderson <thomasanderson@chromium.org>
Date:   Tue Apr 24 11:15:58 2018 -0700

    Add FONTCONFIG_SYSROOT environment variable

 doc/fontconfig-user.sgml | 4 ++++
 src/fccfg.c              | 5 ++++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit c78afa906699933e87889895ca2039887943b639
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Apr 19 11:45:45 2018 +0900

    Fix typo in doc

    https://bugs.freedesktop.org/show_bug.cgi?id=106128

 doc/fontconfig-user.sgml | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 7ad010e80bdf8e41303e322882ece908f5e04c74
Author: Tom Anderson <thomasanderson@chromium.org>
Date:   Wed Apr 11 17:24:43 2018 -0700

    Use realfilename for FcOpen in _FcConfigParse

    realfilename is the file name after sysroot adjustments.  It should
    be used
    instead of filename in the call to FcOpen() which forwards the name
    directly to
    open().

    Though I don't explicitly request a sysroot, I was getting error
    messages saying
    "failed reading config file".  This CL fixes the error spam.

 src/fcxml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c60ed9ef66e59584f8b54323018e9e6c69925c7e
Author: Tom Anderson <thomasanderson@chromium.org>
Date:   Wed Apr 11 11:39:56 2018 -0700

    Fix undefined-shift UBSAN errors

    The expression "1 << 31" will cause UBSAN to complain with this
    error message:
    runtime error: left shift of 1 by 31 places cannot be represented
    in type 'int'

    The same operation on unsigned types is fine, however.  This CL
    replaces the
    strings "1 <<" with "1U <<".

 fc-lang/fc-lang.c |  2 +-
 src/fcfreetype.c  | 10 +++++-----
 src/fcint.h       |  2 +-
 src/fclang.c      | 10 +++++-----
 4 files changed, 12 insertions(+), 12 deletions(-)

commit a8a6efa805fc03e790214e8a0bc55843a258d774
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Mar 31 19:19:36 2018 +0200

    Share name-mapping across instances

    Continuation of previous commit.

    Makes scanning Voto Serif GX fast again.

 src/fcfreetype.c | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

commit fa13f8835c2819e693c7250e0d6729e22f0509c2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Mar 31 18:36:20 2018 +0200

    Fix name scanning

    In 161c738 I switched from linear name scanning to binary searching.
    That, however, ignored the fact that there might be more than one
    name table entry for each pair we want to query.

    To fix that and retain bsearch, I now get all name entries first,
    sort them, and use for bsearching.

    This fixes https://bugs.freedesktop.org/show_bug.cgi?id=105756

    This makes scaning Voto Serif GX twice slower though, since we are
    creating and sorting the list for each instance. In the next commit,
    I'll share this list across different instances to fix this.

 src/fcfreetype.c | 293
 +++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 185 insertions(+), 108 deletions(-)

commit 31269e3589e0e6432d12f55db316f4c720a090b5
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Mar 28 18:54:37 2018 +0900

    Do not ship fcobjshash.h

 src/Makefile.am | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 2cf2e79cb66e29b97bd640a565e4817022f6fdb5
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Mar 28 18:53:52 2018 +0900

    Fix make check fail when srcdir != builddir.

 test/Makefile.am | 16 +++++++---------
 test/run-test.sh |  3 ++-
 2 files changed, 9 insertions(+), 10 deletions(-)

commit 58f52853d5689e897525a5926c1a222340d3f404
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Mar 15 07:51:06 2018 -0700

    Minor: fix warnings

 test/test-name-parse.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2938e4d72da40f6bb0d22086c519a9852a820f40
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Mar 15 12:54:02 2018 +0900

    call setlocale

 fc-cache/fc-cache.c     | 2 ++
 fc-cat/fc-cat.c         | 2 ++
 fc-list/fc-list.c       | 2 ++
 fc-match/fc-match.c     | 2 ++
 fc-pattern/fc-pattern.c | 2 ++
 fc-query/fc-query.c     | 2 ++
 fc-scan/fc-scan.c       | 2 ++
 7 files changed, 14 insertions(+)

commit 98eaef69af1350e459bf9c175476d3b772968874
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Mar 15 12:17:52 2018 +0900

    Leave the locale setting to applications

    https://bugs.freedesktop.org/show_bug.cgi?id=105492

 fc-conflist/fc-conflist.c |  2 ++
 src/fccfg.c               | 22 ++--------------------
 2 files changed, 4 insertions(+), 20 deletions(-)

commit fb7be6d60586302e89b7bbc894b91cb6cd33fbf3
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Mar 14 21:42:11 2018 +0900

    Add a testcase for FcNameParse

 test/Makefile.am       |  4 +++
 test/test-name-parse.c | 90
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

commit 4699406a68321179b14fae7412f828e2f37a7033
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Mar 14 18:31:30 2018 +0900

    Add the value of the constant name to the implicit object in the
    pattern

    For objects which has been changed the object type to FcTypeRange.

    https://bugs.freedesktop.org/show_bug.cgi?id=105415

 src/fcname.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 923b5be626a6e03fbaeee0b5cd6d0246c2f8f36f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Mar 14 12:35:05 2018 +0900

    Do not override locale if already set by app

    https://bugs.freedesktop.org/show_bug.cgi?id=105492

 src/fccfg.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 198358dd8ff858c9e36531a7406ccb2246ae77b7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 12 11:49:58 2018 +0900

    Allow the constant names in the range

    https://bugs.freedesktop.org/show_bug.cgi?id=105415

 src/fcname.c | 34 +++++++++++++++++++++++++++++-----
 1 file changed, 29 insertions(+), 5 deletions(-)

commit af687139f2866a736f294c7c54f9ea57219a079b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Mar 10 20:47:54 2018 +0900

    Add uuid to Requires.private in .pc only when pkgconfig macro found it

 configure.ac | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 07bd14c5c7fed103020dc9b630d6a254861ada07
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 9 11:55:43 2018 +0900

    Fix the build issue again on MinGW with enabling nls

 src/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bb50f62b58b5057f80f3775f91fa94b225fc6672
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Mar 8 18:19:32 2018 +0900

    Use the builtin uuid for OSX

    https://bugs.freedesktop.org/show_bug.cgi?id=105366

 configure.ac | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit f075ca1aeaedbc288d42a70df5cf2fd069ea0d10
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Mar 6 12:31:12 2018 +0900

    Bump version to 2.13.0

 README                  | 12 ++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  4 ++--
 3 files changed, 13 insertions(+), 5 deletions(-)

commit 24b4a57193f89d348402de0f7bf4630ae3b5f5e7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Mar 6 12:31:09 2018 +0900

    Bump the libtool revision

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c96285d216e4fec2d83386dfd49030dfc947a4b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 2 13:30:00 2018 +0900

    Initialize an array explicitly

    Patch from Kurt Kartaltepe

 src/fcfreetype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e300d863f564f0b7b52fd6fdc1987afb5c116730
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 2 13:19:38 2018 +0900

    Fix a build issue on MinGW with enabling nls

 src/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5d32ee914be7ea3a8bafe73a49786b5ce2c98cfd
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Feb 19 13:22:20 2018 +0900

    Add Simplified Chinese translations

    https://bugs.freedesktop.org/show_bug.cgi?id=105123

 po-conf/LINGUAS  |   1 +
 po-conf/zh_CN.po | 140 +++++++++++++
 po/LINGUAS       |   1 +
 po/zh_CN.po      | 608
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 750 insertions(+)

commit 2fc42310cdc679bdc1f2f8f11ababad167c97fdd
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Feb 15 22:01:54 2018 +0900

    Bump version to 2.12.93

 README                  | 36 ++++++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 36 insertions(+), 4 deletions(-)

commit 147b083851bd5ba97a17de4496c484c9609a8f52
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Feb 15 22:01:45 2018 +0900

    Add missing files to ship

 its/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit 0394cb7829d16a902e2eebdcc4f00db3774916b8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Feb 5 13:31:00 2018 +0900

    Ensure the user config dir is available in the list of config dirs
    on the fallback config

 src/fcinit.c | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 34b5c949d51fcc8eafe2301ca8f539f735e31522
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Feb 5 12:47:01 2018 +0900

    Do not mix up font dirs into the list of config dirs

 fc-cache/fc-cache.c | 2 +-
 src/fccfg.c         | 8 --------
 src/fcinit.c        | 2 +-
 src/fcint.h         | 4 ----
 src/fcxml.c         | 7 +++++--
 5 files changed, 7 insertions(+), 16 deletions(-)

commit 5710377301f7193f133103cede00e81a2051eb51
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Feb 1 10:52:40 2018 +0000

    Fix cross-compilation by passing CPPFLAGS to CPP

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ef748b39e022ce98d5aa8110d713368cf39f0ebf
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 23 22:27:17 2018 +0900

    Take effects on dir, cachedir, acceptfont, and rejectfont only
    when loading

    Those elements takes effects immediately during parsing config files
    so makes them conditional to ignore on scanning.

 src/fcxml.c | 30 +++++++++++++++++-------------
 1 file changed, 17 insertions(+), 13 deletions(-)

commit 73cc842d1dd866e4a6fda4aa422cb4a9c7a9832f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jan 15 12:57:05 2018 +0900

    Revert some removal from 7ac6af6

 autogen.sh | 1 +
 1 file changed, 1 insertion(+)

commit 91f0fd84607efcc7196e5ee232794c055f25511e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sun Jan 14 19:49:06 2018 +0900

    Do not add cflags and libs coming from pkg-config file.

    Using Requires is peferable way.

    https://bugs.freedesktop.org/show_bug.cgi?id=104622

 configure.ac     | 10 ++++++++--
 fontconfig.pc.in |  4 ++--
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 4ff7155f5c96a02f2cd3542e8546c76c632c315a
Author: Alexander Larsson <alexl@redhat.com>
Date:   Fri Jan 12 16:52:39 2018 +0100

    FcHashTableAddInternal: Compare against the right key

    We were comparing the passed in key with the ready-to-insert key
    rather than the key in the hashtable, so if you ever had a hash
    conflicts we'll never insert the new item.

    https://bugs.freedesktop.org/show_bug.cgi?id=101889

 src/fchash.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fd2ad1147ad9565841372e56e6bb939c0f843ac5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jan 9 10:54:55 2018 +0100

    Fix undefined-behavior signed shifts

 src/fccharset.c  |  6 +++---
 src/fcfreetype.c |  4 ++--
 src/ftglue.h     | 12 ++++++------
 3 files changed, 11 insertions(+), 11 deletions(-)

commit 7ac6af665ba3e098a097cab869e814bdbe34952d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 9 13:51:31 2018 +0900

    clean up

 autogen.sh   | 85
 ++++++++++--------------------------------------------------
 configure.ac |  2 --
 2 files changed, 13 insertions(+), 74 deletions(-)

commit 94683a1255c065a7f8e7fadee9de605f3eaf9ac7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jan 8 09:55:41 2018 +0000

    Use FT_Done_MM_Var if available

 configure.ac     | 2 +-
 src/fcfreetype.c | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 97488fd72577a86ffd52bbb42d781bad0dd723cf
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Jan 6 18:53:27 2018 +0900

    export GETTEXTDATADIR to refer the local .its/.loc file instead of
    using --its option

 Makefile.am                 |  2 +-
 configure.ac                |  1 +
 its/Makefile.am             |  6 ++++++
 {src => its}/fontconfig.its |  0
 {src => its}/fontconfig.loc |  0
 po-conf/Makevars            |  4 ++--
 po-conf/POTFILES.in         | 34 ++++++++++++++++++++++++++++++++++
 src/Makefile.am             |  5 -----
 8 files changed, 44 insertions(+), 8 deletions(-)

commit 030e2e4e9473532de5ef6bf4c7905bdf653dc6ef
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jan 5 14:33:17 2018 +0000

    Fix leak

 src/fcfreetype.c | 1 +
 1 file changed, 1 insertion(+)

commit 9c90f06b405abdc5ae2d92f5b614e0d19d11f783
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jan 5 22:14:58 2018 +0900

    Remove POTFILES.in until new release of gettext is coming...

 po-conf/POTFILES.in | 34 ----------------------------------
 1 file changed, 34 deletions(-)

commit b2da36e92265c82e598cdea670ec436f9b592af0
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jan 5 22:12:37 2018 +0900

    Use the native ITS support in gettext

    and drop the dependency of itstool.
    To get this working, need to patch out to fix a crash:
    http://git.savannah.gnu.org/cgit/gettext.git/commit/?id=a0cab23332a254e3500cac2a3a984472d02180e5

 configure.ac        |  7 -------
 po-conf/Makevars    |  6 ++++--
 po-conf/POTFILES.in | 34 ++++++++++++++++++++++++++++++++++
 po/Makevars         |  2 +-
 4 files changed, 39 insertions(+), 10 deletions(-)

commit a2e0ebf3922d4ac682162e63ec7b209ef58f3c7c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jan 5 18:23:08 2018 +0900

    Add files to enable ITS support in gettext

 src/Makefile.am    | 5 +++++
 src/fontconfig.its | 4 ++++
 src/fontconfig.loc | 6 ++++++
 3 files changed, 15 insertions(+)

commit 6aa0bde5ecd6a545228fc6b59e7e54b8f1eea7eb
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jan 5 16:05:58 2018 +0900

    trivial fix

 test/test-migration.c | 3 +++
 1 file changed, 3 insertions(+)

commit b8a225b3c3495942480377b7b3404710c70be914
Author: Tom Anderson <thomasanderson@chromium.org>
Date:   Wed Jan 3 11:42:45 2018 -0800

    Allow overriding symbol visibility.

    Fontconfig symbols were hardcoded to be either hidden or exported.
    This patch
    adds configurable symbol visibility.  This is useful for projects
    that want to
    do in-tree fontconfig builds and not export any symbols, otherwise
    they would
    conflict with the system library's symbols

    Chromium is a project that does in-tree fontconfig builds, and
    the workaround
    currently used is "#define visibility(x) // nothing" [1] and
    building with
    "-fvisibility=hidden".
    [1]
    https://cs.chromium.org/chromium/src/third_party/fontconfig/BUILD.gn?rcl=ce146f1f300988c960e1eecf8a61b238d6fd7f7f&l=62

 fontconfig/fcprivate.h | 9 ++++++++-
 src/makealias          | 4 ++--
 2 files changed, 10 insertions(+), 3 deletions(-)

commit 37fb4a989e6243bceebadb8120f458d8d5b82c45
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jan 3 16:51:18 2018 +0000

    Support FC_WIDTH as double as well

 src/fcfreetype.c | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 1fa9cb78c1120e11e27e2a84f59b3fb239b165df
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jan 3 16:48:54 2018 +0000

    Remove hack for OS/2 weights 1..9

 src/fcfreetype.c |  8 +-------
 src/fcweight.c   | 20 +-------------------
 2 files changed, 2 insertions(+), 26 deletions(-)

commit d7d40b5aa8216f30a38492bd2bde5884c492c82d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jan 4 20:42:34 2018 +0900

    Bump version to 2.12.92

 README                  | 33 +++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 33 insertions(+), 4 deletions(-)

commit 3642d71724e7c40f44753c1f2e6d8fb2c88a3e50
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jan 4 20:23:16 2018 +0900

    Add FcReadLink to wrap up readlink impl.

 src/fccfg.c    |  4 ++--
 src/fccompat.c | 19 +++++++++++++++++++
 src/fcint.h    |  5 +++++
 3 files changed, 26 insertions(+), 2 deletions(-)

commit 767e3aa7c50c2a707b42d9eda879b1046558bb6f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jan 4 20:32:46 2018 +0900

    Fix compiler warnings

 src/fccfg.c          | 2 +-
 src/fcdir.c          | 4 ++++
 src/fcfreetype.c     | 4 ++--
 test/test-bz131804.c | 1 -
 4 files changed, 7 insertions(+), 4 deletions(-)

commit 706535e10715938c10e65e727feb607373ac1a47
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jan 3 15:59:24 2018 +0000

    Add FcWeightTo/FromOpenTypeDouble()

    No idea why I didn't add these as double to begin with.

 doc/fcweight.fncs       | 42 ++++++++++++++++++++++++++++++++----------
 fontconfig/fontconfig.h |  6 ++++++
 src/fcfreetype.c        | 16 ++++++++--------
 src/fcweight.c          | 24 ++++++++++++++++++------
 4 files changed, 64 insertions(+), 24 deletions(-)

commit 97898b1158542d3bc5f8a95fe2aa1829512cceb8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jan 3 22:15:11 2018 +0900

    Fix the mis-ordering of ruleset evaluation in a file with include
    element

 src/fccfg.c |  8 ++++++--
 src/fcxml.c | 22 ++++++++++++++++++++++
 2 files changed, 28 insertions(+), 2 deletions(-)

commit 5cfd594c71345bcb91a56100fc3bbfef15253a95
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 2 19:04:45 2018 +0900

    do not check the existence of itstool on win32

 configure.ac | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit f8e22fd6469cd14fe13ba657b5c5b66a884b614d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Dec 20 12:21:20 2017 -0500

    Put back accidentally removed code

 src/fcmatch.c | 2 ++
 1 file changed, 2 insertions(+)

commit 6d1d44d5ec5100a3db850dddd7b4e4196e8a5cdb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Dec 19 15:51:16 2017 -0500

    Let pattern FC_FONT_VARIATIONS override standard axis variations

    Ie. flip the merge order.

 src/fcmatch.c | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 650b051a2562ab5813d0671323e00f31cd79b37b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Dec 19 15:04:25 2017 -0500

    Set font-variations settings for standard axes in variable fonts

    This is the last piece of the puzzle for variable-font support in
    fontconfig.  This takes care of automatically setting the variation
    settings when user requests a weight / width / size that has variation
    in the matched font.

 src/fcmatch.c | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/fcpat.c   | 10 ++++++++--
 2 files changed, 60 insertions(+), 4 deletions(-)

commit 288d3348122a695615c39d82142d988e56064b9f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Dec 18 23:51:17 2017 -0500

    Minor

 fc-pattern/fc-pattern.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 57ff677b1bd73acbf371955afe8d6399a06d46ac
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Dec 18 21:28:23 2017 -0500

    Remove a debug abort()

    Ouch!

 src/fcmatch.c | 1 -
 1 file changed, 1 deletion(-)

commit aa85a2b3b6b652c079e895865e800e3d9b60a5f5
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Dec 19 12:16:48 2017 +0900

    Try to get current instance of FcConfig as far as possible

 src/fcmatch.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0b59a65a71b5482aab63a2fe7eff2820f2512941
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Dec 18 16:17:10 2017 +0100

    fchash: Fix replace

    When we replace a bucket in the hashtable we have to update the
    next pointer too, or we lose all the other elements that hashed to
    this key.

 src/fchash.c | 2 ++
 1 file changed, 2 insertions(+)

commit 7ca28c2fedb34c1db5ee3116d335f15195859db0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Dec 18 21:22:21 2017 -0500

    Don't crash

    Not proper fix necessarily. But fixes this crash:
    https://bugs.freedesktop.org/show_bug.cgi?id=101889#c81

 src/fcmatch.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e83f8777d555b40127f7035b5639955a70ad7dfd
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 18 21:45:00 2017 +0900

    Disable uuid related code on Win32

 configure.ac  |  9 +++++++--
 src/fccache.c | 19 ++++++++++++++++++-
 src/fchash.c  |  4 ++++
 3 files changed, 29 insertions(+), 3 deletions(-)

commit 182186e53a38d2c8b82d0a1785f6873f2b54316a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 18 21:26:29 2017 +0900

    Do not update mtime with creating .uuid

 src/fccache.c    | 26 ++++++++++++++++++++++++++
 test/run-test.sh | 13 +++++++++++++
 2 files changed, 39 insertions(+)

commit c1e48b0c1439007b41887177ef7b34e4d75e3a31
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 18 20:05:44 2017 +0900

    Add a test case for uuid creation

 test/run-test.sh | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit 8ab4d679959815feb0c383e1e17953fe1c46091f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 18 20:05:14 2017 +0900

    Replace uuid in the table properly when -r

 src/fccache.c |  7 ++++++-
 src/fchash.c  | 37 ++++++++++++++++++++++++++++++++-----
 src/fcint.h   |  4 ++++
 3 files changed, 42 insertions(+), 6 deletions(-)

commit 0378790ca362757061bff83c8a344991f1f829c6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 18 20:04:13 2017 +0900

    Add missing doc of FcDirCacheCreateUUID

 doc/fccache.fncs | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit 57eaf0ba7ea7f88510053688f3c3c4658da83596
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 18 16:41:04 2017 +0900

    Returns false if key is already available in the table

 src/fchash.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd21876e64db4eaf592297e97355ffdf87f7d2f6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 18 12:09:14 2017 +0900

    Update .uuid only when -r is given but not -f.

 fc-cache/fc-cache.c     | 3 +++
 fontconfig/fontconfig.h | 5 +++++
 src/fcdir.c             | 2 +-
 src/fcint.h             | 5 -----
 4 files changed, 9 insertions(+), 6 deletions(-)

commit dd1a92911b1abc4c266ad33d88ec8161342f0d69
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 18 11:53:25 2017 +0900

    cleanup files

 test/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bad64a7e1f84c982da1f86f45faa10426dfce654
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Dec 14 15:44:20 2017 +0900

    Bump version to 2.12.91

 README                  | 138
 +++++++++++++++++++++++++++++++++++++++++++++++-
 configure.ac            |   2 +-
 fontconfig/fontconfig.h |   2 +-
 3 files changed, 138 insertions(+), 4 deletions(-)

commit 1f84aa196d0ed2dae6176e0137eaae4449a6ca7c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Dec 14 15:42:39 2017 +0900

    Bump the libtool revision

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8d02dbbd9784e3e9ae5f45cb96b790645f09fcf6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Dec 14 15:42:22 2017 +0900

    Fix "make check" fail again

 test/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a6797cd5c2d430d22f689240eb4318f2d91fd677
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Dec 5 21:57:19 2017 +0900

    Fix distcheck error

 test/Makefile.am | 4 ++--
 test/run-test.sh | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 1b2279d6b5118fc00bc028340d14fe1e345a4ab4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Nov 24 10:53:39 2017 +0530

    thread-safe functions in fchash.c

 src/fchash.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 4758144492cf694b9d762733bc0907c0dad5b34d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Nov 20 17:46:47 2017 +0530

    Fix the testcase for env not enabled
    PCF_CONFIG_OPTION_LONG_FAMILY_NAMES in freetype

 test/run-test.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit abe91a1694bb6b89c51c7d61af23bf2607c4c4be
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Nov 20 14:33:18 2017 +0530

    Use smaller prime for hash size

 src/fchash.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c4b2787ba41006d60c964438fec17f15d75f03c0
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Nov 20 13:46:55 2017 +0530

    cleanup

 doc/fcpattern.fncs | 10 ----------
 1 file changed, 10 deletions(-)

commit 5af21201e1bf2daf2bae4b684243bc62dd2c7ee7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 15 23:30:26 2017 +0900

    Add a testcase for bind-mounted cachedir

 test/run-test.sh | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 2f486f6584f3c0d6d1c7eadfbc56cd13a8f3122f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 15 23:24:24 2017 +0900

    Don't call FcStat when the alias has already been added

    Similar changes to 3a3d6ea applies to fclist and fcmatch.

 src/fclist.c  | 49 ++++++++++++++++++++++---------------------------
 src/fcmatch.c | 47 ++++++++++++++++++++++-------------------------
 2 files changed, 44 insertions(+), 52 deletions(-)

commit 665a5d30443cee9ef0eb977857ed2d19ed9f3cb6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 15 23:00:31 2017 +0900

    Fix a typo

 src/fchash.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6b82c7083565d646b8a08d17dbcb41bd998a5a3c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 15 23:00:23 2017 +0900

    Fix memory leak

 src/fccache.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit da071b32d41f91856a5e211c1fea7192d33ef09f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 15 16:34:02 2017 +0900

    update

 git.mk | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 8f88b1c47cb7918aa65ed415f64e04464b1653c9
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 15 16:10:49 2017 +0900

    abstract hash table functions

 src/Makefile.am |   1 +
 src/fccache.c   | 241
 +++++++-------------------------------------------------
 src/fccfg.c     |  21 ++++-
 src/fcdir.c     |   2 +-
 src/fchash.c    | 181 ++++++++++++++++++++++++++++++++++++++++++
 src/fcint.h     |  51 ++++++++++--
 src/fclist.c    |   6 +-
 src/fcmatch.c   |   5 +-
 8 files changed, 283 insertions(+), 225 deletions(-)

commit 68ff99c4142e25989409f465e392b1bb3042494d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 15 16:08:30 2017 +0900

    cleanup

 fontconfig/fontconfig.h |  3 ---
 src/fcpat.c             | 30 ------------------------------
 2 files changed, 33 deletions(-)

commit b01bf646f110cacfaeb5fe097475d3582fa6cd33
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Oct 3 13:08:54 2017 +0900

    Destroy the alias and UUID tables when all of caches is unloaded

    When a cache contains no fonts, it will be unloaded immediately.
    Previously the certain alias and UUID entries will be purged at that
    time though,
    this doesn't work when the targeted directory has sub-directories.
    To avoid the unnecessary cache creation with the md5-based naming,
    try to keep them
    as far as possible.
    Although this way seems not perfectly working if the first directory
    to look up is like that

 src/fccache.c | 63
 +++++++++++++++++++++++++----------------------------------
 1 file changed, 27 insertions(+), 36 deletions(-)

commit d7133f4ed7071c6ac257e8d4de0e438e22ca0254
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Oct 2 21:17:06 2017 +0900

    Don't call FcStat when the alias has already been added

    We could assume that the targeted location is mapped at the different
    place
    when there are in the alias table.

 src/fccfg.c | 21 +++++++--------------
 1 file changed, 7 insertions(+), 14 deletions(-)

commit cf5acaed9621990d890a0dfd655494d7242aba26
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Sep 23 18:49:55 2017 +0900

    Replace the path of subdirs in caches as well

 src/fccfg.c | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 6d3b306cbecac22f4e0974c1a6e836289bd522f4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Sep 19 20:21:22 2017 +0900

    Replace the original path to the new one

 src/fclist.c  | 6 +++---
 src/fcmatch.c | 2 ++
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 6f226ad67e4373fa62359d1a7b94400d200e66ed
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Sep 7 19:43:59 2017 +0900

    Replace the font path in FcPattern to what it is actually located.

 src/fclist.c  | 41 ++++++++++++++++++++++++++++++++++++++++-
 src/fcmatch.c | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+), 1 deletion(-)

commit 85d9de58ed093ade638b51697fc3a23309e5d5a6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Aug 2 11:02:19 2017 +0100

    Add new API to find out a font from current search path

 doc/fcpattern.fncs      |  10 ++++
 fontconfig/fontconfig.h |   3 ++
 src/fccache.c           | 127
 +++++++++++++++++++++++++++++++++++++++++++++++-
 src/fcint.h             |   3 ++
 src/fcpat.c             |  30 ++++++++++++
 5 files changed, 171 insertions(+), 2 deletions(-)

commit 7b48fd3dd406b926f0e5240b211f72197ed538a9
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Sep 6 17:01:19 2017 +0900

    Use uuid-based cache filename if uuid is assigned to dirs

 configure.ac    |   8 +++
 src/Makefile.am |   3 +-
 src/fccache.c   | 211
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/fcdir.c     |   1 +
 src/fcint.h     |   4 ++
 5 files changed, 220 insertions(+), 7 deletions(-)

commit 64895e719dd8d18c52a31d66cd189915bc8c00b8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Nov 20 17:20:34 2017 +0530

    Add the check of PCF_CONFIG_OPTION_LONG_FAMILY_NAMES back

    This isn't enabled by default in freetype so need to check it for
    testsuites

 configure.ac                                          | 13 +++++++++++++
 test/Makefile.am                                      | 12 +++++++++++-
 test/{out.expected => out.expected-long-family-names} |  0
 test/out.expected-no-long-family-names                |  8 ++++++++
 test/run-test.sh                                      |  2 +-
 5 files changed, 33 insertions(+), 2 deletions(-)

commit e73b5dcbf2248b538e06bc92a71700dacbec983b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Nov 16 11:37:36 2017 +0900

    Correct debugging messages to load/scan config

 src/fcxml.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 676d8699cc2e812f02e661842be4221c7549c511
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Nov 16 11:31:02 2017 +0900

    Allow autoreconf through autopoint for gettext things

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 2ed243f323e603ac917a236a48b468e9c523da35
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Nov 14 20:55:24 2017 +0900

    Validate cache more carefully

    Reject caches when FcPattern isn't a constant.
    This is usually unlikely to happen but reported.
    I've decided to add more validation since this isn't reproducible
    and easy to have a workaround rather than investigating 'why'.

    https://bugs.freedesktop.org/show_bug.cgi?id=103237

 src/fccache.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 12eb7be46610178c74fbe24ae518e20957cda1ea
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 8 22:18:01 2017 +0900

    another workaround to avoid modifying by gettextize...

 autogen.sh | 3 +++
 1 file changed, 3 insertions(+)

commit 3c55ef4b278be8fff1296af0cd1d3f97388416e4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 8 22:03:49 2017 +0900

    missing an open parenthesis

 fc-cache/fc-cache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 23ba0dc10d5a1415d020043274a3e9608c5c5a39
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Nov 7 15:13:46 2017 +0900

    workaround to avoid modifying by gettextize

 Makefile.am | 3 +--
 autogen.sh  | 8 +++++++-
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 9a0fcb948fe7346f6c68028b2e54ab600a2a2a6f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Mar 27 15:10:44 2014 +0900

    Add the ruleset description support

    Trying to address what these configuration files really do.
    This change allows to see the short description that mention
    the purpose of the content in the config file and obtain
    them through API.

    This change also encourage one who want to make some UI for
    the user-specific configuration management. it is the main
    purpose of this change for me though.

    Aside from that, I've also made programs translatable. so
    we see more dependencies on the build time for gettext,
    and itstool to generate PO from xml.

 Makefile.am                       |  14 +-
 autogen.sh                        |  13 +-
 conf.d/10-autohint.conf           |   5 +
 conf.d/10-hinting-full.conf       |   6 +
 conf.d/10-hinting-medium.conf     |   6 +
 conf.d/10-hinting-none.conf       |   6 +
 conf.d/10-hinting-slight.conf     |   6 +
 conf.d/10-no-sub-pixel.conf       |   5 +
 conf.d/10-scale-bitmap-fonts.conf |   4 +
 conf.d/10-sub-pixel-bgr.conf      |   5 +
 conf.d/10-sub-pixel-rgb.conf      |   5 +
 conf.d/10-sub-pixel-vbgr.conf     |   5 +
 conf.d/10-sub-pixel-vrgb.conf     |   5 +
 conf.d/10-unhinted.conf           |   5 +
 conf.d/11-lcdfilter-default.conf  |   5 +
 conf.d/11-lcdfilter-legacy.conf   |   5 +
 conf.d/11-lcdfilter-light.conf    |   5 +
 conf.d/20-unhint-small-vera.conf  |   5 +
 conf.d/25-unhint-nonlatin.conf    |   4 +
 conf.d/30-metric-aliases.conf     |   5 +
 conf.d/40-nonlatin.conf           |   5 +
 conf.d/45-generic.conf            |   6 +
 conf.d/45-latin.conf              |   5 +
 conf.d/49-sansserif.conf          |   5 +
 conf.d/50-user.conf               |   5 +
 conf.d/51-local.conf              |   5 +
 conf.d/60-generic.conf            |   5 +
 conf.d/60-latin.conf              |   5 +
 conf.d/65-fonts-persian.conf      |   4 +
 conf.d/65-khmer.conf              |   4 +
 conf.d/65-nonlatin.conf           |   5 +
 conf.d/69-unifont.conf            |   4 +
 conf.d/70-no-bitmaps.conf         |   5 +
 conf.d/70-yes-bitmaps.conf        |   5 +
 conf.d/80-delicious.conf          |   4 +
 conf.d/90-synthetic.conf          |   4 +
 configure.ac                      |  17 +
 doc/fcconfig.fncs                 |  35 ++
 fc-cache/fc-cache.c               |  80 +++--
 fc-cat/fc-cat.c                   |  46 +--
 fc-conflist/Makefile.am           |  60 ++++
 fc-conflist/fc-conflist.c         | 142 ++++++++
 fc-conflist/fc-conflist.sgml      | 135 ++++++++
 fc-list/fc-list.c                 |  40 ++-
 fc-match/fc-match.c               |  46 +--
 fc-pattern/fc-pattern.c           |  36 +-
 fc-query/fc-query.c               |  36 +-
 fc-scan/fc-scan.c                 |  30 +-
 fc-validate/Makefile.am           |   2 +-
 fc-validate/fc-validate.c         |  42 ++-
 fontconfig/fontconfig.h           |  25 +-
 fonts.conf.in                     |   5 +
 git.mk                            |  15 +
 local.conf                        |   5 +
 po-conf/ChangeLog                 |  12 +
 po-conf/LINGUAS                   |   1 +
 po-conf/Makevars                  |  78 +++++
 po-conf/POTFILES.in               |   0
 po/ChangeLog                      |  12 +
 po/LINGUAS                        |   1 +
 po/Makevars                       |  78 +++++
 po/POTFILES.in                    |  11 +
 src/Makefile.am                   |   4 +-
 src/fccfg.c                       | 675
 ++++++++++++++++++++++++--------------
 src/fcdbg.c                       |  10 +-
 src/fcinit.c                      |   1 +
 src/fcint.h                       | 113 ++++++-
 src/fcptrlist.c                   | 198 +++++++++++
 src/fcxml.c                       | 179 +++++++---
 69 files changed, 1916 insertions(+), 449 deletions(-)

commit 0c149259e4cc8070f6c8bf149290abb1367f340a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Nov 7 14:46:10 2017 +0900

    doc: trivial update

 doc/fcfreetype.fncs | 1 +
 1 file changed, 1 insertion(+)

commit 14d70d3a8ae6f2652305daeb019e518f7e0c505b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Sep 21 17:06:17 2017 +0900

    Bump version to 2.12.6

 README                  | 22 ++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 22 insertions(+), 4 deletions(-)

commit 3f96450be0291e4903ebccf601e5af46b55cd193
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Sep 21 17:05:51 2017 +0900

    Update libtool revision

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7953dbf47b30fbbe499ad6a4a97396a7942232a
Author: Alban Browaeys <alban.browaeys@gmail.com>
Date:   Mon Oct 16 15:36:58 2017 +0200

    Fixes cleanup

    Remove leftover references to run-test271.sh.

 test/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 90271ae0798dfbdb0d9dce85caf914bee99eca4e
Author: Alexander Kanavin <alex.kanavin@gmail.com>
Date:   Wed Oct 11 17:40:09 2017 +0300

    src/fcxml.c: avoid double free() of filename

    It's also freed after bail1, so no need to do it here.

 src/fcxml.c | 1 -
 1 file changed, 1 deletion(-)

commit f4a2a1e577f6d6fe40469fb0ab68eb0b5f42465c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Oct 11 17:26:52 2017 +0200

    Remove assert

 src/fcfreetype.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c41c9220181b203d1cf1f6435f6e3735cb7c84ac
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Oct 5 12:17:59 2017 +0200

    conf: Prefer system emoji fonts to third-party ones

    Prefer the system provided emoji fonts on systems which provide one,
    such as Windows, MacOS and Android, even if the Emoji One or Emoji Two
    fonts are installed.

    This also allows free software OSes such as GNOME to prefer the Emoji
    One font, which is not used in other OSes and therefore has a unique
    brand identity, by installing them and only them by default.

    Users can use more capable fonts while Emoji One and Emoji Two
    catch up
    by installing a font otherwise already used by another system, such as
    Google's freely redistributable Noto Emoji font.

    https://bugzilla.redhat.com/show_bug.cgi?id=1496761

 conf.d/45-generic.conf | 16 +++++++++-------
 conf.d/60-generic.conf |  5 +++--
 2 files changed, 12 insertions(+), 9 deletions(-)

commit 9fde3461e3aae3afc57ed100dc7784045e591766
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Sep 29 14:33:17 2017 +0900

    Fix a compiler warning

 src/fcdbg.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 071111ea58fa067e5e9349d71aa05ef6d62a0915
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Sep 29 14:29:37 2017 +0900

    cleanup

 test/Makefile.am     |  9 ---------
 test/out.expected    | 12 ++++++------
 test/out271.expected |  8 --------
 test/run-test271.sh  | 24 ------------------------
 4 files changed, 6 insertions(+), 47 deletions(-)

commit f504b2d6a149930cbbe745d56713bd88425a87fd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 28 19:49:05 2017 -0400

    Require freetype >= 2.8.1

    2.8.0 had a bad bug with loading 'avar' table.  Let's update
    requirement and cleanup
    fifteen years of ifdefs!

 configure.ac     | 39 +++------------------------------------
 src/fcfreetype.c | 43 -------------------------------------------
 2 files changed, 3 insertions(+), 79 deletions(-)

commit 1580593ecca1db4b4f06d87c38bb52eeeb533b1d
Merge: 052115a 01f781a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 28 14:52:41 2017 -0400

    Merge branch 'varfonts2'

    https://lists.freedesktop.org/archives/fontconfig/2017-September/006048.html

commit 01f781a9a44c98b9c1330caeb388545db8fe0bb2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 27 18:55:50 2017 -0400

    [varfonts] Share lang across named-instances

    Makes VotoSerifGX scanning another 40% faster...  Down to 36ms now.

 src/fcfreetype.c | 35 +++++++++++++++++++++++++----------
 src/fclang.c     |  6 ++++++
 src/fcpat.c      |  3 +++
 3 files changed, 34 insertions(+), 10 deletions(-)

commit 161c7385477b9520fc4c63e3f09789d217c5cd67
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 27 18:36:25 2017 -0400

    Use binary-search for finding name table entries

    VotoSerifGX has over 500 named instances, which means it also has
    over a thousand
    name table entries.  So we were looking for names for over 500
    pattern, looking for
    some thirty different name-ids, and using linear search across the
    1000 entries!

    Makes scanning VotoSerifGX three times faster.  The rest is probably
    the lang
    matching, which can also be shared across named-instances.  Upcoming.

 src/fcfreetype.c | 267
 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 141 insertions(+), 126 deletions(-)

commit 261464e0e2b0348187448fd86cde7d1e36124fc6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 27 18:09:31 2017 -0400

    Simplify name-table platform mathcing logic

    There's no "all other platforms", there was just ISO left.
    Hardcode it in.

 src/fcfreetype.c | 29 +++++------------------------
 1 file changed, 5 insertions(+), 24 deletions(-)

commit 55d04e25d613b0b63b2b2c33affb6fae34a0ca01
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 27 16:54:24 2017 -0400

    Don't convert nameds to UTF-8 unless we are going to use them

 src/fcfreetype.c | 39 ++++++++++++++++++++++-----------------
 1 file changed, 22 insertions(+), 17 deletions(-)

commit f99278112d01d77a4b396ab04616bdb4ade21d88
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 27 16:50:59 2017 -0400

    Whitespace

 src/fcfreetype.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 554041d59679d99e9c5ba0a01c3fa743eef7bd7f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 27 16:50:30 2017 -0400

    Fix whitespace-trimming loop and empty strings...

 src/fcfreetype.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a74109a1142a1525a310f95cb44931de545e025f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 27 16:49:24 2017 -0400

    Move whitespace-trimming code to apply to all name-table strings

    If it's good, it's good for everything!

 src/fcfreetype.c | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit 869dfe0bdc5efbaca6baf093eeeb9ac3d18c66e7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 27 16:26:47 2017 -0400

    [varfonts] Reuse charset for named instances

    This didn't give me the speedup I was hoping for, though I do get
    around 15% for VotoSerifGX.

 src/fcfreetype.c | 44 +++++++++++++++++++++++++++++++++-----------
 1 file changed, 33 insertions(+), 11 deletions(-)

commit bf4d440e7f02f36de37b205092144b335bc40854
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 27 12:31:03 2017 -0400

    Separate charset and spacing code

    For variable-font named-instances we want to reuse the same charset
    and redo the spacing.

 src/fcfreetype.c | 108
 ++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 64 insertions(+), 44 deletions(-)

commit 052115aa83c9927768ab970443250fb4ed9c0fca
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Sep 21 14:04:10 2017 +0900

    Fix again to keep the same behavior to the return value of
    FcConfigParseAndLoad

    https://bugs.freedesktop.org/show_bug.cgi?id=102141

 src/fcxml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5603e06aeba57cb2c7044c9cc6001d0cef5039f4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Sep 21 14:03:51 2017 +0900

    Revert "Keep the same behavior to the return value of
    FcConfigParseAndLoad"

    This reverts commit dc56ff80408b16393d645a55788b023f1de27bc9.

 src/fcxml.c | 4 ----
 1 file changed, 4 deletions(-)

commit 15b5016ccdf236e51caf2480749d534a7f4b9eda
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 20 19:39:59 2017 -0700

    [varfonts] Don't reopen face for each named instance

    Makes scanning of Voto (over 500 named instaces) twice faster.

    Next, avoid charset / lang recalculation for each of those.

 src/fcfreetype.c | 100
 +++++++++++++++++++++++++++++++------------------------
 1 file changed, 56 insertions(+), 44 deletions(-)

commit 2d0063948a446a24ed9b74b5b5a4eb1004b1db8e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 20 16:25:06 2017 -0700

    [varfonts] Do not set postscriptname for varfont pattern

 src/fcfreetype.c | 87
 +++++++++++++++++++++++++++++---------------------------
 1 file changed, 45 insertions(+), 42 deletions(-)

commit be735d6a6870dde8879ce08b8927bf224b2614a0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 20 16:21:28 2017 -0700

    [varfonts] Skip named-instance that is equivalent to base font

 src/fcfreetype.c | 41 ++++++++++++++++++++++++++++++++++++-----
 1 file changed, 36 insertions(+), 5 deletions(-)

commit 8183194ae39c43708e60458e94faf73d55b4ec4a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 18 20:14:33 2017 -0400

    [varfonts] Don't set style for variable-font pattern

 src/fcfreetype.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 131219f9e54fe576c986f80aecc3b1d92c27bb09
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 18 19:27:24 2017 -0400

    [varfonts] Comment

 src/fcfreetype.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit e85afde2d68574eda904e934ba2e484647606bf4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 18 15:04:21 2017 -0400

    [varfonts] Minor

 src/fcfreetype.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 5ee9c38df7708dfc544973fb7617231eb314b9b9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 18 15:03:36 2017 -0400

    Revert "[varfonts] Use fvar data even if there's no variation in it"

    This reverts commit 57764e3a36449da25bb829c34cb08c54e9e5de90.

    For regular font pattern we don't look into fvar, so it doesn't make
    sense to
    get non-variation from it either.

 src/fcfreetype.c | 25 ++++++++-----------------
 1 file changed, 8 insertions(+), 17 deletions(-)

commit 7e1b84100d9fff3409a8c3d1b800911bd0643761
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 18 14:53:24 2017 -0400

    Minor

 src/fcfreetype.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit 01f14de4172f4853c2ca05586aeb073edf560ef4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 18 14:52:17 2017 -0400

    [varfonts] Use fvar data even if there's no variation in it

 src/fcfreetype.c | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit 38a6d6fba0c9d5a189ec706a1df4ceb639c83bd1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 18 14:33:37 2017 -0400

    Fix possible div-by-zero

 src/fcfreetype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ed241cb3047b0a8ab1949d7ac68e7159fe0984d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 18 14:59:49 2017 -0400

    Implement more config bool operations for boolean types

    Meh.

 src/fccfg.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 2544bc5343d84a1f7e793cdae3569150b0ec3d05
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Sep 16 13:45:02 2017 -0400

    Add FcDontCare value to FcBool

    This can be used for FC_VARIABLE=FcDontCare for example, to opt
    into getting
    variable fonts for clients that support using them.

 fontconfig/fontconfig.h |  3 ++-
 src/fccfg.c             |  8 ++++++--
 src/fcdbg.c             |  5 ++++-
 src/fcmatch.c           |  8 ++++++--
 src/fcname.c            | 15 ++++++++++++++-
 5 files changed, 32 insertions(+), 7 deletions(-)

commit c2fcde498a8b7dec012a8da8ffa78f72a65ac50d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 15 15:03:46 2017 -0400

    [varfonts] Map from OpenType to Fontconfig weight values

    Oops.

 src/fcfreetype.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 9efe0689ae130eda75a66ecd853cbe63712378a3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 15 14:28:12 2017 -0400

    Adjust emboldening logic

    Old logic was really bad.  If you requested weight=102 and got
    a medium
    font (weight=100), it would still enable emboldening...

    Adjust it to only embolden if request was >= bold and font was <=
    regular.

 conf.d/90-synthetic.conf | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a79f367c3f8b238fecced75e02c956e565af2597
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 15 14:26:17 2017 -0400

    Fix range comparision operators implementation

 src/fcrange.c | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 5bbdffd2c2efcf684ae787bfad9d154b2fe05fb4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 15 01:51:46 2017 -0400

    Add separate match compare function for size

    Has two distinctions from FcCompareRange():
    1. As best value, it returns query pattern size, even if it's out
    of font range,
    2. Implements semi-closed interval, as that's what OS/2 v5 table
    defines

 src/fcmatch.c | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcobjs.h  |  2 +-
 2 files changed, 51 insertions(+), 1 deletion(-)

commit 2a41738fd7c88e2b6977673f91bdb8d1f7224cf1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 15 01:11:34 2017 -0400

    [fc-match/fc-list/fc-query/fc-scan] Add --brief that is like --verbose
    without charset

 fc-list/fc-list.c   | 24 ++++++++++++++++++------
 fc-match/fc-match.c | 20 ++++++++++++++++----
 fc-query/fc-query.c | 21 +++++++++++++++++----
 fc-scan/fc-scan.c   | 17 +++++++++++++++--
 4 files changed, 66 insertions(+), 16 deletions(-)

commit dc8326d3f116bb2a1425aa68660a332e351b6cb4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 15 01:20:56 2017 -0400

    [fc-query] Remove --ignore-blanks / -b

    Blanks are the new black, err, dead!

 fc-query/fc-query.c | 20 +++++---------------
 1 file changed, 5 insertions(+), 15 deletions(-)

commit 2db7ca7d5801ba4d3024abedc7d1f11a684879da
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 15 01:01:17 2017 -0400

    In RenderPrepare(), handle ranges smartly

    If font claims to support range [100,900], and request is for
    [250], then
    return [250] in "rendered" pattern.  Previously was returning
    [100,900].

    This is desirable for varfonts weight and width, but probably not
    for size.
    Will roll back size to return request size always, for non-empty
    ranges.

 src/fcmatch.c | 51 +++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 37 insertions(+), 14 deletions(-)

commit 6a13a21e408d0eead6909db1b13f9a866f254034
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 13 04:04:56 2017 -0400

    [varfonts] Fetch optical-size for named instances

 src/fcfreetype.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0f9bbbcf8f6f8264efb0a2ded4d8d05f3b10f7a4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 13 04:01:07 2017 -0400

    [varfonts] Query variable font in FcFreeTypeQueryAll()

    Returns varfont pattern at the end.

 src/fcfreetype.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 585f08715b9405743e4a2559d537fd06fb8b51d5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 13 03:57:29 2017 -0400

    Fix instance-num handling in collections

    Ouch!

 src/fcfreetype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 83b4161108457019d0d4fbee4ddbce8f2abe869a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 13 03:35:02 2017 -0400

    [varfonts] Query varfonts if id >> 16 == 0x8000

    If "instance-number" part of face id is set to 0x8000, return
    a pattern
    for variable font as a whole.  This might have a range for weight,
    width,
    and size.

    If no variation is found, NULL is returned.

    Not hooked up to FcQueryFaceAll() yet.  For now, can be triggered
    using
    fc-query -i 0x80000000

 src/fcfreetype.c | 83
 ++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 69 insertions(+), 14 deletions(-)

commit d3a7c3ce697a8ceb8042bf5bea11c38ac8990553
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 13 03:31:48 2017 -0400

    [varfonts] Change FC_WEIGHT and FC_WIDTH into ranges

 src/fcobjs.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f034c86756d45bed61b86310d9e4e77db2d05df3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 13 03:29:20 2017 -0400

    Print ranges as closed as opposed to half-open

    There's nothing assymetrical about how we match them.  Previously we
    "considered"
    them half-open because the OS/2 spec had usLowerOpticalPointSize
    as inclusive
    and usUpperOpticalPointSize as exclusive.  But we do not respect that.

    Note that the parsing code accepts both anyway, because of the way
    our sscanf()
    usage is written...

 src/fcdbg.c  | 2 +-
 src/fcname.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit a4bd5b7c7a06fe39d1461f9be098af37d364dcc2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 13 03:27:03 2017 -0400

    [varfonts] Change id argument in FcFreeTypeQuery* to unsigned int

    Going to use the top bit to query varfonts.

 fc-query/fc-query.c     |  6 +++---
 fontconfig/fcfreetype.h |  2 +-
 fontconfig/fontconfig.h |  4 ++--
 src/fcfreetype.c        | 20 ++++++++++----------
 4 files changed, 16 insertions(+), 16 deletions(-)

commit 819d3a5541b3903bda5d1299d48a6760379cac72
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 12:21:05 2017 -0400

    [varfonts] Add FC_VARIABLE

    For now, we mark all fonts as non-variable.

 fontconfig/fontconfig.h | 1 +
 src/fcdefault.c         | 1 +
 src/fcfreetype.c        | 3 +++
 src/fcmatch.c           | 1 +
 src/fcobjs.h            | 1 +
 5 files changed, 7 insertions(+)

commit 80e155c1c042d080772447d92c146501662ab85e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 10:39:20 2017 -0400

    [varfonts] Add FC_FONT_VARIATIONS

    This is for clients to passthru font variation settings.  Modeled
    similar to FC_FONT_FEATURES.  Each element value is for one axis
    settings, eg. "abcd=2.3" where 'abcd' is the OpenType Font Variations
    axis tag.

    Needs docs update.

 fontconfig/fontconfig.h | 1 +
 src/fcobjs.h            | 1 +
 2 files changed, 2 insertions(+)

commit de00bdb01f1c879b4d55d5f7ef31dfea0049a34b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 13 02:36:33 2017 -0400

    Indent

 src/fcfreetype.c | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 66f082451d8bd3ae781f6a570c20456d822dd2f1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 13 02:26:25 2017 -0400

    Check instance-index before accessing array

    Ouch!

 src/fcfreetype.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit b6440cbd7fbf965c8f70783bbdc93d592ac12b4e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 19:18:59 2017 -0400

    In FcSubstituteDefault(), handle size range

    Takes the midpoint...

 src/fcdefault.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit b4813436a3bea1945f44f3bf75a4eb02de8d0303
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 19:08:36 2017 -0400

    Rewrite FcCompareRange()

    Much simpler now.

 src/fcmatch.c | 39 ++++++++++++++++++++-------------------
 1 file changed, 20 insertions(+), 19 deletions(-)

commit e7a0a0a99938deb798c007343f01fb751bc9cd3b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 18:55:03 2017 -0400

    Rename FcCompareSizeRange() to FcCompareRange()

 src/fcmatch.c | 4 ++--
 src/fcobjs.h  | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 7519c567e13f476c64fe1938fedd0033e7e70833
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 18:52:49 2017 -0400

    Remove FcCompareSize()

    Use FcCompareNumber().  The FcCompareSize() returns 0 ("perfect
    match")
    if v2 is zero.  I cannot think of a use-case for this.  The code
    has been
    there from initial commit in 2002.  I suppose back then Keith had
    a use
    for size=0 to mean scalable or something.  Anyway, remove and see.

 src/fcmatch.c | 34 ----------------------------------
 src/fcobjs.h  |  2 +-
 2 files changed, 1 insertion(+), 35 deletions(-)

commit 6eb7e5ae811cabbbd3476f8fc392f119a3d7cec5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 18:00:43 2017 -0400

    Accept NULL in for spacing in FcFreeTypeCharSetAndSpacing()

 src/fcfreetype.c | 29 ++++++++++++++++-------------
 1 file changed, 16 insertions(+), 13 deletions(-)

commit 0757556ddfdce26e73df12459068464224116150
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 20 13:07:02 2017 -0700

    Document FcFreeTypeQueryAll()

 doc/fcfreetype.fncs | 31 +++++++++++++++++++++++++++++--
 1 file changed, 29 insertions(+), 2 deletions(-)

commit 2084b76bea78f9a41349de57d76134efd5174d96
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Fri Sep 15 22:52:52 2017 +0200

    build: Remove references to deleted file

    Commit cc67d7df17 removed 30-urw-aliases.conf, so don't try to
    install it.

 conf.d/Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit cc67d7df172431cb345ed42c27eb852e2ee65ae2
Author: David Kaspar [Dee'Kej] <dkaspar@redhat.com>
Date:   Fri Sep 1 11:05:16 2017 +0200

    conf.d: Drop aliases for (URW)++ fonts

      They have become a part of (URW)++ upstream release now:
      https://github.com/ArtifexSoftware/urw-base35-fonts/tree/master/fontconfig

 conf.d/30-metric-aliases.conf | 29 +++--------------------------
 conf.d/30-urw-aliases.conf    | 33 ---------------------------------
 2 files changed, 3 insertions(+), 59 deletions(-)

commit 7e74366f56508d0f312c2f51f3e9fdccae7d0104
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Sep 14 12:25:22 2017 +0900

    und_zsye.orth: polish to get for NotoEmoji-Regular.ttf

 fc-lang/und_zsye.orth | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 27a6a299e0fefca9c244213784d3c78b34281cd5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 16:43:33 2017 -0400

    Add FcFreeTypeQueryAll()

    Like FcFreeTypeQuery(), but adds patterns for all fonts found,
    including named
    instances of variable fonts.  If id is -1, then all collection faces
    are queried.
    Returns number of fonts added.

    This merges the same face loop that was in fc-query. and fcdir.c.

    Needs documentation update.

 fc-query/Makefile.am    |  2 +-
 fc-query/fc-query.c     | 88
 +++++++++++++++----------------------------------
 fc-scan/fc-scan.c       |  4 +--
 fontconfig/fontconfig.h |  3 ++
 src/fcdir.c             | 86
 +++++++++++------------------------------------
 src/fcfreetype.c        | 64 ++++++++++++++++++++++++++++++++++-
 6 files changed, 114 insertions(+), 133 deletions(-)

commit c524522bb45f71dfeaa8fd1ec277537dd6e85afa
Merge: 339de16 8b46a51
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 17:10:03 2017 -0400

    Merge branch 'faster'

    Results in 5x to 10x speedup in scanning.

    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=64766

commit 8b46a518bda8ecb3c5e2dfb0c1e5fda99e40aa3e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 17:08:08 2017 -0400

    Update documentation for removal of blanks

    Patch from Jerry Casiano.

 doc/fcblanks.fncs         | 14 ++++++++------
 doc/fcconfig.fncs         |  7 ++-----
 doc/fcfreetype.fncs       | 17 +++++++++--------
 doc/fontconfig-devel.sgml | 10 ++++++++++
 4 files changed, 29 insertions(+), 19 deletions(-)

commit a8bbbfb601b6d0394525262c543a18bd7699b684
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 18:30:43 2017 +0100

    Minor

 src/fcfreetype.c | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 60b2cf8e4cf5036442c345c90fcf43f548d11d28
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 17:40:06 2017 +0100

    Call FT_Get_Advance() only as long as we need to determine font
    width type

 src/fcfreetype.c | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit ad0a82b8f85535862ba816d469059884564e5c58
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 17:19:42 2017 +0100

    Inline FcFreeTypeCheckGlyph()

 src/fcfreetype.c | 64
 +++++++++++++++++++++++++-------------------------------
 1 file changed, 28 insertions(+), 36 deletions(-)

commit 1af7518583196dc0638ef80ff204936c54f19619
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 17:15:07 2017 +0100

    Simplify advance-width calculations

 src/fcfreetype.c | 34 +++++++++++++---------------------
 1 file changed, 13 insertions(+), 21 deletions(-)

commit 6f98286e15a91bf8d76eb2c09f1edf3f1fedc633
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 17:07:23 2017 +0100

    Use inline functions instead of macros for a couple of things

 src/fcfreetype.c | 11 +++++++----
 src/fcint.h      |  1 -
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 15eba74ffe85d13ecafd032fe44bbabe26670f8c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 17:01:56 2017 +0100

    Use multiplication instead of division

 src/fcfreetype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac802955cd26ba9175b5be36ca653c0904c9723a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 16:40:40 2017 +0100

    Remove unneeded check

    FcFreeTypeCheckGlyph() has only one call-site left, and that
    checks for
    glyph != 0 already.

 src/fcfreetype.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit d7f5332410af2dff387dec9597c4c71ae729747b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 16:39:29 2017 +0100

    Move variables to narrower scope and indent

 src/fcfreetype.c | 118
 +++++++++++++++++++++++++++----------------------------
 1 file changed, 58 insertions(+), 60 deletions(-)

commit 894e5675c89cd081dcacbb6c3a0d8b81424c4ad6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 16:36:12 2017 +0100

    Mark more parameters FC_UNUSED

 src/fccfg.c      | 12 ++++++------
 src/fcfreetype.c |  6 +++---
 2 files changed, 9 insertions(+), 9 deletions(-)

commit f5bea1e6021bfa7d454ea774fd163039ad2c7650
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 16:33:53 2017 +0100

    Remove blanks support from fc-scan

 fc-scan/fc-scan.c    | 18 ++++--------------
 fc-scan/fc-scan.sgml | 14 +-------------
 2 files changed, 5 insertions(+), 27 deletions(-)

commit 8f4c4d278d013f6cc69ba7d7bf0f8aed11398dfb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 16:31:52 2017 +0100

    Remove blanks facility from the library

    XML parser does not accept it anymore either.

 Makefile.am                    |   2 +-
 configure.ac                   |   1 -
 fc-blanks/Makefile.am          |  46 ------------
 fc-blanks/fc-blanks.py         | 160
 -----------------------------------------
 fc-blanks/fcblanks.tmpl.h      |  25 -------
 fc-blanks/list-unicodeset.html | 119 ------------------------------
 src/Makefile.am                |   1 -
 src/fcblanks.c                 | 108 ----------------------------
 src/fccfg.c                    |  65 +++++++++--------
 src/fcdir.c                    |  28 +++-----
 src/fcint.h                    |  15 ----
 src/fcxml.c                    |  54 --------------
 12 files changed, 46 insertions(+), 578 deletions(-)

commit 3bd4dd27bd673950e47ccdfd58b798abc580b6a0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 16:17:17 2017 +0100

    Remove fc-glyphname

 Makefile.am                     |   2 +-
 configure.ac                    |   1 -
 fc-glyphname/Makefile.am        |  33 ----
 fc-glyphname/fc-glyphname.c     | 325
 ----------------------------------------
 fc-glyphname/fcglyphname.tmpl.h |  25 ----
 fc-glyphname/zapfdingbats.txt   | 212 --------------------------
 src/Makefile.am                 |   3 -
 7 files changed, 1 insertion(+), 600 deletions(-)

commit c7ef8808c441c89fe16183fbfdca291f50fc3ec1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 15:17:34 2017 +0100

    Remove unused variable

 src/fcfreetype.c | 7 -------
 1 file changed, 7 deletions(-)

commit 16d779115982012db0c93d8c4c735a9fb7a57dfb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 15:13:34 2017 +0100

    Remove use of psnames for charset construction

    This is ancient.  No font we care baout uses them.  Kill.

    This also makes fc-glyphname machinery obsolete.  Should be removed.

 src/fcfreetype.c | 179
 -------------------------------------------------------
 1 file changed, 179 deletions(-)

commit 82d6286657dc12ce42a9c67cae1546543e44f89e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 15:03:57 2017 +0100

    Remove check that cannot fail

 src/fcfreetype.c | 18 ------------------
 1 file changed, 18 deletions(-)

commit f309819d77bffaf802bdd9cd227c2a5bcbda0334
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 15:00:55 2017 +0100

    Remove a few unused blanks parameters

    The entire blanks thingy is now unused.  We should remove more of it.

 src/fcfreetype.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e517886dedb4013951325a6b8670c39c2c69c837
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 14:59:26 2017 +0100

    Remove unnecessary check

    Argument advance is never set to NULL coming into this function.

 src/fcfreetype.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 5f6c0594f97f53e9b0be8341c790bd97023ef443
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 14:57:03 2017 +0100

    Minor: adjust debug output

    Ignore control chars for purpose of emptiness check.  I *think*
    U+0000 and U+000D
    are rendered empty, but since they are not in blanks, for now just
    ignore them.

 src/fcfreetype.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 659afb2987b5fdc202690678b563ef05acdb9686
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 14:43:16 2017 +0100

    Add back code for choosing strike, and cleanup

    The FT_Select_Size() call is important for bitmap-only fonts.
    Put it back.  It was removed in
    e327c4e54544dac5415e8864e80d6b75a0c900fd
    Remove some unused abstractions.

 src/fcfreetype.c | 46 +++++++++++++++++++---------------------------
 1 file changed, 19 insertions(+), 27 deletions(-)

commit cd4043da0dfd61da73473b2f00d5e3a78ad13bec
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 12:22:42 2017 +0100

    Check for non-empty outline for U+0000..U+001F

    See comment for reason.

 src/fcfreetype.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 028b91c781681be077066f1f1e86386f3106792f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 3 17:40:01 2017 +0100

    Don't even check loca for glyph outline detection

    Basically we trust the font cmap table now...

    New numbers:

    behdad:src 0$ time fc-scan ~/fonts/ > after-noloca

    real    0m55.788s
    user    0m15.836s
    sys     0m17.008s
    behdad:src 0$
    behdad:src 0$ time fc-scan ~/fonts/ > after-noloca

    real    0m24.794s
    user    0m12.164s
    sys     0m12.420s

    Before this change it was:

    behdad:src 130$ time fc-scan ~/fonts/ > after

    real    0m24.825s
    user    0m12.408s
    sys     0m11.356s

    Not any faster!  I suppose most time is being spent in loading cmap
    and advances now.
    I'll see about loading hmtx ourselves.

    With I/O numbers.  Before:

    behdad:src 0$ \time fc-scan ~/fonts/ > after
    11.66user 12.17system 0:24.03elapsed 99%CPU (0avgtext+0avgdata
    487684maxresident)k
    2320inputs+50480outputs (21major+11468549minor)pagefaults 0swaps

    after:

    behdad:src 130$ \time fc-scan ~/fonts/ > after-noloca
    11.94user 11.99system 0:24.11elapsed 99%CPU (0avgtext+0avgdata
    487704maxresident)k
    16inputs+50688outputs (0major+11464386minor)pagefaults 0swaps

    We are definitely doing a lot less I/O.  Surprisingly less in fact.
    I don't get it.

 src/fcfreetype.c | 109
 ++++---------------------------------------------------
 1 file changed, 7 insertions(+), 102 deletions(-)

commit ab02a49490ec0b0c8fc8f73ee5b4198a174b456d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 3 16:49:49 2017 +0100

    Instead of loading glyphs (with FreeType), just check loca table

    Part of https://bugs.freedesktop.org/show_bug.cgi?id=64766#c47

    This is the approach introduced in
    https://bugs.freedesktop.org/show_bug.cgi?id=64766#c30

    Testing it with 11GB worth of stuff, before/after:

    behdad:src 130$ time fc-scan ~/fonts/ > before

    real    2m18.428s
    user    1m17.008s
    sys     0m20.576s

    behdad:src 0$ time fc-scan ~/fonts/ > after

    real    1m12.130s
    user    0m18.180s
    sys     0m19.952s

    Running the after case a second time is significantly faster:

    behdad:src 130$ time fc-scan ~/fonts/ > after

    real    0m24.825s
    user    0m12.408s
    sys     0m11.356s

    Next I'm going to try to not even read loca...

 src/fcfreetype.c | 167
 ++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 111 insertions(+), 56 deletions(-)

commit 339de167c71264c18775d96160d1504192a89d11
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 17:01:57 2017 -0400

    [fc-query] Fix linking order

 fc-query/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b56207a069be2574df455ede0a6ab61f44d5ca2b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 13:25:46 2017 -0400

    Remove stray printf()

    Ouch.

 fc-query/fc-query.c | 1 -
 1 file changed, 1 deletion(-)

commit 6fb9b8fe49a2862cccdd25c278f437a620aaac5d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 12 11:42:18 2017 -0400

    Minor

 src/fcfreetype.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 4d3410bd08a0f61272ca1dbb1dd27ac8c5f222de
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Sep 9 22:34:36 2017 +0900

    Bump version to 2.12.5

 README                  | 41 +++++++++++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 41 insertions(+), 4 deletions(-)

commit 37339b7b2c804df4306e80a5cf0d33bc11a33be6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Sep 9 22:34:21 2017 +0900

    Update libtool versioning

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 36a3ced9495c236beb1676efb8fda4b1292179a7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Sep 9 22:17:16 2017 +0900

    Update docs

 doc/fcconfig.fncs  | 2 +-
 doc/fcpattern.fncs | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 92da67a9fcf9fa48ebb40f2032d47291d5427d41
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Aug 25 11:46:53 2017 +0900

    fc-blanks: fall back to the static data available in repo if
    downloaded data is corrupted

    https://bugs.freedesktop.org/show_bug.cgi?id=102399

 fc-blanks/fc-blanks.py | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 12cf4c17db76bf4e30c0f94f301ac5b3be7e070c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Aug 23 13:39:15 2017 +0900

    Update similar to emoji's

 conf.d/45-generic.conf | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 69918f0eaa2d337611d793ad9ecfd17683d87974
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Aug 23 12:36:15 2017 +0900

    Polish und_zmth.orth more for Cambria Math and Minion Math

 fc-lang/und_zmth.orth | 14 --------------
 1 file changed, 14 deletions(-)

commit a7fcaed61e438209080fc34fb579ca59ed9f3d4c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Aug 23 11:21:10 2017 +0900

    Polish und_zmth.orth for Libertinus Math

 fc-lang/und_zmth.orth | 32 --------------------------------
 1 file changed, 32 deletions(-)

commit 53c4440ee35d4ac6078cc064df78b7b5b42c4db4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Aug 22 20:37:30 2017 +0900

    Add und_zmth.orth to support Math in lang

 fc-lang/Makefile.am   |   3 +-
 fc-lang/und_zmth.orth | 190
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 192 insertions(+), 1 deletion(-)

commit ee609da3582f46151dd86b30d473833067e83c39
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Aug 22 20:30:34 2017 +0900

    Fix to work the debugging option on fc-validate

 src/fclang.c | 3 +++
 1 file changed, 3 insertions(+)

commit 5efa1137b41e20bfaef7346f79079f38add25572
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Aug 22 17:47:14 2017 +0900

    Accept 4 digit script tag in FcLangNormalize().

 src/fclang.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 651f1227646174b5be0186b4b6cdff3a7134d869
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Aug 15 18:20:15 2017 +0900

    Do not ship fcobjshash.gperf in archive

 src/Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit dc56ff80408b16393d645a55788b023f1de27bc9
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sun Aug 13 16:18:35 2017 +0900

    Keep the same behavior to the return value of FcConfigParseAndLoad

    reverting the behavior accidentally changed by 12b750

    https://bugs.freedesktop.org/show_bug.cgi?id=102141

 src/fcxml.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 41bc5eab84fffbb427d929a5dc712348b635122c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 8 15:34:27 2017 -0700

    Fix weight mapping

    Ouch!

 src/fcweight.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b2910319610c90dcba021788b0739cf627c3ade
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 14:22:30 2017 +0100

    Fix warning

 src/fclang.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 484cb300eadf54a1e2248f8bd4e7717d6d3f7d31
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 4 14:13:56 2017 +0100

    Fix sign-difference compare warning

 src/fcfreetype.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9bb36b42c9df42fb813d5fb3387d515667e859e0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 3 17:52:28 2017 +0100

    Minor

 src/fcfreetype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 064440d59797b1158badfb9144f3188cda11a791
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 3 11:02:32 2017 +0100

    Ignore 'und-' prefix for in FcLangCompare

    See https://bugs.freedesktop.org/show_bug.cgi?id=94551#c54

    For example, matching for :lang=und-zsye matches emoji font,
    but searching
    for :lang=und-xyz wouldn't match an emoji font anymore.  Neither does
    :lang-und.

 src/fclang.c | 23 ++++++++++++++++++++---
 1 file changed, 20 insertions(+), 3 deletions(-)

commit cc8442dec85e9d416436d19eeae1783f2d3008f0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 3 10:36:01 2017 +0100

    Adjust color emoji config some more

    Seems to work now.  Either asking for family emoji, or :lang=und-zsye
    returns
    the preferred color emoji font available, or just any color emoji
    font if none
    of the preferred ones was found.

 conf.d/45-generic.conf | 35 ++++++++++++++---------------------
 conf.d/60-generic.conf | 21 +++++++++++++++++++++
 2 files changed, 35 insertions(+), 21 deletions(-)

commit 26fdd3e4c6428ef91f9afb40ea14a5e7fd6028e5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 2 16:48:33 2017 +0100

    Remove unneeded codepoints

 fc-lang/und_zsye.orth | 220
 +-------------------------------------------------
 1 file changed, 1 insertion(+), 219 deletions(-)

commit ef0b5f89013cdbb4c1c582aef7ed21fb40354cfd
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Aug 2 16:01:22 2017 +0100

    Add more code points to und-zsye.orth

 fc-lang/und_zsye.orth | 123
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 123 insertions(+)

commit 7ef17238361a7e49588924ce7aeb7ad9c3748bd5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 2 15:41:26 2017 +0100

    Minor

 conf.d/45-generic.conf | 63
 +++++++++++++++++++++++++++++---------------------
 conf.d/60-generic.conf |  1 +
 2 files changed, 38 insertions(+), 26 deletions(-)

commit 9978203bf16a0dfc1aa1c599989945d561628790
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 2 15:31:15 2017 +0100

    [fc-lang] Allow using ".." instead of "-" in ranges

    Allows copying emoji-data.txt and other Unicode data files intact.

 fc-lang/fc-lang.c     | 5 +++++
 fc-lang/und_zsye.orth | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 1bb8e691bd535859b1795db2554a8b1efb1d0372
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Aug 1 10:50:55 2017 +0100

    Add und-zsye.orth to support emoji in lang

 conf.d/45-generic.conf |  35 +++++++
 fc-lang/Makefile.am    |   3 +-
 fc-lang/und_zsye.orth  | 246
 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/fclang.c           |   2 +-
 4 files changed, 284 insertions(+), 2 deletions(-)

commit 2073477e051e66afa6ce5c447b6ebc75dbe32636
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 2 13:34:01 2017 +0100

    Add EmojiOne Mozilla font

 conf.d/45-generic.conf | 8 ++++++--
 conf.d/60-generic.conf | 5 +++--
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 368fe08f970d7f8d3b49f1350ca14b0915a754b3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 2 13:04:36 2017 +0100

    Add Twitter Color Emoji

    https://bugs.freedesktop.org/show_bug.cgi?id=94551#c33

 conf.d/45-generic.conf | 4 ++++
 conf.d/60-generic.conf | 1 +
 2 files changed, 5 insertions(+)

commit e5a51c899480c3bd99c36e49d1c24932f6a08810
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 1 14:41:02 2017 +0100

    [fc-query] Support listing named instances

 fc-query/Makefile.am |  2 +-
 fc-query/fc-query.c  | 46 +++++++++++++++++++++++++++++++++++++---------
 2 files changed, 38 insertions(+), 10 deletions(-)

commit d7f3437ade668c60a7e31f93669b73680be6512a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 17:17:16 2017 +0100

    Add generic family matching for "emoji" and "math"

    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=94551

 conf.d/45-generic.conf | 67
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 conf.d/60-generic.conf | 37 ++++++++++++++++++++++++++++
 conf.d/Makefile.am     |  4 +++
 3 files changed, 108 insertions(+)

commit 241cc869327ec07774ff555e157db1bea73dc485
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 31 15:56:06 2017 +0100

    Pass --pic to gperf

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5b6af242e1eb0a6456fe9ab9a99efa3ba42f83c6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jul 11 15:34:50 2017 +0900

    Fix gcc warnings with enabling libxml2

 src/fcxml.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit db2825eed54496f4e20f7375d71d6a92b27926a2
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jul 11 13:19:16 2017 +0900

    Bug 101726 - Sans config pulls in Microsoft Serifed font

    Update 65-nonlatin.conf to have better choice of the sans-serif
    fonts for Chinese

    Patch from Joseph Wang

    https://bugs.freedesktop.org/show_bug.cgi?id=101726

 conf.d/65-nonlatin.conf | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 12b7501bad3ed4d7819b00a27a9c021e7d120aa0
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jun 11 17:30:04 2015 +0900

    Add FcConfigParseAndLoadFromMemory() to load a configuration from
    memory.

    https://bugs.freedesktop.org/show_bug.cgi?id=78452

 doc/fcconfig.fncs       |  16 ++++
 fontconfig/fontconfig.h |   5 ++
 src/fcxml.c             | 206
 ++++++++++++++++++++++++++++++------------------
 3 files changed, 152 insertions(+), 75 deletions(-)

commit ee2000494c4c8367fe20593709a979d158687855
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jul 28 12:48:40 2015 +0900

    Add FcPatternGetWithBinding() to obtain the binding type of the
    value in FcPattern.

    https://bugs.freedesktop.org/show_bug.cgi?id=19375

 doc/fcpattern.fncs      | 17 +++++++++++++++++
 fontconfig/fontconfig.h | 12 +++++++++++-
 src/fcint.h             |  9 +++------
 src/fcpat.c             | 18 ++++++++++++++++--
 4 files changed, 47 insertions(+), 9 deletions(-)

commit 01085e07857cddf382db736a9e061f92f50397d6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jul 5 17:37:26 2017 +0900

    Bump version to 2.12.4

 README                  | 33 +++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 33 insertions(+), 4 deletions(-)

commit 047b42fccab0dc99726356a9c8c7c50aea806f60
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jul 5 17:35:28 2017 +0900

    Fix distcheck error

 src/Makefile.am | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit c35e8df46dc041596674083772e59d5934635ae2
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jul 5 17:20:00 2017 +0900

    Update libtool revision

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e831f12a38b490cb832830a582a54d8647884988
Author: Josselin Mouette <joss@debian.org>
Date:   Tue Jun 27 11:34:38 2017 +0200

    Treat C.UTF-8 and C.utf8 locales as built in the C library.

    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=717423
    https://bugs.freedesktop.org/show_bug.cgi?id=101605

 src/fclang.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5d8ee5231ab1ea6f36d3103b4de24712c3ae2f64
Author: Helmut Grohne <helmut@subdivi.de>
Date:   Tue Jun 27 11:06:14 2017 +0200

    fix cross compilation

    Even though fontconfig's build system tries to build edit-sgml
    with the
    build arch compiler, it gets the runes wrong and actually builds
    it with
    the host arch compiler. This patch makes it use the right compiler.

    Bug-Debian: https://bugs.debian.org/779461
    https://bugs.freedesktop.org/show_bug.cgi?id=101554

 doc/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 60e1fe550ae5d945c45a7ad04b46ec78da0309aa
Author: Florent Rougon <f.rougon@free.fr>
Date:   Thu Jun 8 16:13:29 2017 +0200

    FcCharSetFreezeOrig(), FcCharSetFindFrozen(): use all buckets of
    freezer->orig_hash_table

    As written at:

      https://lists.freedesktop.org/archives/fontconfig/2017-June/005929.html

    I think FcCharSetFreezeOrig() and FcCharSetFindFrozen() should use
    the %
    operator instead of & when computing the bucket index for
    freezer->orig_hash_table, otherwise at most 8 buckets among the 67
    available (FC_CHAR_SET_HASH_SIZE) are used.

    Another way would be to change FC_CHAR_SET_HASH_SIZE to be of the form
    2**n -1 (i.e., a power of two minus one). In such a case, the & and %
    operators would be equivalent.

 src/fccharset.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7940ada7a89115455b493e64f961e9c3d2cc5045
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jun 12 13:36:56 2017 +0900

    Add a testcase for Bug#131804

 test/Makefile.am     |   4 ++
 test/test-bz131804.c | 136
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 140 insertions(+)

commit b0a5b4b48e9c94bcebe902fb88fbe447f2ccd04e
Author: Florent Rougon <f.rougon@free.fr>
Date:   Thu Jun 8 09:34:53 2017 +0200

    FcLangSetCompare(): fix bug when two charsets come from different
    "buckets"

    In fcLangCountrySets, it may happen that two charsets for the same
    language but different territories are found in different FcChar32
    "buckets" (different "columns" on the same line). This is currently
    the
    case for the following pairs:

      mn-cn  and mn-mn
      pap-an and pap-aw

    The FcLangSetCompare() code so far used to return FcLangDifferentLang
    instead of FcLangDifferentTerritory when comparing:

      an FcLangSet containing only mn-cn with one containing only mn-mn

    or

      an FcLangSet containing only pap-an with one containing only pap-aw

    This commit fixes this problem.

 src/fclang.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 209619b1a63f415320c8d379efc0525273c7b575
Author: Florent Rougon <f.rougon@free.fr>
Date:   Wed Jun 7 01:34:51 2017 +0200

    Fix erroneous test on language id in FcLangSetPromote()

    FcLangSetIndex() indicates "not found" with a non-negative return
    value.
    Return value 0 doesn't imply "not found", it rather means "language
    found at index 0 in fcLangCharSets".

 src/fclang.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4970c7e810fec29b5ad40a595850288f14f48e37
Author: Florent Rougon <f.rougon@free.fr>
Date:   Tue Jun 6 23:32:28 2017 +0200

    Fix an off-by-one error in FcLangSetIndex()

    This commit fixes a bug that can be reproduced like this:
      - remove all languages starting with 'a' in fc-lang/Makefile.am (in
        ORTH's definition);
      - rebuild fontconfig with this change (-> new fc-lang/fclang.h);
      - create an FcLangSet 'ls1' that contains at least the first
      language
        from fcLangCharSets (i.e., the first *remaining* in lexicographic
        order); let's assume it is "ba" for the sake of this description;
      - create an FcLangSet 'ls2' that only contains the language "aa"
      (any
        language starting with 'a' should work as well);
      - check the return value of FcLangSetContains(ls1, ls2);

    The expected return value is FcFalse, however it is FcTrue if you use
    the code before this commit.

    What happens is that FcLangSetIndex() returns 0, because this is the
    index of the first slot after the not-found language "aa" in
    fcLangCharSets (since we removed all languages starting with 'a').
    However, this index happens to be non-negative, therefore
    FcLangSetContainsLang() mistakenly infers that the language "aa" was
    found in fcLangCharSets, and thus calls FcLangSetBitGet(ls1, 0), which
    returns FcTrue since we've put the first remaining language "ba"
    in the
    'ls1' language set.

    The "return -low;" statement previously in FcLangSetIndex() was
    inconsistent with the final return statement. "return -(low+1);" fixes
    this inconsistency as well as the incorrect behavior described above.

 src/fclang.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 02161ef2d6eda4e9c0ad068058d51a67a09af92f
Author: Florent Rougon <f.rougon@free.fr>
Date:   Tue Jun 6 11:10:18 2017 +0200

    fc-lang: gracefully handle the case where the last language initial
    is < 'z'

    FcLangSetIndex() contains code like this:

      low = fcLangCharSetRanges[firstChar - 'a'].begin;
      high = fcLangCharSetRanges[firstChar - 'a'].end;
      /* no matches */
      if (low > high)

    The assumption behind this test didn't hold before this commit, unless
    there is at least one language name that starts with 'z' (which is
    thankfully the case in our world :-). If the last language name in
    lexicographic order starts for instance with 'x', this change ensures
    that fcLangCharSetRanges['y' - 'a'].begin and
         fcLangCharSetRanges['z' - 'a'].begin
    are equal to NUM_LANG_CHAR_SET, in order to make the above assumption
    correct in all cases.

 fc-lang/fc-lang.c | 3 +++
 1 file changed, 3 insertions(+)

commit c37eeb8f1ff2cb8655a27545ca32cc50ab70e8d6
Author: Florent Rougon <f.rougon@free.fr>
Date:   Mon Jun 5 10:58:41 2017 +0200

    FcCharSetHash(): use the 'numbers' values to compute the hash

    Before this commit, FcCharSetHash() repeatedly used the address of the
    'numbers' array of an FcCharSet to compute the FcCharSet hash, instead
    of the value of each array element. This is not good for even
    spreading
    of the FcCharSet objects among the various buckets of the hash table
    (and should thus reduce performance). This bug appears to have been
    mistakenly introduced in commit
    cd2ec1a940888ebcbd323a8000d2fcced41ddf9e (June 2005).

 src/fccharset.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28139816d62b8444ca61a000a87c71e59fef104d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jun 5 21:00:36 2017 +0900

    Fix the build failure when srcdir != builddir and have gperf 3.1 or
    later installed

 src/Makefile.am | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 5c49354a782870d632884174f10c7fb10351c667
Author: Akira TAGOH <akira@tagoh.org>
Date:   Sat Jun 3 19:02:53 2017 +0900

    Force regenerate fcobjshash.h when updating Makefile

    To avoid a situation of mismatching the declaration of hash function

 src/Makefile.am | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 79058f4e911487275323e93146e1e93ad15afcd8
Author: Masamichi Hosoda <trueroad@trueroad.jp>
Date:   Wed Jan 11 20:42:56 2017 +0900

    Bug 99360 - Fix cache file update on MinGW

    On Windows, opened or locked files cannot be removed.
    Since fontconfig locked an old cache file while updating the file,
    fontconfig failed to replace the file with updated file on Windows.

    This patch makes fontconfig does not lock the old cache file
    while updating it on Windows.

 src/fcdir.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 7d949ececdff18a1718eba6b7cb9f63f84486a10
Author: Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Date:   Wed May 31 21:38:26 2017 +0200

    Fix testing PCF_CONFIG_OPTION_LONG_FAMILY_NAMES (CFLAGS need to
    be right)

 configure.ac | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 690f822a1b26b089d86e9843746cab80f3c07fe3
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed May 31 20:10:00 2017 +0900

    Bump version to 2.12.3

 README                  | 7 ++++++-
 configure.ac            | 2 +-
 fontconfig/fontconfig.h | 2 +-
 3 files changed, 8 insertions(+), 3 deletions(-)

commit d33be230293978ad3f94b184f2c2770c108269c2
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed May 31 18:25:01 2017 +0900

    Fix make check fail with freetype-2.7.1 and 2.8 with
    PCF_CONFIG_OPTION_LONG_FAMILY_NAMES enabled.

 configure.ac     | 13 +++++++++++--
 test/Makefile.am | 10 +++++++---
 2 files changed, 18 insertions(+), 5 deletions(-)

commit 3072f14bddfeb0adba52bce26d7b752207a2cffb
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed May 31 16:39:44 2017 +0900

    Bump version to 2.12.2

 README                  | 26 ++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 26 insertions(+), 4 deletions(-)

commit 6c4e11a73b300963ad822838500ecdcb6a50625b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed May 31 16:39:39 2017 +0900

    Update libtool revision

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ae9900b8d83bf5ddef22b4d49ab033dcae29bb66
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed May 31 13:55:33 2017 +0900

    Bug 101202 - fontconfig FTBFS if docbook-utils is installed

    https://bugs.freedesktop.org/show_bug.cgi?id=101202

 doc/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3e4198674dee1c14bec70016ccf0608c69c308cc
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 24 13:11:08 2017 +0900

    Add the description of FC_LANG envvar to the doc

 doc/fontconfig-user.sgml | 4 ++++
 1 file changed, 4 insertions(+)

commit 5ca2b1e6dcb8c7d2b4b0c19218933b10f3efd813
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Mar 21 12:25:45 2017 +0900

    Update a bit for the changes in FreeType 2.7.1

    Our test case relies on the outcome of the family property from
    freetype though,
    it was changed in 2.7.1:

      - PCF family names are made more `colourful'; they now include the
        foundry  and information  whether they contain  wide characters.
        For example,  you no longer get `Fixed' but  rather `Sony Fixed'
        or `Misc Fixed Wide'.

    https://bugs.freedesktop.org/show_bug.cgi?id=47704

 configure.ac         |  9 +++++++++
 test/Makefile.am     |  4 ++++
 test/out271.expected |  8 ++++++++
 test/run-test.sh     |  5 +++--
 test/run-test271.sh  | 24 ++++++++++++++++++++++++
 5 files changed, 48 insertions(+), 2 deletions(-)

commit abdb6d658e1a16410dd1c964e365a3ebd5039e7c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Mar 1 19:48:02 2017 +0900

    Fix the build issue on GNU/Hurd

    PATH_MAX isn't defined on GNU/Hurd. according to the porting
    guidelines
    (https://www.gnu.org/software/hurd/hurd/porting/guidelines.html)
    allocate a memory dynamically instead of relying on the length of
    a string with PATH_MAX.

    https://bugs.freedesktop.org/show_bug.cgi?id=97512

 src/fcdefault.c | 34 +++++++++++++++++++++++++++-------
 src/fcint.h     |  6 ++++++
 src/fcstat.c    | 12 +++++++++++-
 3 files changed, 44 insertions(+), 8 deletions(-)

commit 9878b306f6c673d3d6cd9db487f67eb426cc03df
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Feb 23 21:39:10 2017 +0900

    Fix the build issue with gperf 3.1

    To support the one of changes in gperf 3.1:
    * The 'len' parameter of the hash function and of the lookup function
    is now
      of type 'size_t' instead of 'unsigned int'. This makes it safe to
      call these
      functions with strings of length > 4 GB, on 64-bit machines.

 configure.ac | 20 ++++++++++++++++++++
 src/fcobjs.c |  4 ++--
 2 files changed, 22 insertions(+), 2 deletions(-)

commit 1ab5258f7c2abfafcd63a760ca08bf93591912da
Author: Khem Raj <raj.khem@gmail.com>
Date:   Wed Dec 14 16:11:05 2016 -0800

    Avoid conflicts with integer width macros from TS 18661-1:2014

    glibc 2.25+ has now defined these macros in <limits.h>
    https://sourceware.org/git/?p=glibc.git;a=commit;h=5b17fd0da62bf923cb61d1bb7b08cf2e1f1f9c1a

    Create an alias for FC_CHAR_WIDTH for ABI compatibility

    Signed-off-by: Khem Raj <raj.khem@gmail.com>

 fontconfig/fontconfig.h | 3 ++-
 src/fcobjs.h            | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 0e9b2a152729bfd457e656a9258a06cbfdac1bae
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Nov 14 20:14:35 2016 +0900

    Fix FcCacheOffsetsValid()

    Validation fails when the FcValueList contains more than font->num.
    this logic was wrong because font->num contains a number of the
    elements
    in FcPatternElt but FcValue in FcValueList.

    This corrects 7a4a5bd7.

    Patch from Tobias Stoeckmann

 src/fccache.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 883b5cf48b0f699ed074b4d9b145b4bbc763b3b3
Author: Masamichi Hosoda <trueroad@trueroad.jp>
Date:   Wed Aug 24 23:50:10 2016 +0900

    Update aliases for URW June 2016

    http://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=c8342b4a7b6cdcc4cb1261bf2b008f6df257b5c6
    http://git.ghostscript.com/?p=urw-core35-fonts.git;a=commit;h=79bcdfb34fbce12b592cce389fa7a19da6b5b018

 conf.d/30-metric-aliases.conf | 62
 +++++++++++++++++++++++++++++++++++--------
 conf.d/30-urw-aliases.conf    | 13 +++++++--
 conf.d/45-latin.conf          |  4 +++
 conf.d/60-latin.conf          |  1 +
 4 files changed, 67 insertions(+), 13 deletions(-)

commit 815cc98d6a7df142c8f1a9a2c1120650da278db0
Author: Masamichi Hosoda <trueroad@trueroad.jp>
Date:   Wed Aug 24 21:27:32 2016 +0900

    Fix PostScript font alias name

    `Helvetica Condensed' is not PostScript base 35 fonts.
    `Helvetica Narrow' is PostScript base 35 fonts.

 conf.d/30-metric-aliases.conf | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 094de3037b9e6e040fa0566593620525e534a7cd
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Sep 7 11:39:11 2016 +0900

    Don't call perror() if no changes happens in errno

 fc-cat/fc-cat.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 0db7552e001f3589c6372f33e09d511bc565c499
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Aug 10 23:58:21 2016 -0700

    Correct cache version info in doc/fontconfig-user.sgml

    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

 doc/fontconfig-user.sgml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6b222c52cdede497ffed629853f947948052dfc7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Aug 5 14:47:02 2016 +0900

    Bump version to 2.12.1

 README                  | 17 +++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 17 insertions(+), 4 deletions(-)

commit 68869149e36ae546ec428f345a552a6ad093e953
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Aug 5 14:45:36 2016 +0900

    Update libtool revision

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a4a5bd7897d216f0794ca9dbce0a4a5c9d14940
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sat Jun 25 19:18:53 2016 +0200

    Properly validate offsets in cache files.

    The cache files are insufficiently validated. Even though the magic
    number at the beginning of the file as well as time stamps are
    checked,
    it is not verified if contained offsets are in legal ranges or are
    even pointers.

    The lack of validation allows an attacker to trigger arbitrary free()
    calls, which in turn allows double free attacks and therefore
    arbitrary
    code execution. Due to the conversion from offsets into pointers
    through
    macros, this even allows to circumvent ASLR protections.

    This attack vector allows privilege escalation when used with setuid
    binaries like fbterm. A user can create ~/.fonts or any other
    system-defined user-private font directory, run fc-cache and adjust
    cache files in ~/.cache/fontconfig. The execution of setuid binaries
    will
    scan these files and therefore are prone to attacks.

    If it's not about code execution, an endless loop can be created by
    letting linked lists become circular linked lists.

    This patch verifies that:

    - The file is not larger than the maximum addressable space, which
      basically only affects 32 bit systems. This allows out of boundary
      access into unallocated memory.
    - Offsets are always positive or zero
    - Offsets do not point outside file boundaries
    - No pointers are allowed in cache files, every "pointer or offset"
      field must be an offset or NULL
    - Iterating linked lists must not take longer than the amount
    of elements
      specified. A violation of this rule can break a possible endless
      loop.

    If one or more of these points are violated, the cache is recreated.
    This is current behaviour.

    Even though this patch fixes many issues, the use of mmap() shall be
    forbidden in setuid binaries. It is impossible to guarantee with these
    checks that a malicious user does not change cache files after
    verification. This should be handled in a different patch.

    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>

 src/fccache.c | 81
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 80 insertions(+), 1 deletion(-)

commit 99645ff9eecbf2178199aa940703fbe8ed275867
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jul 8 14:16:49 2016 +0900

    Bug 96676 - Check range of FcWeightFromOpenType argument

    Fix a crash issue when FcWeightFromOpenType() gets a number more
    than it expects.

 src/fcweight.c      |  1 +
 test/Makefile.am    |  4 ++++
 test/test-bz96676.c | 32 ++++++++++++++++++++++++++++++++
 3 files changed, 37 insertions(+)

commit a34db434c6a81f5286af07fabfef874492edb163
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jul 8 11:32:53 2016 +0900

    Fix some errors related to python3

 fc-blanks/fc-blanks.py | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 416cdd9d494fb040cc4f492a9c6ba23ca52ae250
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jul 8 11:14:34 2016 +0900

    Check python installed in autogen.sh

    python is required to build fontconfig from the scratch

 autogen.sh | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 5d74251986ee958cbc457d1f6b3d24d524051273
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jun 23 19:05:04 2016 +0900

    Update CaseFolding.txt to Unicode 9.0

 fc-case/CaseFolding.txt | 91
 ++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 86 insertions(+), 5 deletions(-)

commit 0ed1575917a28c6be56481509660bd783c7b6040
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jun 23 11:18:40 2016 +0900

    Add --with-default-hinting to configure

 conf.d/Makefile.am |  2 +-
 configure.ac       | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+), 1 deletion(-)

commit 505712d1dcc52d410aa37cd2cffbc4ceb5048656
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 15 20:10:38 2016 +0900

    Bump version to 2.12.0

 README                  | 22 ++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  4 ++--
 3 files changed, 23 insertions(+), 5 deletions(-)

commit add5f7329f2c54304c203e818f38867de3c1e292
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 15 20:10:31 2016 +0900

    Remove unused code

 src/fcfreetype.c | 4 ----
 1 file changed, 4 deletions(-)

commit 600110ee8c3e9bdd18cd5bc27555d1f1114e4880
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jun 9 14:22:31 2016 +0900

    Add the static raw data to generate fcblanks.h

    https://bugs.freedesktop.org/show_bug.cgi?id=91406

 fc-blanks/fc-blanks.py         |  21 ++++++--
 fc-blanks/list-unicodeset.html | 119
 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 137 insertions(+), 3 deletions(-)

commit ea26c5e9f85fb03e89b144878d338d80979a9560
Author: Erik de Castro Lopo <erikd@mega-nerd.com>
Date:   Sat May 28 17:44:10 2016 +1100

    Fix a couple of minor memory leaks

    These fixes are needed for the test suite to pass when compiled
    with Address Sanitizer.

 src/fccache.c       | 2 ++
 test/test-bz89617.c | 2 ++
 2 files changed, 4 insertions(+)

commit 7441dbec0322f24d6f94bf31fc824cc08d3e9025
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 27 11:16:09 2016 +0900

    Bug 95481 - Build fails on Android due to broken lconv struct

 src/fcxml.c | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

commit 3c2793a32e66fd5bee14da7cdb7db0a3f9128ac1
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu May 26 14:22:29 2016 +0900

    Correct one for the previous change

 conf.d/45-latin.conf | 4 ----
 1 file changed, 4 deletions(-)

commit b6cf1bcaf626b5c8e1efdf03006d18fb744d9b72
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed May 25 12:58:27 2016 +0900

    45-latin.conf: Add some Windows fonts to categorize them properly

    For Serif:
      Cambria, Constantia, Elephant, MS Serif

    For Sans Serif:
      Arial Unicode MS, Britannic, Calibri, Candara, Century Gothic,
      Corbel,
      Haettenschweiler, MS Sans Serif, Tahoma, Twentieth Century

    For Monospace:
      Consolas, Fixedsys, Terminal

 conf.d/45-latin.conf | 136
 +++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 104 insertions(+), 32 deletions(-)

commit d15c46d75eda4bc6009770a706d97956b5a7a31d
Author: Petr Filipsky <philodej@gmail.com>
Date:   Fri May 20 12:30:44 2016 +0000

    Fix memory leak in FcDirCacheLock

 src/fccache.c | 1 +
 1 file changed, 1 insertion(+)

commit 9ab7633f2f752203de75a902c5031b0cf4bbe548
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu May 19 11:11:46 2016 +0900

    Bug 95477 - FcAtomicLock fails when SELinux denies link() syscall
    with EACCES

    This is an issue on Android M, which denies non-root users access
    to link().

    Patch from Rodger Combs

 src/fcatomic.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 560506b3bbf2f829d57bdaa17add99367d6dedba
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Apr 7 12:50:22 2016 +0900

    Update URL

 INSTALL | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0e837ae6ecc475b02d7114dc10480543d6be98ff
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Apr 7 12:01:14 2016 +0900

    Modernize fc-blanks.py

    fc-blanks.py now works on both python2 and 3

 fc-blanks/fc-blanks.py | 27 +++++++++++++++------------
 1 file changed, 15 insertions(+), 12 deletions(-)

commit 13087e38ace4f092667ab08617ced1d559f3d2e2
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 6 21:05:36 2016 +0900

    Bump version to 2.11.95

 README                  | 41 +++++++++++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 41 insertions(+), 4 deletions(-)

commit 0cfa146e6b41bc6b819fe0f37d0e2ff0a947eb3b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 6 21:04:42 2016 +0900

    Update libtool revision

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d179cbc2536af16cf0f4992e0a4b2d751437ee6c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 6 14:39:15 2016 +0900

    Revert "Workaround another race condition issue"

    This reverts commit f44bfad235e63bb792c38e16ae1fbd281ec1453b.

 src/fccache.c | 31 +------------------------------
 src/fcdir.c   | 31 ++++++-------------------------
 src/fcint.h   |  8 +-------
 3 files changed, 8 insertions(+), 62 deletions(-)

commit d05d083e9f87eb378b92e477d34a88061a572d86
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Mar 8 17:20:41 2016 -0800

    [GX] Improve weight mapping

    Align the 'wght' axis default value to OS/2 weight value and
    adjust accordingly.  This makes both default=1.0 and default=400
    models to work.

 src/fcfreetype.c | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit d709220d74c4ff6e609f35761b71d4d7136d02c1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Mar 8 17:20:28 2016 -0800

    Improve OpenType to Fontconfig weight mapping

 src/fcweight.c | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

commit 27d61f1ddcda5543e9c6440a0f8794caa0b1eac7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 9 00:59:31 2015 +0200

    [GX] Enumerate all named-instances in TrueType GX fonts

 src/fcdir.c | 19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

commit 00c8408c6a82a79388f8119c4afce6e721b693f7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 9 09:06:37 2015 +0200

    [GX] Support instance weight, width, and style name

 src/fcfreetype.c | 74
 +++++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 68 insertions(+), 6 deletions(-)

commit 28f62d1bb892e1c86eb0d5afaf125bfe0e34cbe9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 9 00:45:01 2015 +0200

    Call FcFreeTypeQueryFace() from fcdir.c, instead of FcFreeTypeQuery()

    Need for upcoming work.  No functional change expected.

 src/fcdir.c | 25 +++++++++++++++++++++----
 1 file changed, 21 insertions(+), 4 deletions(-)

commit d570a841a2aa9d770578aa149e43bb2e5bd0f2df
Author: Patrick Haller <patrick.haller@haller-consult.de>
Date:   Sat Jan 9 03:06:31 2016 +0100

    Optimizations in FcStrSet

    Applied optimizations:
    - skip duplicate check in FcStrSetAppend for values originating
    from readdir()
    - grow FcStrSet in 64-element bulks for local FcStrSets (FcConfig
    layout unaltered)

    Starting gedit is measured to

                            Unoptimized     Optimized
    user[s]                         0,806         0,579
    sys[s]                          0,062         0,062
    Total Instr Fetch Cost: 1.658.683.750   895.069.820
    Cachegrind D Refs:        513.917.619   312.000.436
    Cachegrind Dl Misses:       8.605.632     4.954.639

 src/fccache.c |  2 +-
 src/fccfg.c   |  4 ++--
 src/fcdir.c   |  6 +++---
 src/fcint.h   | 11 +++++++++++
 src/fcstr.c   | 47 +++++++++++++++++++++++++++++++++--------------
 src/fcxml.c   |  2 +-
 6 files changed, 51 insertions(+), 21 deletions(-)

commit 98434b3392172233094cac25ade7225c93da9f1c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Dec 2 11:31:50 2015 +0900

    Add hintstyle templates and make hintslight default

 conf.d/10-hinting-full.conf   | 13 +++++++++++++
 conf.d/10-hinting-medium.conf | 13 +++++++++++++
 conf.d/10-hinting-none.conf   | 13 +++++++++++++
 conf.d/10-hinting-slight.conf | 13 +++++++++++++
 conf.d/Makefile.am            |  5 +++++
 5 files changed, 57 insertions(+)

commit 04763135d47ae24a808fc15c4482e2bb6f847ab9
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 25 11:58:14 2015 +0900

    Avoid an error message on testing when no fonts.conf installed

    This test case doesn't require any config files so no need to ensure
    loading them.

 test/test-bz89617.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5886d98c368cdb76ddedc48aedbab45a5c7e96f6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Nov 24 10:46:34 2015 +0900

    Bug 93075 - Possible fix for make check failure on msys/MinGW...

    Patch from Christian Fafard

 test/run-test.sh | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 1d87fab8b18bf5a497646d98a1c6279372aac4ea
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 18 14:44:17 2015 +0900

    remomve unnecessary code

 src/fcdefault.c | 1 -
 1 file changed, 1 deletion(-)

commit d162a4a83d6bf2182e288e0bc0b4d3ae2f78f040
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Oct 16 17:24:22 2015 +0900

    Fix assertion on 32bit arch

 src/fcarch.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d6ce028eedc6775b61fe768eca4d791ba9db21d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 15 15:53:27 2015 +0900

    Fix compiler warnings on MinGW

 test/test-bz89617.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bd96984e4b1da2e4b422050b773f3ded978d976c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 15 15:48:23 2015 +0900

    Use int64_t instead of long long

 src/fccache.c | 4 ++--
 src/fcint.h   | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 7ccde89758f23a7eb90549667cffb084e684ed48
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Oct 13 13:06:54 2015 +0900

    Fix build issue on MinGW

 src/fccache.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit a44cc450b5f3d67c0298a912e12ed5ff234490f9
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Oct 13 13:04:18 2015 +0900

    Use long long to see the same size between LP64 and LLP64

 src/fccache.c | 2 +-
 src/fcint.h   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c88d9b62421e8ba35a71319c7b0d555d512510c7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Aug 17 16:37:08 2015 +0900

    Fail on make runtime as needed instead of configure if no python
    installed

    python isn't necessarily required to build fontconfig from tarball
    so that
    generated fcblanks.h is available in tarball.

    https://bugs.freedesktop.org/show_bug.cgi?id=91663

 configure.ac          | 3 ++-
 fc-blanks/Makefile.am | 5 +++++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit ad9f5880502c9a3f8e7f8919336888ee056f17ba
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Aug 14 17:17:34 2015 +0900

    Fix the broken cache more.

    Take a look at the nano second in the mtime to figure out
    if the cache needs to be updated if available.
    and do the mutex lock between scanning and writing a cache
    to avoid the conflict.

    Also we don't need to scan directories again after writing
    caches. so getting rid of the related code as well.

    https://bugs.freedesktop.org/show_bug.cgi?id=69845

    and for reference:

    https://bugzilla.redhat.com/show_bug.cgi?id=1236034

 configure.ac            |  3 ++
 fc-cache/fc-cache.c     | 75 +++++++++++++------------------------
 fontconfig/fontconfig.h |  2 +-
 src/fcarch.c            |  2 +-
 src/fccache.c           | 98
 ++++++++++++++++++++++++++++++++++++++++++++++++-
 src/fcdir.c             |  6 +++
 src/fcint.h             |  8 ++++
 7 files changed, 142 insertions(+), 52 deletions(-)

commit 46ec6a52d4cc447cc3ff4a13b2067ecb76c9db2e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jun 26 17:02:13 2015 -0700

    Revert changes made to FcConfigAppFontAddDir() recently

    In 32ac7c75e8db0135ef37cf86f92d8b9be000c8bb the behavior of
    FcConfigAppFontAddFile/Dir() were changed to return false
    if not fonts were found.  While this is welldefined and useful
    for AddFile(), it's quite problematic for AddDir().  For example,
    if the directory is empty, is that a failure or success?  Worse,
    the false value from AddDir() was being propagated all the way
    to FcInit() returning false now.  This only happened upon memory
    allocation failure before, and some clients assert that FcInit()
    is successful.

    With this change, AddDir() is reverted back to what it was.
    AddFont() change (which was actually in fcdir.c) from the original
    commit is left in.

 doc/fcconfig.fncs |  2 +-
 src/fccfg.c       | 29 +++++++++++------------------
 src/fcint.h       |  3 ---
 src/fcstr.c       |  8 --------
 4 files changed, 12 insertions(+), 30 deletions(-)

commit a8096dfa5965bfb1953fe829ff13eea23b4233c7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 24 15:46:45 2015 +0900

    Bug 90867 - Memory Leak during error case in fccharset

    https://bugs.freedesktop.org/show_bug.cgi?id=90867

 src/fccharset.c | 24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)

commit 0551e1b344bd2f57015a378dae4a0771031c3042
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jun 18 17:25:02 2015 +0900

    Update CaseFolding.txt to Unicode 8.0

 fc-case/CaseFolding.txt | 147
 +++++++++++++++++++++++++++++++++++++++++++++++-
 fc-case/Makefile.am     |   3 +
 2 files changed, 147 insertions(+), 3 deletions(-)

commit 6f929ff37ce277a12256b918751e2f3fca2fcb8a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 17 16:34:29 2015 +0900

    Fix a memory leak in FcFreeTypeQueryFace

 src/fcfreetype.c | 2 ++
 1 file changed, 2 insertions(+)

commit 46b2c62faa64250eec3981ee816e91a9a3dee857
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 17 16:29:08 2015 +0900

    Add a warning for blank in fonts.conf

    and remove the unnecessary code for parsing blanks

 src/fcxml.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 33fd436a3ec63ca58f3cb51bd4ab7b33e90d89c8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 17 16:15:35 2015 +0900

    Don't return FcFalse even when no fonts dirs is configured

 src/fccfg.c | 2 ++
 src/fcint.h | 3 +++
 src/fcstr.c | 8 ++++++++
 3 files changed, 13 insertions(+)

commit f6d61c9beed856a925bd60c025b55284b2d88161
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jun 12 11:30:01 2015 +0900

    mark as private at this moment

 fontconfig/fontconfig.h | 3 ---
 src/fcint.h             | 3 +++
 2 files changed, 3 insertions(+), 3 deletions(-)

commit dbda1171427071ff31429ea6d36330bb8f193138
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jun 9 11:15:25 2015 +0900

    No need to be public

 fontconfig/fontconfig.h | 3 ---
 src/fcint.h             | 3 +++
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 359ada2b4c12b6b6c3b4c017f95a35f18a3c6dd7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jun 9 11:15:06 2015 +0900

    Fix a crash when no objects are available after filtering

 src/fcdbg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 10a57edd07f8dc64b60c71d51c225436f4fbb3bc
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jun 8 17:38:02 2015 +0900

    Add one more debugging option to see transformation on font-matching

    just setting FC_MATCH=3 shows a lot of information and hard to keep
    on track for informamtion
    which is really necessary to see. to use this more effectively,
    added FC_DBG_MATCH_FILTER to
    see for what one really want to see. it takes a comma-separated-list
    of object names.
    If you want to see family name only, try like this:

    FC_DBG_MATCH_FILTER=family FC_DEBUG=4096 fc-match

    debugging output will be filtered out and see family only in the
    result.

 doc/fontconfig-user.sgml |  6 +++-
 fontconfig/fontconfig.h  |  6 ++++
 src/fcdbg.c              | 78
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcint.h              |  1 +
 src/fcmatch.c            | 41 +++++++++++++++++++++++++
 src/fcpat.c              |  6 ++++
 6 files changed, 137 insertions(+), 1 deletion(-)

commit 1827ef7b1e0a1fba27fcdb8a021abaa8ee7782eb
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jun 2 17:33:03 2015 +0900

    Bump version to 2.11.94

 README                  | 40 ++++++++++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 40 insertions(+), 4 deletions(-)

commit 481a9f03a020ee53500585332786826e8c3ebd8e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed May 27 14:40:15 2015 -0700

    Bump cache version number to 6, because of recent FcRange changes

 fontconfig/fontconfig.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee2d1da2d21bc14127f4cf12312e1f007935e8b0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed May 27 14:36:35 2015 -0700

    Reduce number of places that cache version is specified to 1

 fontconfig/fontconfig.h | 5 ++++-
 src/fccache.c           | 6 +++---
 src/fcint.h             | 3 +--
 3 files changed, 8 insertions(+), 6 deletions(-)

commit 5bad26ccb6686f1b9c8df6c1e9b49a72d42ad661
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 20 16:07:26 2014 -0400

    Simplify FcRange

 src/fcdbg.c   |  10 ++----
 src/fcint.h   |  25 +-------------
 src/fcmatch.c |   2 +-
 src/fcname.c  |  14 ++------
 src/fcrange.c | 109
 ++++++++++------------------------------------------------
 src/fcxml.c   |  12 +++----
 6 files changed, 28 insertions(+), 144 deletions(-)

commit 13a5ae9fb953c8a8eb3ec801781a499521c211f3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 20 16:03:02 2014 -0400

    Fix compiler warnings

 src/fcxml.c | 3 +++
 1 file changed, 3 insertions(+)

commit 346073d9dc17fc07758f7ef86c4ed05213ed0dab
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 6 20:36:18 2014 -0400

    Don't set FC_SIZE for bitmap fonts

    They get FC_PIXELSIZE set, which is later converted to FC_SIZE using
    FC_DPI.

 src/fcfreetype.c | 36 ++++++++++++------------------------
 1 file changed, 12 insertions(+), 24 deletions(-)

commit eba6f109de475215c2d4b42612f6baf57041536d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 4 17:15:11 2014 -0400

    Accept Integer for FC_SIZE

    There are more places to fix I'm sure...

    https://bugs.freedesktop.org/show_bug.cgi?id=80873

 src/fcname.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit cb2f096e15cb868cbf29428b6dd339b8ba344e50
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 4 16:18:52 2014 -0400

    Add bitmap-only font size as Double, not Range

    The whole size setting part still smells to me.

 src/fcfreetype.c | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 51756aab180c9f7a6632743885695add2f511100
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 4 16:13:45 2014 -0400

    Only set FC_SIZE for scalable fonts if OS/2 version 5 is present

    Part of https://bugs.freedesktop.org/show_bug.cgi?id=80873

 src/fcfreetype.c | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

commit d09ba385892862e18c409f49405f51f066dea552
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 4 16:09:23 2014 -0400

    Write ranges using a [start finish) format

    To show closed and open ends.

 src/fcdbg.c  | 2 +-
 src/fcname.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 4c9101f7044b68aa121557c796384e4bdf08f73f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon May 25 21:41:05 2015 +0900

    Revert the previous change

    and just abort if the object id is overflowed.

 src/fcobjs.c | 16 +---------------
 1 file changed, 1 insertion(+), 15 deletions(-)

commit 09edd84cf8e8bd1f6062c8803316327e662fdbda
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 22 20:51:21 2015 +0900

    Detect the overflow for the object ID

    Continue to increase the object id even after FcFini()
    and detect the overflow. that would be rather easier than
    reset the object id with the complicated mutex and atomic
    functions.

    This situation would be quite unlikely to happen though

 src/fcobjs.c | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit f053231186fc340b5365a59eea30db5af787877a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 22 20:46:54 2015 +0900

    Fix a crash

    segfault happens when the config needs to be migrated to XDG's
    and no definition for include with prefix="xdg"

 src/fcxml.c | 1 +
 1 file changed, 1 insertion(+)

commit 249306fbd782570cf958675672d21cf12aa1f14e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 22 20:45:05 2015 +0900

    Fix a typo

 src/fcxml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa6c6b53c5a42ae6a9f8254ca9603dbe0aec63ad
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri May 22 16:53:34 2015 +0900

    Fix memory leaks after FcFini()

    Reported by Jia Wang

    https://bugs.freedesktop.org/show_bug.cgi?id=83770

 fontconfig/fontconfig.h |  2 +-
 src/fcinit.c            |  2 ++
 src/fcint.h             |  6 ++++++
 src/fcobjs.c            | 25 ++++++++++++++++++++++++-
 src/fcxml.c             | 47
 +++++++++++++++++++++++++++++++++++++++++++----
 5 files changed, 76 insertions(+), 6 deletions(-)

commit bcfe167e3d60402c1f999359ca8531c6fae01a2b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 18 15:26:03 2015 -0700

    Add su[pport for symbol fonts

    Adds FC_SYMBOL.

    This affects fonts having a cmap with platform 3 encoding 0.
    We now map their glyphs from the PUA area to the Latin1 area.

    See thread "Webdings and other MS symbol fonts don't display"
    on the mailing list.

    Test before/after with:
    $ pango-view --markup --text='<span
    fallback="false">&#xd7;&#xf0d7;</span>' --font=Wingdings

 doc/fontconfig-devel.sgml |  1 +
 fontconfig/fontconfig.h   |  1 +
 src/fcdefault.c           |  1 +
 src/fcfreetype.c          | 57
 ++++++++++++++++++++++++++++++++++++++++++++---
 src/fcmatch.c             |  1 +
 src/fcobjs.h              |  1 +
 6 files changed, 59 insertions(+), 3 deletions(-)

commit ead7275e05966eca19f530712f8e5c738a61cf4f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon May 18 14:03:50 2015 +0900

    Bug 90148 - Don't warn if cachedir isn't specified

    only warn when FONTCONFIG_FILE or FONTCONFIG_PATH is set.

    Bug 90148 - Don't warn if cachedir isn't specified

 src/fcinit.c | 26 +++++++++++++++++++-------
 1 file changed, 19 insertions(+), 7 deletions(-)

commit 55ff8419274fd5ce59675f220b85035a3986d6cf
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue May 12 14:47:38 2015 +0900

    Make FC_SCALE deprecated

    Use FC_MATRIX instead.

    https://bugs.freedesktop.org/show_bug.cgi?id=90257

 doc/fontconfig-devel.sgml | 2 +-
 doc/fontconfig-user.sgml  | 2 +-
 fontconfig/fontconfig.h   | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit a10cb2e4d7fb7d790fe913058f0821ccf2185a86
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue May 12 14:28:45 2015 +0900

    Add missing description for usage

 fc-query/fc-query.c | 9 +++++----
 fc-scan/fc-scan.c   | 7 ++++---
 2 files changed, 9 insertions(+), 7 deletions(-)

commit 4c040d393dfb47b8a2f75fb639f6b5e92fced6f3
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 22 19:37:46 2015 +0900

    Observe blanks to compute correct languages in fc-query/fc-scan

    Added --ignore-blanks option to get back the behavior.

    https://bugs.freedesktop.org/show_bug.cgi?id=79955

 fc-query/fc-query.c    | 19 ++++++++++++++-----
 fc-query/fc-query.sgml | 12 ++++++++++++
 fc-scan/fc-scan.c      | 21 +++++++++++++++------
 fc-scan/fc-scan.sgml   | 14 +++++++++++++-
 4 files changed, 54 insertions(+), 12 deletions(-)

commit 4a6f5efd5f6a468e1872d58e589bcf30ba88e2fd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 30 11:25:59 2015 -0400

    Fix bitmap scaling

    Was broken by 66db69a6d991945f96feb1da683a2e04ea396842.  Ouch!

 conf.d/10-scale-bitmap-fonts.conf | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit 3a4136778cc5a4ff1dc979cbd50fcdf73cab4d70
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 22 14:36:29 2015 +0900

    Drop unmaintained code
    Use four-byte code for foundry as is instead.

    https://bugs.freedesktop.org/show_bug.cgi?id=88679

 src/fcfreetype.c | 84
 ++++++++------------------------------------------------
 1 file changed, 12 insertions(+), 72 deletions(-)

commit b3fc08bc952505e322160a4a7eb146754ae4f24a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Apr 22 11:17:04 2015 +0900

    Fix a typo in fontconfig-user.sgml

    https://bugs.freedesktop.org/show_bug.cgi?id=90105

 doc/fontconfig-user.sgml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07be485a0a84995ce69bf60e3b1bb22cb35f6b0e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Apr 20 10:49:21 2015 +0900

    Fix a typo for the latest cache version

 doc/fontconfig-user.sgml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6e6a8a22b9d775fff117d65016b5e85233a7293
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Wed Apr 8 08:41:25 2015 +0000

    W32: Support cache paths relative to the root directory

    Paths starting with '/' don't make sense on W32 as-is,
    prepend the installation root directory to them.

    This allows the cache to be contained within a particular
    fontconfig installation (as long as the default
    --with-cache-dir= is overriden at configure time).

 src/fccfg.c |  2 ++
 src/fcxml.c | 21 ++++++++++++++++++++-
 2 files changed, 22 insertions(+), 1 deletion(-)

commit 7bc07cf6c2a5685ab95f146f5af2b3bcd5f5864d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 30 15:18:44 2015 +0900

    Fix SIGFPE

 src/fcrange.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e92c92ff22c13e96afd6dfa0f75e7b37b9cfa06d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Mar 25 12:10:48 2015 +0900

    Fix unknown attribute in Win32

 src/fcxml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c965c9f67759585909fa03236bad826de85bd39c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 23 13:30:59 2015 +0900

    Bug 89617 - FcConfigAppFontAddFile() returns false on any font file

    Prior to the change of 32ac7c75e8db0135ef37cf86f92d8b9be000c8bb
    FcConfigAppFontAddFile() always returned FcTrue no matter what
    fonts was added. after that, it always returned FcFalse because
    adding a font doesn't add any subdirs with FcFileScanConfig().
    so changing that to simply ignore it.

    Also fixing it to return FcFalse if non-fonts was added, i.e.
    FcFreeTypeQuery() fails.

    https://bugs.freedesktop.org/show_bug.cgi?id=89617

 src/fccfg.c         |  4 +++-
 src/fcdir.c         |  2 ++
 test/Makefile.am    |  7 +++++++
 test/test-bz89617.c | 38 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 50 insertions(+), 1 deletion(-)

commit 7301f2f02816c5d44ee75dd0689c806c5aabdbda
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 23 13:18:49 2015 +0900

    Remove the dead code

 src/fcdir.c | 2 --
 1 file changed, 2 deletions(-)

commit 69ff6b6e260584e383c38b1b7034ddcbb23d214f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 9 12:22:40 2015 +0900

    Bump version to 2.11.93

 README                  | 37 +++++++++++++++++++++++++++++++++++--
 configure.ac            |  6 +++---
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 39 insertions(+), 6 deletions(-)

commit b75d809d1298b791f39596170950597bcfe98dd6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 9 12:22:30 2015 +0900

    Fix a trivial bug for dist

 fc-blanks/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit f5b1e0ab97daa0e08af8d667cabb700bb73da568
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 9 12:18:03 2015 +0900

    Fix an infinite loop in FcBlanksIsMember()

 src/fcblanks.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 484834c186dee281bcd13067d7b7bce1322b4e0b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 6 11:15:26 2015 +0900

    Fix a bug in the previous change forFcBlanksIsMember()

 src/fcblanks.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit ed74a58ccc245bacd907cd91e0f3df64e427c163
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 6 11:05:23 2015 +0900

    Fix a segfault when OOM happened.

    Reported by Matt Breedlove

 src/fcinit.c | 2 ++
 1 file changed, 2 insertions(+)

commit 96a3f6879c13577cc9edd867b3f89b0cba469073
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Mar 5 17:52:04 2015 +0900

    Improve the performance on searching blanks

    After the change of d6a5cc665a1d7e91332944353e92c83ad114368c
    we have a lot of code points in FcBlanks. doing the linear search
    on the array isn't comfortable anymore.
    So re-implementing FcBlanksIsMember() to use the binary search.

    Figuring out how much improved after this change depends on
    how many fonts proceed with fc-cache say though, it's about 20 times
    faster here on testing. which sounds good enough for
    improvement.

 src/fcblanks.c | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit d997d7c770cd6a36159090fd0b8720a3dc426707
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jan 21 14:35:03 2015 -0800

    Simplify some more

 src/fcfreetype.c | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

commit 9c99baba66d335738318dc7cacef64fafb699ebf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jan 21 14:32:51 2015 -0800

    Remove dead code after previous commit

 src/fcfreetype.c | 339
 +------------------------------------------------------
 1 file changed, 3 insertions(+), 336 deletions(-)

commit 2f311c562d87c0bf95d27709e82afd196c2bff28
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Mar 3 11:30:12 2015 +0900

    Fix the array allocation

 src/fcstat.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f18f2f88f287a2438d2bf9b27773cb14606cbb11
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Feb 9 16:45:43 2015 +0900

    Don't add FC_LANG when it has "und"

    to avoid the situation to find the better fallback font.

    https://code.google.com/p/chromium/issues/detail?id=392724 has
    more words to explain the details.

    https://bugs.freedesktop.org/show_bug.cgi?id=81185

 src/fccfg.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 724664e3fd056b864576f8e100a8de5c0e93a725
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 2 11:34:53 2015 +0900

    Fix a build issue when $(srcdir) != $(builddir)

 fc-blanks/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a9d4dba7492e060f9d225307c58d79bc50b16cd3
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Feb 27 15:48:54 2015 +0900

    Update the script to recognize the escaped space

 fc-blanks/fc-blanks.py | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit d6a5cc665a1d7e91332944353e92c83ad114368c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Feb 27 14:17:26 2015 +0900

    Hardcode the blanks in the library

    https://bugs.freedesktop.org/show_bug.cgi?id=79956

 Makefile.am               |   2 +-
 configure.ac              |   2 +
 fc-blanks/Makefile.am     |  40 +++++++++++++++
 fc-blanks/fc-blanks.py    | 125
 ++++++++++++++++++++++++++++++++++++++++++++++
 fc-blanks/fcblanks.tmpl.h |  25 ++++++++++
 fonts.conf.in             |  68 -------------------------
 src/fcblanks.c            |   7 +++
 src/fccfg.c               |   3 +-
 8 files changed, 202 insertions(+), 70 deletions(-)

commit 97cf7ec4d740c9b3ac7c29388224f5e0c226a120
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Feb 27 12:04:44 2015 +0900

    Rework again to copy the struct dirent

    Assuming that d_name is the last member of struct dirent.
    In POSIX, the maximum length of d_name is defined as NAME_MAX
    or FILENAME_MAX though, that assumption may be wrong on some
    platforms where defines d_name as the flexible array member
    and allocate the minimum memory to store d_name.

    Patch from Raimund Steger

 src/fcstat.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 1add10bfbc6f0667284f58cb388ae02f695b4a57
Author: Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
Date:   Thu Feb 26 12:23:27 2015 +0100

    Ensure config.h is included first, bug#89336.

    config.h may define ABI-specific macros, especially for AIX,
    so has to be included before any system header - via fcint.h.

    https://bugs.freedesktop.org/show_bug.cgi?id=89336

 src/fcarch.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 8809d1b73b9c162ee0fecd314e2a80b287309954
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Feb 26 14:08:20 2015 +0900

    Copy the real size of struct dirent

    In some platforms, d_name is defined as the flexible array member.
    We may need to compute the real size for that case.

 configure.ac |  1 +
 src/fcstat.c | 11 +++++++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit dd427253cc73d8786bbf436ec4d026f370ab0812
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Feb 25 17:36:50 2015 +0900

    filter can be null

 src/fcstat.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 45018e6979198b92b732b4b5e29671b2fe499bd8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Feb 24 15:25:16 2015 +0900

    Fix pointer cast warning on win32

 src/fclist.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f43c58189bb667e65630c37f33a58d39d7c550f6
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Feb 24 15:01:14 2015 +0900

    ifdef'd the unnecessary code for win32

 src/fcxml.c | 4 ++++
 1 file changed, 4 insertions(+)

commit ed0d705e2221adbfb21de357c1a82b7a2a5c3641
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Feb 10 19:32:13 2015 +0900

    Fix a build fail on some non-POSIX platforms

    Use own scandir function. according to this change,
    we don't need -Werror things in configure anymore.

 configure.ac | 35 --------------------------
 src/fcstat.c | 80
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 2 files changed, 72 insertions(+), 43 deletions(-)

commit d6d5adeb7940c0d0beb86489c2a1c2ce59e5c044
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jan 21 14:13:36 2015 -0800

    Fix symbol cmap handling

    A while back we removed Apple Roman encoding support.  This broke
    symbol fonts (Wingdings, etc) because those fonts come with two
    cmaps:

      1) platform=1,encoding=0, aka Apple Roman, which maps identity,
      2) platform=3,encoding=0, aka MS Symbol font

    Now, the reason the Apple Roman removal "broke" these fonts is
    obvious, and for the better: these fonts were mapping ASCII and
    other Latin chars to symbols.

    The reason the fonts didn't work anymore, however, is that we were
    mishandling the MS symbol-font cmaps.  In their modern incarnation
    they are like regular non-symbol-font cmap that map PUA codepoints
    to symbols.  We want to expose those as such.  Hence, this change
    just removes the special-handling for that.

    Now, the reason this confusion happened, if I was to guess, is either
    that FreeType docs are wrong saying that FT_ENCODING_MS_SYMBOL is
    the "Microsoft Symbol encoding, used to encode mathematical symbols":

      http://www.kostis.net/charsets/symbol.htm

    or maybe it started that way, but turned into also mapping MS symbol-
    font cmaps, which is a completely different thing.  At any rate, I
    don't know if there are any fonts that use this thing these days, but
    the code here didn't seem to produce charset for any font.  By now I'm
    convinced that this change is the Right Thing to do.  The MS Symbol
    thing was called AdobeSymbol in our code by the way.

    This fixes the much-reported bug that windings, etc are not usable
    with recent fontconfig:
    https://bugs.freedesktop.org/show_bug.cgi?id=58641

    Now I see PUA mappings reported for Wingdings.

    This also fixes:
    Bug 48947 - Drop the non-Unicode cmap support gradually
    https://bugs.freedesktop.org/show_bug.cgi?id=48947
    since the AdobeSymbol was the last non-Unicode cmap we were
    trying to parse (very incorrectly).

    Lots of code around this change can be simplified.  I'll push those
    out (including removing the table itself) in subsequent changes.

 src/fcfreetype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb5e89f817a78e8f6fbb0d8a1b48c510f1b898b1
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 20 20:34:47 2015 +0900

    Add pkg.m4 to git

 m4/pkg.m4 | 214
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 214 insertions(+)

commit 78ed920e2be4dca04ff64ba98cf6935fc40cc758
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jan 19 19:48:50 2015 +0900

    Fix a typo in docs

 doc/fontconfig-user.sgml | 2 +-
 fc-cache/fc-cache.sgml   | 2 +-
 fc-cat/fc-cat.sgml       | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 694368667a15341ea30b37a36e9540e6b1492680
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 16 09:35:22 2015 -0800

    Fix configure to work with Solaris Studio compilers

    Passing -Werror in the scandir() checks caused Studio cc to report
    "Unrecognized option errors", confusing configure into thinking that
    scandir() was not available.   Use Studio equivalent flags instead.

    Leaves -Werror as the default for all other compilers, including
    unknown ones, to flag to them that they need to update their flags
    as well if -Werror is not correct for them.

    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

 configure.ac | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 4d739d13f4f58e11c62006e4f70776a945094ea4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 13 12:40:40 2015 +0900

    Bump version to 2.11.92

 README                  | 9 +++++++--
 configure.ac            | 2 +-
 fontconfig/fontconfig.h | 2 +-
 3 files changed, 9 insertions(+), 4 deletions(-)

commit 4c60fabf6617a8954e46bdaeccc95667375fa159
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jan 6 16:37:18 2015 +0900

    Add missing docs

 doc/fontconfig-devel.sgml | 5 +++++
 doc/fontconfig-user.sgml  | 7 +++++++
 2 files changed, 12 insertions(+)

commit fff4086e1587f94c267055ff5c3b48df1f1055f7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Dec 25 13:49:25 2014 +0900

    Bump version to 2.11.91

 README                  | 80
 +++++++++++++++++++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 80 insertions(+), 4 deletions(-)

commit 4420b27c074821a1d1f9d6ebe822a610176a417d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Dec 25 13:48:57 2014 +0900

    Fix a typo

    missing a terminator caused a document generation fail.

 doc/fcrange.fncs | 1 +
 1 file changed, 1 insertion(+)

commit 365809938e901e603d2fe93363545e1c1afc1816
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Dec 25 13:11:21 2014 +0900

    Bump the cache version to 5

    FcPattern isn't compatible to the older.

 fontconfig/fontconfig.h | 2 +-
 src/fcint.h             | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 456937cd15568c7f1a633445dee44ae8e2ed395f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Dec 24 18:53:41 2014 +0900

    fc-cache: Add an option to raise an error if no fonts found

    and get back the behavior.

 fc-cache/fc-cache.c    | 26 +++++++++++++++++---------
 fc-cache/fc-cache.sgml | 31 ++++++++++++++++++++++++++++++-
 2 files changed, 47 insertions(+), 10 deletions(-)

commit db64c71408636e2d0ac3c39682ac1b6c8f317ac4
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Dec 16 20:43:02 2014 +0900

    fc-cache: make a fail if no fonts processed on a given path

 fc-cache/fc-cache.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit af5864419441e12f1951c7cfd0a742b6316934cc
Author: Nick Alcock <nick.alcock@oracle.com>
Date:   Sat Dec 13 18:21:16 2014 +0000

    Generate documentation for FcWeight* functions.

    The SGML for these functions exists, and they are named as manpages,
    but because they are not mentioned in fontconfig-devel.sgml, no
    documentation is ever generated, and installation under --enable-docs
    fails.

    (The documentation I have written in fontconfig-devel.sgml is
    boilerplate
    so I can get the manpages generated. It's probably wrong.)

 doc/fontconfig-devel.sgml | 7 +++++++
 1 file changed, 7 insertions(+)

commit 66db69a6d991945f96feb1da683a2e04ea396842
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 14 13:55:53 2014 -0800

    Treat color fonts as scalable

    All color fonts are designed to be scaled, even if they only have
    bitmap strikes.  Client is responsible to scale the bitmaps.  This
    is in constrast to non-color strikes...

    Clients can still use FC_OUTLINE to distinguish bitmap vs outline
    fonts.  Previously FC_OUTLINE and FC_SCALABLE always had the same
    value.  Now FC_SCALABLE is set to (FC_OUTLINE || FC_COLOR).

    Fixes:
    https://bugs.freedesktop.org/show_bug.cgi?id=87122

 src/fcfreetype.c | 27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

commit dbc7c4a2cfe1ba6c537957b3b68b625403ca99fd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Dec 14 13:39:41 2014 -0800

    Add FC_COLOR

    Only adds "color" to pattern if FreeType version supports color.

    Based on patch from Jungshik Shin.

 doc/fontconfig-devel.sgml | 1 +
 fontconfig/fontconfig.h   | 1 +
 src/fcfreetype.c          | 6 ++++++
 src/fcmatch.c             | 1 +
 src/fcobjs.h              | 1 +
 5 files changed, 10 insertions(+)

commit fc7e1a9497919c88d790d9395eb01cd7d5121507
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Dec 12 21:42:35 2014 -0800

    Fix buffer overflow in copying PS name

    As reported on the mailing list by Tanel Liiv.  Found using American
    Fuzzy Lop.

 src/fcfreetype.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 32ac7c75e8db0135ef37cf86f92d8b9be000c8bb
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Dec 9 19:06:46 2014 +0900

    Returns False if no fonts found

    https://bugs.freedesktop.org/show_bug.cgi?id=86950

 doc/fcconfig.fncs | 10 ++++++----
 src/fccfg.c       | 23 +++++++++++++----------
 2 files changed, 19 insertions(+), 14 deletions(-)

commit b732bf057f4b3ec3bac539803005e9c42d056b2a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Nov 6 13:15:09 2014 +0900

    Update aliases for new URW fonts

    Patch from Tom Yan

    https://bugs.freedesktop.org/show_bug.cgi?id=85225

 conf.d/30-metric-aliases.conf | 94
 ++++++++++++++++++++++++++++++++++++++-----
 conf.d/45-latin.conf          | 12 ++++++
 conf.d/60-latin.conf          |  3 ++
 3 files changed, 98 insertions(+), 11 deletions(-)

commit e7121de237a1873c3241a5b8451e7d00a3d41524
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Oct 3 12:26:42 2014 +0900

    Revert "Bug 73291 - poppler does not show fl ligature"

    This reverts commit c6aa4d4bfcbed14f39d070fe7ef90a4b74642ee7.

    This issue has been fixed in poppler and we no longer need to patch
    it out in fontconfig.

 conf.d/30-metric-aliases.conf | 6 ------
 1 file changed, 6 deletions(-)

commit 1082161ea303cf2bbc13b62a191662984131e820
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Sep 25 17:03:27 2014 +0900

    Add FcRangeGetDouble()

    https://bugs.freedesktop.org/show_bug.cgi?id=82876

 doc/fcrange.fncs        | 10 ++++++++++
 fontconfig/fontconfig.h |  3 +++
 src/fcrange.c           | 23 +++++++++++++++++++++++
 3 files changed, 36 insertions(+)

commit 286cdc9c10b0453c25950103b6a1f7170d15bfdc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 20 15:23:04 2014 -0400

    Revert "[fcmatch] When matching, reserve score 0 for when elements
    don't exist"

    This reverts commit a5a384c5ffb479e095092c2aaedd406f8785280a.

    I don't remember what I had in mind for "We will use this property
    later.", but
    the change was wrong.  If a font pattern doesn't have any value
    for element,
    it must be interpretted as "it matches any value perfectly.
    And "perfectly"
    must have a score of 0 for that to happen.

    This was actually affecting bitmap fonts (in a bad way), as the
    change made
    an outline font to always be preferred over a (otherwise equal)
    bitmap font,
    even for the exact size of the bitmap font.  That probably was
    never noticed
    by anyone, but with the font range support this has become clear
    (and worked
    around by Akira).  To clean that up, I'm reverting this so I can
    land the
    rest of patches for bug 80873.

    https://bugs.freedesktop.org/show_bug.cgi?id=80873#c10

 src/fcmatch.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f0945396875ec4ff60add56935b02c3f66b3fc40
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Aug 13 11:39:29 2014 +0900

    Note FcConfigSetCurrent() increases the refcount in document

 doc/fcconfig.fncs | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit eb2689c67ba2da969d33be43a05af1e8975e9837
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Aug 12 18:53:04 2014 +0900

    Fix the memory leak in fc-cat

 fc-cat/fc-cat.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 23e88d8c6a5d3d0a9526a3f3217bd33a7607cbab
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Aug 12 18:48:00 2014 +0900

    Increase the refcount in FcConfigSetCurrent()

    https://bugs.freedesktop.org/show_bug.cgi?id=82432

 fc-cat/fc-cat.c | 1 +
 src/fccfg.c     | 5 +++++
 src/fcinit.c    | 9 ++++++++-
 3 files changed, 14 insertions(+), 1 deletion(-)

commit 841753a93f0e5698663b7931b8456e7b96259f54
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Aug 11 12:14:54 2014 +0900

    fallback to the another method to lock when link() failed

    Bug 82358 - FcAtomicLock fails on OS X on network mounts
    https://bugs.freedesktop.org/show_bug.cgi?id=82358

 src/fcatomic.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 748a2ce9d4bd6aae90b974724b795056e2bcb4d7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 6 14:45:02 2014 -0400

    Fix previous commit

    Ouch!

 conf.d/45-latin.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3d2627bba6ce9f743273c6031a34fb2750c04a41
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 6 14:28:18 2014 -0400

    Trebuchet MS is a sans-serif font, not serif

    https://bugs.freedesktop.org/show_bug.cgi?id=82099

 conf.d/45-latin.conf | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 80edaccc3cbd77434718e8f4731a20b410f9d10a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 6 12:29:35 2014 -0400

    If OS/2 table says weight is 1 to 9, multiply by 100

    https://bugs.freedesktop.org/show_bug.cgi?id=82228

 src/fcweight.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 01bb6978b6389852c5259b135af45ecdfe9f42f8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 6 12:23:24 2014 -0400

    Fix assertion failure

    https://bugs.freedesktop.org/show_bug.cgi?id=82220
    https://bugs.freedesktop.org/show_bug.cgi?id=82228

 src/fcweight.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37e501ed0af9b1f68f64600e00e90809e19f9302
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 27 16:53:28 2014 -0400

    Remove unneeded FcPublic

 src/fcweight.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a9e7b0494e04b3925d1bccc140ff2500cfff9618
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 26 16:17:02 2014 -0400

    Export recently added API

    We should remove this alias mess.

 src/fccompat.c | 4 ++++
 src/fcrange.c  | 4 ++++
 src/fcstat.c   | 4 ++++
 src/fcweight.c | 4 ++++
 4 files changed, 16 insertions(+)

commit ffda7c0e8130eb107ecbb3bdc48043093b12dff9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 25 17:59:26 2014 -0400

    Linearly interpolate weight values

    Rest of Part of https://bugs.freedesktop.org/show_bug.cgi?id=81453

    Adds new API:

            FcWeightFromOpenType()
            FcWeightToOpenType()

 doc/Makefile.am         |  1 +
 doc/fcweight.fncs       | 47 +++++++++++++++++++++++++++
 fontconfig/fontconfig.h |  7 +++++
 src/Makefile.am         |  1 +
 src/fcfreetype.c        | 27 +---------------
 src/fcweight.c          | 84
 +++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 141 insertions(+), 26 deletions(-)

commit bf9df5ada77469f57101851f6b4e279a4a5ea087
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 25 18:07:10 2014 -0400

    Change DemiLight from 65 to 55

    Such that Regular is closer to Medium than to DemiLight

 doc/fontconfig-user.sgml | 4 ++--
 fontconfig/fontconfig.h  | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit be6506ca04ccce10868a8cd51d89e586284d149b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 25 16:24:26 2014 -0400

    Add FC_WEIGHT_DEMILIGHT

    Part of https://bugs.freedesktop.org/show_bug.cgi?id=81453
    Also hooks up FC_WEIGHT_BOOK to fcfreetype.c.

 doc/fontconfig-user.sgml | 2 ++
 fontconfig/fontconfig.h  | 2 ++
 src/fcfreetype.c         | 8 +++++++-
 src/fcname.c             | 2 ++
 4 files changed, 13 insertions(+), 1 deletion(-)

commit 9839d0112c6d61ae22bb3f215bffbe88df6781a1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 24 16:07:13 2014 -0400

    Improve / cleanup namelang matching

    Previously, if the patten didn't request, eg, style, then the style
    and stylelang were fully copied from the font, even though the pattern
    had a stylelang.  Eg:

    $ fc-match 'Apple Color Emoji:stylelang=en'
    Apple Color Emoji.ttf: "Apple Color Emoji" "標準體"

    This change both fixes that and makes the code much more readable.
    Now:

    $ fc-match 'Apple Color Emoji:stylelang=en'
    Apple Color Emoji.ttf: "Apple Color Emoji" "Regular"

 src/fcmatch.c | 45 +++++++++++++++++++++++----------------------
 1 file changed, 23 insertions(+), 22 deletions(-)

commit 874a5491641642f669396c514c3672f6794fdfa7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 24 15:42:54 2014 -0400

    Remove unused regex code

    Regex matching was disabled in
    f6244d2cf231e1dc756f3e941e61b9bf124879bb

 configure.ac | 10 ++--------
 src/fcint.h  |  6 ------
 src/fcstr.c  | 52 ----------------------------------------------------
 3 files changed, 2 insertions(+), 66 deletions(-)

commit 9a8e812477bd65d2ecfa721819d0555289520401
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 24 15:37:51 2014 -0400

    Use lang=und instead of lang=xx for "undetermined"

    That's the correct BCP 47 code.

 src/fcfreetype.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 76151ceaf3417a987ae2c36b247ca82f50d857f6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 24 15:34:20 2014 -0400

    Ouch, fix buffer

 src/fcfreetype.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit aeba5bf4b69f8b559cb909df12d0a636e6054325
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 24 15:28:09 2014 -0400

    Decode MacRoman encoding in name table without iconv

    iconv support was turned off by default in f30a5d76.
    Some fonts, like Apple Color Emoji, only have their English
    name in a MacRoman entry.  As such, decode MacRoman ourselves.

 src/fcfreetype.c | 162
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 162 insertions(+)

commit 07a0f511b13a872824c2c57251b7e47ee7df1354
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 24 15:01:57 2014 -0400

    Call FcInitDebug from FcFreeTypeQueryFace

 src/fcfreetype.c | 2 ++
 1 file changed, 2 insertions(+)

commit a5641cfb2472a92a64858d00525ae3b0fc0ae2a4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 23 13:21:05 2014 -0400

    Revert "Symlinks fix for DESTDIR"

    This reverts commit fd5667b42c253da9c4c5502f53b5c0fb7e0f589e.

    This was wrong, as pointed out by Akira on the list.
    We want symlinks to final destination.

 conf.d/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fd5667b42c253da9c4c5502f53b5c0fb7e0f589e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 23 11:57:31 2014 -0400

    Symlinks fix for DESTDIR

    From:
    https://github.com/Alexpux/MINGW-packages/blob/master/mingw-w64-fontconfig/fontconfig-2.11.0-symlinks-fix.patch

 conf.d/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 107b44f50b6818288ad70608fbe4ec3fd1a7119f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jul 23 19:17:26 2014 +0900

    Don't add duplicate lang

    Don't add duplicate lang from FC_LANG if the pattern already has.

    https://bugs.freedesktop.org/show_bug.cgi?id=81186

 src/fccfg.c | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 342b908b9696a3f1cf1a45ddd779f3a17d6f9142
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 19 16:33:49 2014 -0400

    More mingw32 MemoryBarrier() fixup

 src/fcwindows.h | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 6781c6baef062eeea5b5b68e4a9c31ea6cd7539b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 11 12:19:39 2014 -0400

    Update mingw32 MemoryBarrier from HarfBuzz

    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=81228

 src/fcatomic.h | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit dca5d0feee5eb6428bec48b1aff4396cf92c76c0
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jul 8 14:55:15 2014 +0900

    Fix a gcc warning

    test-migration.c:17:5: warning: pointer targets in passing argument
    1 of 'FcStrDirname' differ in signedness

 test/test-migration.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da8233b0f244676ea372ffa485b6cb329700c8ca
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 6 18:26:03 2014 -0400

    Fixup previous commit

 src/fcmatch.c | 12 ------------
 src/fcobjs.h  |  2 +-
 2 files changed, 1 insertion(+), 13 deletions(-)

commit bb27d6969ce0ef1244e73f9c6232f91bce60dad7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 6 18:10:44 2014 -0400

    Remove HASH from matching priorities

    We deprecated FC_HASH, so doesn't make sense to sort on it.

 src/fcmatch.c | 1 -
 1 file changed, 1 deletion(-)

commit 5674b8a66354d657559c37e9d168bfbf48b931a8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 6 17:41:19 2014 -0400

    Comments

 src/fcmatch.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5b22776999b6052afe0e829b1a0c0935bbe1e9f7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jul 4 18:04:52 2014 +0900

    Fix a crash when no sysroot is given and failed to load the default
    fonts.conf

 src/fccfg.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit f5b4b2c1ed7ff92e2fb9339750f0288e2e794c4b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 4 01:43:47 2014 -0400

    Fix charset unparse after recent changes

 src/fccharset.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 940d27a197bfb0cfd93d3bb7dba33d5e23ac46b0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 3 21:15:25 2014 -0400

    Minor

 src/fccharset.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e708e97c351d3bc9f7030ef22ac2f007d5114730
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 3 17:52:54 2014 -0400

    Change charset parse/unparse format to be human readable

    Previous format was unusable.  New format is ranges of hex values.
    To choose space character and Latin capital letters for example:

    $ fc-pattern ':charset=20 41-5a'
    Pattern has 1 elts (size 16)
            charset:
            0000: 00000000 00000001 07fffffe 00000000 00000000 00000000
            00000000 00000000
    (s)

 src/fccharset.c | 223
 ++++++++++++++++++++------------------------------------
 1 file changed, 79 insertions(+), 144 deletions(-)

commit dab60e4476ada4ad4639599ea24dd012d4a79584
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jun 30 15:12:32 2014 +0900

    Rework for 5004e8e01f5de30ad01904e57ea0eda006ab3a0c

    Don't read/write from/to the XDG dirs even if XDG_*_HOME is set
    and the home directory is disabled.

 src/fccfg.c | 24 +++++++++---------------
 1 file changed, 9 insertions(+), 15 deletions(-)

commit 5004e8e01f5de30ad01904e57ea0eda006ab3a0c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Jun 30 12:37:36 2014 +0900

    Don't read/write from/to the XDG dirs if the home directory is
    disabled

 src/fccfg.c | 18 +++++++++++++++---
 src/fcxml.c | 23 ++++++++++++++++++++++-
 2 files changed, 37 insertions(+), 4 deletions(-)

commit 274f2181f294af2eff3e8db106ec8d7bab2d3ff1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jun 18 12:20:57 2014 -0400

    Update blanks to Unicode 7.0

 fonts.conf.in | 4 ++++
 1 file changed, 4 insertions(+)

commit 2f96482a9f5bc185b244a8bdaa7563a829965f1a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 18 19:13:53 2014 +0900

    Update CaseFolding.txt to Unicode 7.0

 fc-case/CaseFolding.txt | 59
 ++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 53 insertions(+), 6 deletions(-)

commit 6c3c2603b9f68a7460e9642d0421b5cc5a848452
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jun 18 11:49:10 2014 +0900

    Fix a segfault

    introduced by the previous commit
    d17f556153fbaf8fe57fdb4fc1f0efa4313f0ecf

 src/fcdir.c | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit 8915c15b9ee394ef19042f1acf75eb8b0592e5a7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jun 12 17:56:04 2014 -0400

    Update list of blanks to Unicode 6.3.0

    Some were bogus, some were missing.  See:

      https://bugs.freedesktop.org/show_bug.cgi?id=79956

 fonts.conf.in | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit d17f556153fbaf8fe57fdb4fc1f0efa4313f0ecf
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Jun 17 20:08:24 2014 +0900

    Read the config files and fonts on the sysroot when --sysroot is
    given to fc-cache

    Fix for e96d7760886a3781a46b3271c76af99e15cb0146

    https://bugs.freedesktop.org/show_bug.cgi?id=59456

 fc-cache/fc-cache.c | 10 ++++---
 src/fccache.c       | 76
 +++++++++++++++++++++++++++++++++++--------------
 src/fccfg.c         |  2 +-
 src/fcdir.c         | 82
 ++++++++++++++++++++++++++++++++++++++++++++++-------
 src/fcinit.c        | 17 +++++++++--
 src/fcint.h         |  3 +-
 src/fcxml.c         | 12 ++++++--
 7 files changed, 158 insertions(+), 44 deletions(-)

commit 8f62ccaa962b13781d7916d4d1c061993b991e69
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jun 9 22:00:25 2014 -0400

    Remove unused FcHash code now that FC_HASH is deprecated

 src/Makefile.am  |   1 -
 src/fcfreetype.c |  51 ---------------
 src/fchash.c     | 189
 -------------------------------------------------------
 src/fcint.h      |  19 ------
 4 files changed, 260 deletions(-)

commit 75abdaf5c8e8b14c3e9e94ff5c563091594a32cf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jun 9 21:53:01 2014 -0400

    Deprecate FC_HASH and don't compute it

    It was added without proper measurement and a fuzzy possible
    use-case (font servers) in mind, but reality check shows that
    this significantly slows down caching.  As such, deprecate it
    and do NOT compute hash during caching.

    Makes caching two to three times faster (ignoring the 2 second
    delay in fc-cache).

 doc/fontconfig-devel.sgml | 2 +-
 fontconfig/fontconfig.h   | 2 +-
 src/fcfreetype.c          | 2 ++
 src/fcobjs.h              | 4 ++--
 4 files changed, 6 insertions(+), 4 deletions(-)

commit cd9631d83e51bab95413a8aa0e8ecc68f3e3a0fc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jun 12 17:01:07 2014 -0400

    [ko.orth] Remove U+3164 HANGUL FILLER

    Better not to reject a font just over that.  Note that we do NOT
    list U+115F and U+1160 either.

 fc-lang/ko.orth | 1 -
 1 file changed, 1 deletion(-)

commit f44bfad235e63bb792c38e16ae1fbd281ec1453b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jun 5 19:06:02 2014 +0900

    Workaround another race condition issue

    See https://bugzilla.redhat.com/show_bug.cgi?id=921706

 src/fccache.c | 24 +++++++++++++++++++++++-
 src/fcdir.c   | 30 ++++++++++++++++++++++++------
 src/fcint.h   |  7 ++++++-
 3 files changed, 53 insertions(+), 8 deletions(-)

commit 58acd993cb13b58c61633174071ef42da3dcac85
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri May 16 15:08:52 2014 -0600

    Allow passing NULL for file to FcFreeTypeQueryFace()

 src/fcfreetype.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3f992254f2a3b7f88df989067785141cbf265037
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri May 16 15:02:58 2014 -0600

    Rewrite hashing to use FT_Stream directly

    This is more robust but introduces a small change in behavior:
    For .pcf.gz fonts, the new code calculates the hash of the
    uncompressed
    font data whereas the original code was calculating the hash of the
    compressed data.

    No big deal IMO.

 src/fcfreetype.c | 78
 ++++++++++++++++++++++++++++++--------------------------
 src/fchash.c     | 75
 +++--------------------------------------------------
 src/fcint.h      | 19 +++++++++++---
 3 files changed, 61 insertions(+), 111 deletions(-)

commit 8284df49ef45678781fc6e05d18cc04acf04cf3c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri May 16 14:17:45 2014 -0600

    Further simplify hash code

 src/fchash.c | 88
 ++++++++++++++++++++++++++----------------------------------
 1 file changed, 38 insertions(+), 50 deletions(-)

commit 748e77e89f8f6ba297ce9d206ac3834ae087201d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri May 16 14:03:19 2014 -0600

    Simplify hash code

 src/fcfreetype.c |  4 +--
 src/fchash.c     | 94
 ++++++++++++++++++++++++++------------------------------
 src/fcint.h      |  6 ++--
 3 files changed, 48 insertions(+), 56 deletions(-)

commit e4d8847eee14ddfa9632057bca36cb60dfa1b35f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri May 16 13:45:44 2014 -0600

    Remove unused code

 src/fchash.c | 41 -----------------------------------------
 src/fcint.h  |  4 ----
 2 files changed, 45 deletions(-)

commit 48c8b7938a0f1412d31dbe2f4e332e460f624068
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue May 13 21:21:43 2014 +0900

    Allow the modification on FcTypeVoid with FcTypeLangSet and
    FcTypeCharSet

    FcTypeVoid is likely to happen when 'lang' and 'charset'
    is deleted by 'delete' or 'delete_all' mode in edit.
    Without this change, any modification on them are simply
    ignored.

    This is useful to make a lot of changes, particularly
    when one wants to add a few and delete a lot say.

 src/fccfg.c     | 10 ++++++++++
 src/fccharset.c | 15 +++++++++++++++
 src/fcint.h     |  3 +++
 src/fclang.c    | 27 +++++++++++++++------------
 4 files changed, 43 insertions(+), 12 deletions(-)

commit 81664fe54f117e4781fda5a30429b51858302e91
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Apr 22 12:39:12 2014 +0900

    Rebase ja.orth against Joyo kanji characters

    Patch from Akihiro TSUKADA

 fc-lang/ja.orth | 4234
 +------------------------------------------------------
 1 file changed, 7 insertions(+), 4227 deletions(-)

commit f44157c809d280e2a0ce87fb078fc4b278d24a67
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Apr 10 19:27:55 2014 +0900

    Fix fc-cache fail with -r

    Do not unlink the cache even if --really-force is given.
    because re-scanning process expects the cache exists.

    https://bugs.freedesktop.org/show_bug.cgi?id=77252

 fc-cache/fc-cache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 91784eb7d0c9f9f357210f4c82555469da37334a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Apr 4 12:18:28 2014 +0900

    Fix a typo

    https://bugs.freedesktop.org/show_bug.cgi?id=77033

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fcba9ef01c978323fc71c17e455d3cd6ae35edcc
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Mar 26 16:01:49 2014 +0900

    Fix missing docs

 doc/Makefile.am           |  1 +
 doc/fcpattern.fncs        | 27 +++++++++++++++++---
 doc/fcrange.fncs          | 64
 +++++++++++++++++++++++++++++++++++++++++++++++
 doc/fontconfig-devel.sgml |  7 ++++++
 4 files changed, 95 insertions(+), 4 deletions(-)

commit fff91eee7df5a71ed9a63a4b6e3b02c14eaf9cb3
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Mar 26 12:22:02 2014 +0900

    Fix a build issue with freetype <2.5.1

 src/fcfreetype.c | 3 ---
 1 file changed, 3 deletions(-)

commit 3cd573fc1fb67db75cd356cad3e901d24af1ce8a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Nov 20 18:44:59 2013 +0900

    Bug 71287 - size specific design selection support in OS/2 table
    version 5

    This feature requires the FreeType 2.5.1 or later at the build time.

    Besides <range> element allows <double> elements with this changes.

    This may breaks the cache but not bumping in this change sets at
    this moment.
    please be aware if you want to try it and run fc-cache before/after to
    avoid the weird thing against it.

 configure.ac            |   4 +
 fontconfig/fcprivate.h  |   3 +
 fontconfig/fontconfig.h |  28 ++++++-
 src/Makefile.am         |   1 +
 src/fccfg.c             |  48 +++++++----
 src/fcdbg.c             |  13 ++-
 src/fcdefault.c         |  47 ++++++-----
 src/fcfreetype.c        |  38 +++++++++
 src/fcint.h             |  85 ++++++++++++++++----
 src/fclist.c            |   2 +
 src/fcmatch.c           |  45 +++++++++++
 src/fcname.c            |  49 +++++++++++-
 src/fcobjs.h            |   2 +-
 src/fcpat.c             |  73 +++++++++++++++++
 src/fcrange.c           | 207
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcxml.c             | 108 +++++++++++++++++++------
 16 files changed, 663 insertions(+), 90 deletions(-)

commit 9260b7ec39c34ce68d74e16d47917290a8c3f35a
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 24 15:03:12 2014 +0900

    Bump version to 2.11.1

 README                  | 57
 +++++++++++++++++++++++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  2 +-
 3 files changed, 57 insertions(+), 4 deletions(-)

commit 812143c34d904fb26de471a579a7e381b7f7f33b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Mar 24 15:02:26 2014 +0900

    Fix autoconf warning, warning: AC_COMPILE_IFELSE was called before
    AC_USE_SYSTEM_EXTENSIONS

    Call AC_USE_SYSTEM_EXTENSIONS before LT_INIT

 configure.ac | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 5478192f379d784b421329e4bf72cc780818e467
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Mar 18 12:14:03 2014 +0900

    Add README describes the criteria to add/modify the orthography files

    https://bugs.freedesktop.org/show_bug.cgi?id=73461

 fc-lang/README | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit c6aa4d4bfcbed14f39d070fe7ef90a4b74642ee7
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Mar 18 11:51:37 2014 +0900

    Bug 73291 - poppler does not show fl ligature

    commented out substitutions for TeX Gyre Termes font
    until the broken font are fixed.

    https://bugs.freedesktop.org/show_bug.cgi?id=73291

 conf.d/30-metric-aliases.conf | 6 ++++++
 1 file changed, 6 insertions(+)

commit f8ccf379eb1092592ae0b65deb563c5491f69de9
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Mar 7 19:42:21 2014 +0900

    Update doc to include the version info of `since when'

    Version section was getting confused to the API's availability,
     even though it was the version the doc was genereated.
    So moving it into the footer and added @SINCE@ field in the data.

 doc/fccache.fncs    | 2 ++
 doc/fccharset.fncs  | 1 +
 doc/fcconfig.fncs   | 2 ++
 doc/fcdircache.fncs | 1 +
 doc/fcformat.fncs   | 1 +
 doc/fclangset.fncs  | 6 ++++++
 doc/fcstrset.fncs   | 1 +
 doc/func.sgml       | 9 +++++----
 8 files changed, 19 insertions(+), 4 deletions(-)

commit 39a2f1e8f98d27b929d56a55a68b3a20d2f8dd32
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Mar 5 18:29:29 2014 +0900

    Fallback to lstat() in case the filesystem doesn't support d_type
    in struct dirent

 src/fcstat.c | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit e310d2fac2d874d5aa76c609df70cc7b871c0b6d
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Feb 6 19:40:01 2014 +0900

    Fix incompatible API on AIX with random_r and initstate_r

    https://bugs.freedesktop.org/show_bug.cgi?id=74603

 src/fccompat.c | 35 ++++++++++++++++++++++++-----------
 1 file changed, 24 insertions(+), 11 deletions(-)

commit 7d75653285a3cd67b5f066fe899821462d7f324f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Feb 6 17:29:19 2014 +0900

    Add missing #include <sys/statvfs.h> in fcstat.c

    https://bugs.freedesktop.org/show_bug.cgi?id=74602

 configure.ac | 2 +-
 src/fcstat.c | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 787619b2c7bfbdc91ed170381f28003e86679c99
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Feb 6 17:15:26 2014 +0900

    Add a doc for FcDirCacheRescan

 doc/fcdircache.fncs | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 80081555fdffea927a53fce2773cfbe9db4c51f0
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jan 31 11:10:02 2014 +0900

    Fix a crash issue when empty strings are set to the BDF properties

 src/fcfreetype.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e2b406053c2937799da8636c56b72a77998bcab0
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Jan 22 19:35:07 2014 +0900

    Update the use of autotools' macro

 configure.ac | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 5918d5bea5416cf27061db4263aefeb8fd310f0e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jan 17 13:05:25 2014 +0900

    Add missing license headers

    https://bugs.freedesktop.org/show_bug.cgi?id=73401

 autogen.sh             | 22 ++++++++++++++++++++++
 new-version.sh         | 21 +++++++++++++++++++++
 src/fcobjs.h           | 23 +++++++++++++++++++++++
 src/fcobjshash.gperf.h | 23 +++++++++++++++++++++++
 test/run-test.sh       | 21 +++++++++++++++++++++
 test/test-migration.c  | 24 ++++++++++++++++++++++++
 test/test-pthread.c    | 26 ++++++++++++++++++++++++--
 7 files changed, 158 insertions(+), 2 deletions(-)

commit bfdd40efd1c82dec5c818c8ce5f78d96fe0ebede
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jan 17 12:57:56 2014 +0900

    clean up the unused files

 config/Makedefs.in  |   76 ---
 config/config-subst |   10 -
 config/config.guess | 1497
 -----------------------------------------------
 config/config.sub   | 1608
 ---------------------------------------------------
 config/install.sh   |  240 --------
 5 files changed, 3431 deletions(-)

commit f35b44c35bf8468ea4c28c7efa77b47b1e2a1930
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Jan 17 12:24:02 2014 +0900

    Update zh_hk.orth

    Patch from Abel Cheung

    https://bugs.freedesktop.org/show_bug.cgi?id=73461

 fc-lang/zh_hk.orth | 2249
 +++++++++++++---------------------------------------
 1 file changed, 564 insertions(+), 1685 deletions(-)

commit 320283cd70ae31ce46b03e0c5da55412089ce953
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jan 16 19:30:35 2014 +0900

    Bug 73686 - confdir is not set correctly in fontconfig.pc

 fontconfig.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a6622f25cdfab5ab775324bef1833b67109801b
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Dec 5 19:15:47 2013 +0900

    Improve the performance issue on rescanning directories

Notes:
    Tested-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

 fc-cache/fc-cache.c     | 10 ++++++++--
 fontconfig/fontconfig.h |  3 +++
 src/fccache.c           | 13 +++++++++++++
 src/fcdir.c             | 46
 +++++++++++++++++++++++++++++++++++++++++++++-
 src/fcfs.c              | 22 ++++++++++++++++++++++
 src/fcint.h             |  6 ++++++
 src/fcpat.c             |  2 ++
 7 files changed, 99 insertions(+), 3 deletions(-)

commit 5c725f2f5829238d16116f782d00d8bb0defaf08
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 16 17:44:37 2013 +0900

    Fix a build issue on platforms where doesn't support readlink()

 configure.ac    | 2 +-
 src/fcdefault.c | 4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 1132c98b7b760be24a301c9dbd24e348f6601fed
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 16 16:00:12 2013 +0900

    Fix a typo

 conf.d/10-no-sub-pixel.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fee834a9c9e1089a9ae29b1d8e8b6a4cc710204b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Dec 9 21:21:57 2013 -0500

    Bug 72380 - Never drop first font when trimming

    Let me show it with an example.

    Currently:

    $ fc-match symbol
    symbol.ttf: "Symbol" "Regular"

    $ fc-match symbol --sort | head -n 1
    Symbol.pfb: "Symbol" "Regular"

    $ fc-match symbol --sort --all | head -n 1
    symbol.ttf: "Symbol" "Regular"

    I want to make sure the above three commands all return the same font.
    Ie.  I want to make sure FcFontMatch() always returns the first font
    from FcFontSort().  As such, never trim first font.

 src/fcmatch.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c9e24f9ef41e2c3e552ddd35d8c70daae5b505cd
Author: Jehan <jehan@girinstud.io>
Date:   Sun Nov 17 22:38:28 2013 +1300

    Defaulting <cachedir> to LOCAL_APPDATA_FONTCONFIG_CACHE for Win32
    build

    https://bugs.freedesktop.org/show_bug.cgi?id=71691

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e933bd8bcad936717b6b9d8a22b86b7ddb5457e
Author: Frederic Crozat <fcrozat@suse.com>
Date:   Fri Dec 6 14:23:52 2013 +0100

    Add metric aliases for additional Google ChromeOS fonts

    MS fonts Cambria, Symbol and Calibri have compat metrics fonts
    from ChromeOS.

    https://bugs.freedesktop.org/show_bug.cgi?id=72395

 conf.d/30-metric-aliases.conf | 43
 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit 6a06e29491ffdb5be6342164b96de59c6fa07b32
Author: Frederic Crozat <fcrozat@suse.com>
Date:   Fri Dec 6 14:08:08 2013 +0100

    Fix inversion between Tinos and Cousine in the comment

 conf.d/30-metric-aliases.conf | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d97fbbe9f59965167fbc0bdc49f983c2bc96d521
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 2 19:18:25 2013 +0900

    Simplify to validate the availability of scandir

 configure.ac | 48 +++++++++++++++++++++++-------------------------
 1 file changed, 23 insertions(+), 25 deletions(-)

commit 51521153490ab0b01959c10c57e476de3ad27acb
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 2 18:43:10 2013 +0900

    Simplify to validate the availability of posix_fadvise

 configure.ac          | 12 ++----------
 m4/ac_check_symbol.m4 | 48
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/fccache.c         |  2 +-
 3 files changed, 51 insertions(+), 11 deletions(-)

commit 59fd9960bbb58fd6257adb13ec0f918882149332
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Dec 2 15:53:57 2013 +0900

    Bug 72086 - Check for gperf in autogen.sh

 autogen.sh | 9 +++++++++
 1 file changed, 9 insertions(+)

commit a5fd7912ff8c7bc72d2cdbd0038c7ff0c968831f
Author: Ross Burton <ross.burton@intel.com>
Date:   Tue Nov 26 17:18:25 2013 +0000

    fc-cache: --sysroot option takes an argument

    The getopt_long option definitions say that sysroot doesn't take
    an argument,
    when it in fact does.

    Signed-off-by: Ross Burton <ross.burton@intel.com>

 fc-cache/fc-cache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 38acb08d9778ebad2bfc3407532adf8f2e8e667e
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Nov 11 11:53:09 2013 +0900

    Fix typo

    Use FcTypeUnknown instead of -1 with type casting.
    This seems missed when it was changed.

    Patch from brian porter

 src/fcxml.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a4443e64c89256087d40462cfbb482950873e366
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Nov 5 20:30:35 2013 +0900

    Re-scan font directories only when it contains subdirs

    Somewhat improves the performance but still need to think about for
    the situation
    where both directories and fonts are in.

 fc-cache/fc-cache.c | 26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

commit 0b7f42f777a14ee61783fd95dd04e870f02d201e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 2 10:23:57 2013 -0700

    Avoid null pointer dereference in FcNameParse if malloc fails

    Reported by parfait 1.3:
    Error: Null pointer dereference (CWE 476)
       Read from null pointer t
            at line 423 of src/fcname.c in function 'FcNameParse'.
              Function _FcObjectLookupOtherTypeByName may return constant
              'NULL'
               at line 63, called at line 122 of src/fcobjs.c in function
               'FcObjectLookupOtherTypeByName'.
              Function FcObjectLookupOtherTypeByName may return constant
              'NULL'
               at line 122, called at line 67 of src/fcname.c in function
               'FcNameGetObjectType'.
              Function FcNameGetObjectType may return constant 'NULL'
              at line 67,
               called at line 422 in function 'FcNameParse'.
              Null pointer introduced at line 63 of src/fcobjs.c in
              function
               '_FcObjectLookupOtherTypeByName'.

    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

 src/fcname.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5b8380d52eae55cba0adcc47d78a53c320d294ec
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 2 10:23:56 2013 -0700

    Avoid memory leak when NULL path passed to FcStrBuildFilename

    Reported by parfait 1.3:
       Memory leak of pointer sset allocated with FcStrSetCreate()
            at line 933 of src/fcstr.c in function 'FcStrBuildFilename'.
              sset allocated at line 927 with FcStrSetCreate().
              sset leaks when sset != NULL at line 932.

    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

 src/fcstr.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit cb72901d0b7dff73ea2596491c5db602e4750853
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 2 10:23:55 2013 -0700

    Leave room for null terminators in arrays

    Code currently returns a fatal error if it tries to add more entries
    than the array has room for, but it wasn't checking to make sure
    the final null terminator entry would fit.

    Reported by parfait 1.3:
    Error: Buffer overrun
       Buffer overflow (CWE 120): In array dereference of files[i]
       with index i
          Array size is 256 elements (of 4 bytes each), index >= 0 and
          index <= 256
            at line 250 of fc-glyphname/fc-glyphname.c in function 'main'.
    Error: Buffer overrun
       Buffer overflow (CWE 120): In array dereference of entries[i]
       with index i
          Array size is 1024 elements (of 8 bytes each), index >= 0 and
          index <= 1024
            at line 298 of fc-lang/fc-lang.c in function 'main'.

    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

 fc-glyphname/fc-glyphname.c | 2 +-
 fc-lang/fc-lang.c           | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 767108aa1327cf0156dfc6f024dbc8fb783ae067
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 31 22:12:26 2013 +0900

    Correct DTD

 fonts.dtd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa22e6e63933e8b31a032835b712b7ed596534cc
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Jan 24 19:48:48 2013 +0900

    Warn if no <test> nor <edit> elements in <match>

    This corrects an error message being reported at
      https://bugs.freedesktop.org/show_bug.cgi?id=71085
      Bug 71085 - "out of memory" errors on empty match element in
      fonts.conf

    and somewhat works as a workaround for
      https://bugs.freedesktop.org/show_bug.cgi?id=59438
      Bug 59438 - Fix <alias> inside <match>

 src/fcxml.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 525a135ccf53e4bf3363c3143d9cfdf15fba55ab
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Oct 28 11:54:04 2013 +0900

    Change the default weight on match to FC_WEIGHT_NORMAL

 src/fcdefault.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65872e9e46d17e4461c3a891ef23abe156005e04
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 24 19:35:26 2013 +0900

    Fix a build issue on Solaris 10

    Use own mkdtemp implementation if not available.

    Reported by Thomas Klausner and Jörn Clausen

 configure.ac          |  2 +-
 test/test-migration.c | 15 ++++++++++++++-
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 76ea9af816a50c6bb0b3dc2960460a90fadd9cdb
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Oct 22 15:00:29 2013 +0900

    Use stat() if there are no d_type in struct dirent

    Reported by Thomas Klausner

 test/test-migration.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 5e029db4971e37437cfe6147d52d00136dfb8cb5
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Oct 21 12:16:46 2013 +0900

    Fix the dynamic loading issue on NetBSD

    On NetBSD, it is not supported to load a library linked against
    libpthread into a program that wasn't (since the C library provides
    stubs for some pthread-functions, which might have already been called
    before libpthread is loaded, leading to problems).

    Patch from Matthias Drochner

 m4/ax_pthread.m4 | 5 +++++
 1 file changed, 5 insertions(+)

commit ff0e0d17b254f71592dfa29a988a82efefff8913
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Oct 21 12:13:31 2013 +0900

    Update ax_pthread.m4 to the latest version

 m4/ax_pthread.m4 | 71
 +++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 47 insertions(+), 24 deletions(-)

commit 06b388523d747db16708c1662f3c6d64a36d5daf
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Oct 21 11:50:55 2013 +0900

    Fix build issue on Debian/kFreeBSD 7.0

    There are posix_fadvise(2) but not POSIX_FADV_WILLNEED.
    Patch from Ryo ONODERA.

 src/fccache.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5406919c5e186f74ccdade1a65344ce7b5c56a64
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Oct 11 19:31:22 2013 +0900

    do not build test-migration for Win32

    This testing code is for XDG base directory spec which may be not
    interesting for them

 test/Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit f16c3118e25546c1b749f9823c51827a60aeb5c1
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Oct 11 13:27:33 2013 +0900

    Bump version to 2.11.0

 README                  | 29 +++++++++++++++++++++++++++--
 configure.ac            |  2 +-
 fontconfig/fontconfig.h |  4 ++--
 3 files changed, 30 insertions(+), 5 deletions(-)

commit f82a032f417445abbb4399344766102aff255b6c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Oct 11 13:27:24 2013 +0900

    Update CaseFolding.txt to Unicode 6.3

    No real updates between 6.2 and 6.3.

 fc-case/CaseFolding.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c4c90ffc7a7eec42fc0b84f1a7af464a4c9fcfd8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Fri Oct 11 12:40:23 2013 +0900

    Bump libtool revision

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9a4310176bb11e1e826d238eb0761b7895b48883
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Oct 9 12:19:35 2013 +0900

    Add missing doc for FcStrListFirst and fix a typo

 doc/fcstrset.fncs | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 604c2a683f1357fc65bad372b5d25a90099f827f
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Oct 3 19:59:30 2013 +0900

    exit with the error code when FcNameParse() failed

 fc-list/fc-list.c       | 5 +++++
 fc-match/fc-match.c     | 5 +++++
 fc-pattern/fc-pattern.c | 5 +++++
 3 files changed, 15 insertions(+)

commit 0203055520206028eecee5d261887cdc91500e15
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Oct 2 16:34:34 2013 +0900

    Workaround the race condition issue on updating cache

 fc-cache/fc-cache.c     | 62
 ++++++++++++++++++++++++++++---------------------
 fontconfig/fontconfig.h |  3 +++
 src/fcstr.c             |  6 +++++
 3 files changed, 45 insertions(+), 26 deletions(-)

commit 9161ed1e4a3f4afaee6dbcfc0b84a279ad99b397
Author: Akira TAGOH <akira@tagoh.org>
Date:   Mon Sep 30 11:30:00 2013 +0900

    Add the relative path for <include> to fonts.conf if the parent path
    is same to fonts.conf

    Bug 69836 - fonts.conf.in update for Windows cross-compiling

 Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 96c5f3cf0ff57e7bbb08cc1e0e78ed0542096484
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Sep 26 18:44:10 2013 +0900

    clean up

 conf.d/Makefile.am | 2 +-
 configure.ac       | 6 +-----
 2 files changed, 2 insertions(+), 6 deletions(-)

commit 43f768b53f554cf0f927ccac5daf96877f9fc69c
Author: Akira TAGOH <akira@tagoh.org>
Date:   Thu Sep 26 17:46:26 2013 +0900

    avoid reading config.h twice

    config.h is read from fcint.h now so having a line of the sort of
    #include "config.h"
    is duplicate.

    Bug 69833 - Incorrect SIZEOF_VOID_P and ALIGNOF_DOUBLE definitions
    causes nasty warnings on MacOSX when building fat libraries

 src/fcarch.c   | 4 ----
 src/fccache.c  | 3 ---
 src/fccompat.c | 4 ----
 src/fchash.c   | 3 ---
 src/fcstat.c   | 3 ---
 5 files changed, 17 deletions(-)

commit 102864d0dba46c99b22c912454c1f58731287405
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Sep 25 11:41:23 2013 +0900

    Add the description of -q option to the man page

 fc-list/fc-list.sgml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 2b0fca14ad202d4dbd32478dc367e648833866c0
Author: W. Trevor King <wking@tremily.us>
Date:   Sat Sep 21 17:06:50 2013 -0700

    doc/fccharset.fncs: Describe the map format in more detail

    The previous documentation for FcCharSetFirstPage and
    FcCharSetNextPage was technically accurate, but a bit terse.  I've
    added an example using the returned page (root code point) and map to
    give folks something concrete to work with.  I've also documented
    FC_CHARSET_DONE, which wasn't mentioned at all before.

 doc/fccharset.fncs | 36 ++++++++++++++++++++++++++++++------
 1 file changed, 30 insertions(+), 6 deletions(-)

commit 8a174b6c51581df6ffd6a5da056949c6c79337cf
Author: Akira TAGOH <akira@tagoh.org>
Date:   Tue Sep 24 11:14:57 2013 +0900

    Fix a crash when FcPattern is set to null on FcFontSetList()
    and FcFontList()

 src/fclist.c | 2 ++
 1 file changed, 2 insertions(+)

commit 643f8088f0d51107e58d142df47124efec6afab1
Author: Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Date:   Sat Sep 14 02:25:26 2013 +0200

    Further changes to 30-metric-aliases.conf

    Big changes:
    * Handle more PostScript fonts (further reduce 30-urw-aliases.conf)
    * Update the big comment

    Specific->Generic:
    * Add missing maps, for symmetry

    Generic<->Generic:
    * Add "Helvetica Condensed" <-> "Arial Narrow" map

    Generic->Specific:
    * Add missing Courier -> Cursor alias
    * Add "Helvetica Condensed" -> "Heros Cn" alias
    * Remove Arial -> Heros and "Times New Roman" -> Termes maps

 conf.d/30-metric-aliases.conf | 319
 ++++++++++++++++++++++++++++++++++--------
 conf.d/30-urw-aliases.conf    |  24 +---
 2 files changed, 261 insertions(+), 82 deletions(-)

commit 5e6b8894ea9d03caabdfc3a6bcd0c402edf840a8
Author: Akira TAGOH <akira@tagoh.org>
Date:   Wed Sep 18 17:31:10 2013 +0900

    Copy all values from the font to the pattern if the pattern doesn't
    have the element

 src/fcmatch.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 7e44a0b5a88e597b33ba9e2cc3a6d4555736db0a
Author: Akira TAGOH <akira@tagoh.org>
